<?php

namespace App\DataTables;

use DataTables;
use Yajra\DataTables\Html\Button;
use Illuminate\Support\Facades\DB;
use Yajra\DataTables\Services\DataTable;

class CarrierPricingDataTable extends DataTable
{
    public function dataTable()
    {
        $search = $this->request()->get('search');
        $eDate = $this->request()->get('EDATE');
        $storeNum = $this->request()->get('STORE_NUM');
        $st = $this->request()->get('ST');
        $type = $this->request()->get('TYPE');
        $query = "SELECT
        *
                FROM
                    (
                    SELECT
                        TBL_TA_RETAIL_MONTH.LocNo AS STORE_NUM,
                        TBL_TA_RETAIL_MONTH.`Deal Eff. Date` AS EDATE,
                        TBL_TA_RETAIL_MONTH.`Travel Center` AS STORE_NAME,
                        TBL_TA_RETAIL_MONTH.ST,
                        TBL_TA_RETAIL_MONTH.`Retail Price` AS RetailPrice,
                        (
                            (
                                CASE WHEN(
                                    TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                                ) >= 0.15 AND(
                                    TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                                ) < 0.80 THEN(
                                    TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.25
                                ) WHEN(
                                    TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                                ) >= 0.80 THEN(
                                    TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.30
                                ) WHEN(
                                    TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                                ) < 0.25 THEN TBL_TA_RETAIL_MONTH.`Retail Price`
                            END
                        )
                ) AS YourPrice,
                (
                    TBL_TA_RETAIL_MONTH.`Retail Price` -(
                        (
                            CASE WHEN(
                                TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                            ) >= 0.15 AND(
                                TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                            ) < 0.80 THEN(
                                TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.25
                            ) WHEN(
                                TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                            ) >= 0.80 THEN(
                                TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.30
                            ) WHEN(
                                TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                            ) < 0.25 THEN TBL_TA_RETAIL_MONTH.`Retail Price` ELSE(TBL_TA_RETAIL_MONTH.`Fuel Price`)
                        END
                    )
                )
                ) AS Margin,
                (
                    (
                        CASE WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.06 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.15 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.05
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.15 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.30 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.13
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.30 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.50 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.18
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.50 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.60 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.23
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.60 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.70 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.28
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.70 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.80 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.38
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.80 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.90 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.45
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.90 THEN(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.60
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.06 THEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price`
                        )
                    END
                )
                ) AS OOP,
                (
                    (
                        CASE WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.06 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.15 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.05
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.15 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.30 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.13
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.30 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.50 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.18
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.50 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.60 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.23
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.60 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.70 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.28
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.70 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.80 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.38
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.80 AND(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) < 0.90 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.45
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) >= 0.90 THEN TBL_TA_RETAIL_MONTH.`Retail Price` -(
                            TBL_TA_RETAIL_MONTH.`Fuel Price` + 0.60
                        ) WHEN(
                            TBL_TA_RETAIL_MONTH.`Retail Price` - TBL_TA_RETAIL_MONTH.`Fuel Price`
                        ) = 0.00 THEN 0.00
                    END
                )
                ) AS rebate2,
                FUEL_LOCATIONS.TYPE AS TYPE,
                FUEL_LOCATIONS.HIGHWAY AS HIGHWAY,
                FUEL_LOCATIONS.LAT AS LAT,
                FUEL_LOCATIONS.LNG AS LNG,
                FUEL_LOCATIONS.CITY AS CITY,
                FUEL_LOCATIONS.STATE AS STATE,
                FUEL_LOCATIONS.ADDRESS AS ADDRESS,
                FUEL_LOCATIONS.ZIP AS ZIP
                FROM
                    TBL_TA_RETAIL_MONTH
                INNER JOIN FUEL_LOCATIONS ON TBL_TA_RETAIL_MONTH.LocNo = FUEL_LOCATIONS.STORE_NUM
                WHERE
                    FUEL_LOCATIONS.TYPE = 'TA' AND TBL_TA_RETAIL_MONTH.ST != 'ON'
                UNION ALL
                SELECT
                    TBL_PILOT_MONTH.Site AS STORE_NUM,
                    TBL_PILOT_MONTH.`Effective Date` AS EDATE,
                    TBL_PILOT_MONTH.City AS STORE_NAME,
                    TBL_PILOT_MONTH.ST,
                    TBL_PILOT_MONTH.`Retail Price` AS RetailPrice,
                    TBL_PILOT_MONTH.`Your Price`,
                    (
                        TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                    ) AS Margin,
                    (
                        (
                            CASE WHEN(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) >= 0.60 AND(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) < 0.70 THEN(
                                TBL_PILOT_MONTH.`Your Price` + 0.28
                            ) WHEN(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) >= 0.50 AND(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) < 0.60 THEN(
                                TBL_PILOT_MONTH.`Your Price` + 0.23
                            ) WHEN(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) >= 0.30 AND(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) < 0.50 THEN(
                                TBL_PILOT_MONTH.`Your Price` + 0.18
                            ) WHEN(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) >= 0.80 AND(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) < 0.90 THEN(
                                TBL_PILOT_MONTH.`Your Price` + 0.45
                            ) WHEN(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) >= 0.90 THEN(
                                TBL_PILOT_MONTH.`Your Price` + 0.60
                            ) WHEN(
                                TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                            ) < 0.15 THEN TBL_PILOT_MONTH.`Retail Price` ELSE(
                                TBL_PILOT_MONTH.`Your Price` + 0.15
                            )
                        END
                    )
                ) AS OOP,
                (
                    (
                        CASE WHEN(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) >= 0.60 AND(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) < 0.70 THEN TBL_PILOT_MONTH.`Retail Price` -(
                            TBL_PILOT_MONTH.`Your Price` + 0.28
                        ) WHEN(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) >= 0.30 AND(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) < 0.50 THEN TBL_PILOT_MONTH.`Retail Price` -(
                            TBL_PILOT_MONTH.`Your Price` + 0.18
                        ) WHEN(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) >= 0.15 AND(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) < 0.30 THEN TBL_PILOT_MONTH.`Retail Price` -(
                            TBL_PILOT_MONTH.`Your Price` + 0.13
                        ) WHEN(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) >= 0.70 AND(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) < 0.80 THEN TBL_PILOT_MONTH.`Retail Price` -(
                            TBL_PILOT_MONTH.`Your Price` + 0.38
                        ) WHEN(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) >= 0.80 AND(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) < 0.90 THEN TBL_PILOT_MONTH.`Retail Price` -(
                            TBL_PILOT_MONTH.`Your Price` + 0.45
                        ) WHEN(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) >= 0.90 THEN TBL_PILOT_MONTH.`Retail Price` -(
                            TBL_PILOT_MONTH.`Your Price` + 0.60
                        ) WHEN(
                            TBL_PILOT_MONTH.`Retail Price` - TBL_PILOT_MONTH.`Your Price`
                        ) < 0.15 THEN 0.00 ELSE TBL_PILOT_MONTH.`Retail Price` -(
                            TBL_PILOT_MONTH.`Your Price` + 0.15
                        )
                    END
                )
                ) AS rebate2,
                FUEL_LOCATIONS.TYPE AS TYPE,
                FUEL_LOCATIONS.HIGHWAY AS HIGHWAY,
                FUEL_LOCATIONS.LAT AS LAT,
                FUEL_LOCATIONS.LNG AS LNG,
                FUEL_LOCATIONS.CITY AS CITY,
                FUEL_LOCATIONS.STATE AS STATE,
                FUEL_LOCATIONS.ADDRESS AS ADDRESS,
                FUEL_LOCATIONS.ZIP AS ZIP
                FROM
                    TBL_PILOT_MONTH
                INNER JOIN FUEL_LOCATIONS ON TBL_PILOT_MONTH.Site = FUEL_LOCATIONS.STORE_NUM
                WHERE
                    TBL_PILOT_MONTH.`Retail Price` != '' AND FUEL_LOCATIONS.TYPE = 'PILOT'
                ) AS tableNew
                WHERE
                    (
                        MONTH(tableNew.EDATE) = MONTH(NOW()) AND YEAR(tableNew.EDATE) = YEAR(NOW())) AND(tableNew.EDATE = '$eDate')";
        if (!empty($storeNum)) {
            $query .= "AND (`STORE_NUM` = '$storeNum')";
        }

        if (!empty($st)) {
            $statesString = implode("', '", $st);
            $query .= "AND `ST` IN ('$statesString')";
        }

        if (!empty($type)) {
            $query .= "AND (`TYPE` = '$type')";
        }
        if (!empty($search)) {
            $query .= " AND (
                                `EDATE` LIKE '%$search%' OR
                                `STORE_NUM` LIKE '%$search%' OR
                                `STORE_NAME` LIKE '%$search%' OR
                                `ST` LIKE '%$search%' OR
                                `RetailPrice` LIKE '%$search%' OR
                                `YourPrice` LIKE '%$search%' OR
                                `Margin` LIKE '%$search%' OR
                                `OOP` LIKE '%$search%' OR
                                `rebate2` LIKE '%$search%' OR
                                `HIGHWAY` LIKE '%$search%' OR
                                `TYPE` LIKE '%$search%'
                            )";
        }

        $query .= "
                    ORDER BY
                        tableNew.EDATE
                    DESC";

        return DataTables::of(DB::select(DB::raw($query)))
            ->editColumn('EDATE', function ($row) {
                return date('m/d/Y', strtotime($row->{'EDATE'}));
            })
            ->editColumn('RetailPrice', function ($row) {
                return '<b>' . $row->{'RetailPrice'} . '</b>';
            })
            ->editColumn('OOP', function ($row) {
                return number_format($row->{'OOP'}, 3);
            })
            ->editColumn('rebate2', function ($row) {
                return number_format($row->{'rebate2'}, 3);
            })
            ->rawColumns(['EDATE', 'RetailPrice', 'rebate2', 'OOP'])
            ->addColumn('action', 'carrierpricing.action');
    }

    public function query()
    {
        return $this->dataTable();
    }

    public function html()
    {
        return $this->builder()
            ->setTableId('carrierpricing-table')
            ->columns($this->getColumns())
            ->minifiedAjax()
            ->dom('Bfrtip')
            ->orderBy(1)
            ->setTableAttributes([
                'class' => 'table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable no-footer',
            ])
            ->pageLength(30)
            ->headerCallback('
            function(thead, data, start, end, display){
                $(thead).addClass("thead-bg-color")
                $(thead).find("th").addClass("fs-7 text-gray-500 text-uppercase");
            }
        ')
            ->createdRow('
            function(row, data, dataIndex) {
                $(row).addClass("fs-6");
            }
        ')
            ->buttons(
                Button::make('excel'),
                Button::make('csv'),
                Button::make('print'),
                Button::make('reset'),
                Button::make('reload')
            )->drawCallback('
            function() {
                $(".dataTables_filter").hide();
            }
            ')->initComplete('
            function(settings, json) {
                $(".dt-buttons").addClass("d-none");
            }
        ');
    }

    protected function getColumns()
    {
        return [
            'EDATE' => ['title' => 'Date'],
            'TYPE' => ['title' => 'Type'],
            'STORE_NUM' => ['title' => 'Store Num'],
            'STORE_NAME' => ['title' => 'Store Name'],
            'ST' => ['title' => 'State'],
            'RetailPrice' => ['title' => 'Retail Price'],
            'OOP' => ['title' => 'Your Price'],
            'rebate2' => ['title' => 'Discount'],
            'HIGHWAY' => ['title' => 'HighWay']
        ];
    }

    protected function filename()
    {
        return 'CarrierPricing_' . date('YmdHis');
    }
}
