<?php

namespace App\DataTables;

use DataTables;
use Yajra\DataTables\Html\Button;
use Illuminate\Support\Facades\DB;
use Yajra\DataTables\Services\DataTable;

class RebateReportDataTable extends DataTable
{
    public function dataTable()
    {
        $current_month_start_date = $this->request()->get('start_date');
        $current_month_end_date = $this->request()->get('end_date');
        $previous_two_month_start_date = date('Y-m-01', strtotime($current_month_start_date . ' -2 months'));
        $search = $this->request()->get('search');
        $unit = $this->request()->get('Unit');
        $chain_id = $this->request()->get('ChainID');
        $state = $this->request()->get('Location_State_Province');
        $query = "SELECT
                        *,
                        (
                            CASE WHEN(DailyTrans.ChainID = 1) THEN(
                            SELECT
                            TRUNCATE
                                (
                                    (TBL_PILOT.`Your Price` + 0.15),
                                    4
                                ) AS YourPrice
                            FROM
                                TBL_PILOT
                            INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site
                            WHERE
                                TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date`
                            LIMIT 1
                        ) WHEN(DailyTrans.ChainID = 3) THEN(
                        SELECT
                        TRUNCATE
                            (
                                (
                                    TBL_TA_RETAIL.`Fuel Price` + 0.15
                                ),
                                4
                            ) AS YourPrice
                        FROM
                            TBL_TA_RETAIL
                        WHERE
                            TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date`
                        LIMIT 1
                    )
                        END
                    ) AS MikeKeep,(
                        DailyTrans.Retail_PPU -(
                            CASE WHEN(DailyTrans.ChainID = 1) THEN(
                            SELECT
                            TRUNCATE
                                (
                                    (TBL_PILOT.`Your Price` + 0.15),
                                    4
                                ) AS YourPrice
                            FROM
                                TBL_PILOT
                            INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site
                            WHERE
                                TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date`
                            LIMIT 1
                        ) WHEN(DailyTrans.ChainID = 3) THEN(
                        SELECT
                        TRUNCATE
                            (
                                (
                                    TBL_TA_RETAIL.`Fuel Price` + 0.15
                                ),
                                4
                            ) AS YourPrice
                        FROM
                            TBL_TA_RETAIL
                        WHERE
                            TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date`
                        LIMIT 1
                    )
                        END
                    )
                    ) AS retainminusmike,(
                        CASE WHEN(
                            DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3
                        ) THEN(
                            DailyTrans.Retail_PPU -(
                                CASE WHEN(DailyTrans.ChainID = 1) THEN(
                                SELECT
                                TRUNCATE
                                    (
                                        (TBL_PILOT.`Your Price` + 0.15),
                                        4
                                    ) AS YourPrice
                                FROM
                                    TBL_PILOT
                                INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site
                                WHERE
                                    TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date`
                                LIMIT 1
                            ) WHEN(DailyTrans.ChainID = 3) THEN(
                            SELECT
                            TRUNCATE
                                (
                                    (
                                        TBL_TA_RETAIL.`Fuel Price` + 0.15
                                    ),
                                    4
                                ) AS YourPrice
                            FROM
                                TBL_TA_RETAIL
                            WHERE
                                TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date`
                            LIMIT 1
                        )
                            END
                        )
                    ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0
                    END
                    ) AS CarrierKeep,(
                        (
                            CASE WHEN(
                                DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3
                            ) THEN(
                                DailyTrans.Retail_PPU -(
                                    CASE WHEN(DailyTrans.ChainID = 1) THEN(
                                    SELECT
                                    TRUNCATE
                                        (
                                            (TBL_PILOT.`Your Price` + 0.15),
                                            4
                                        ) AS YourPrice
                                    FROM
                                        TBL_PILOT
                                    INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site
                                    WHERE
                                        TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date`
                                    LIMIT 1
                                ) WHEN(DailyTrans.ChainID = 3) THEN(
                                SELECT
                                TRUNCATE
                                    (
                                        (
                                            TBL_TA_RETAIL.`Fuel Price` + 0.15
                                        ),
                                        4
                                    ) AS YourPrice
                                FROM
                                    TBL_TA_RETAIL
                                WHERE
                                    TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date`
                                ORDER BY
                                    DailyTrans.`Transaction Date`
                                DESC
                            LIMIT 1
                            )
                                END
                            )
                        ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0
                    END
                    ) * DailyTrans.Quantity
                    ) AS CarrierPay,(
                        CASE WHEN(
                            DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3
                        ) THEN DailyTrans.Quantity * 0.10 WHEN(DailyTrans.ChainID = 2) THEN DailyTrans.Quantity * 0.10
                    END
                    ) AS MikeKeepOld
                    FROM
                        DailyTrans
                    WHERE
                        (
                            DailyTrans.`Transaction Date` BETWEEN '" . $previous_two_month_start_date . "' AND '" . $current_month_end_date . "' AND DailyTrans.ChainID IN(1, 3) AND(
                                DailyTrans.`Product Code` = 'ULSD' OR DailyTrans.`Product Code` = 'FUEL'
                            )
                        ) AND(
                            (
                                DailyTrans.`Transaction Date` BETWEEN '" . $current_month_start_date . "' AND '" . $current_month_end_date . "'
                            ) AND(`Sub Fleet` IN('" . getAuthMemberId() . "'))
                        )";

        if (!empty($unit)) {
            $query .= "AND (`Unit` = '$unit')";
        }
        if (!empty($state)) {
            $statesString = implode("', '", $state);
            $query .= "AND `Location State/Province` IN ('$statesString')";
        }
        if (!empty($chain_id)) {
            $chain_ids = implode("', '", $chain_id);
            $query .= " AND `ChainID` IN ('$chain_ids')";
        }
        if (!empty($search)) {
            $query .= " AND (
                                `Transaction Date` LIKE '%$search%' OR
                                `TIME` LIKE '%$search%' OR
                                `Invoice` LIKE '%$search%' OR
                                `Card Number` LIKE '%$search%' OR
                                `Unit` LIKE '%$search%' OR
                                `Driver Name` LIKE '%$search%' OR
                                `Location Name` LIKE '%$search%' OR
                                `Location City` LIKE '%$search%' OR
                                `Location State/Province` LIKE '%$search%' OR
                                `Transaction Fee` LIKE '%$search%' OR
                                `Product Code` LIKE '%$search%' OR
                                `Price Per Unit` LIKE '%$search%' OR
                                `Quantity` LIKE '%$search%' OR
                                `Amount` LIKE '%$search%'
                            )";
        }

        return DataTables::of(DB::select(DB::raw($query)))
            ->editColumn('Transaction Date', function ($row) {
                return date('m/d/Y', strtotime($row->{'Transaction Date'}));
            })
            ->editColumn('TIME', function ($row) {
                return date('h:i:s', strtotime($row->{'TIME'}));
            })
            ->editColumn('Price Per Unit', function ($row) {
                return '<div style="white-space: nowrap;">$ ' . number_format($row->{'Price Per Unit'}, 2) . '</div>';
            })
            ->editColumn('Quantity', function ($row) {
                return '<div style="white-space: nowrap;">' . number_format($row->{'Quantity'}, 2) . '</div>';
            })
            ->editColumn('Amount', function ($row) {
                return '<div style="white-space: nowrap;">$ ' . number_format($row->{'Amount'}, 2) . '</div>';
            })
            ->editColumn('CarrierKeep', function ($row) {
                $carrierKeep = $row->{'CarrierKeep'} < 0 ? 0 : $row->{'CarrierKeep'};
                return '<div style="white-space: nowrap;">' . number_format($carrierKeep, 2) . '</div>';
            })
            ->editColumn('CarrierPay', function ($row) {
                $CarrierPay = $row->{'CarrierPay'} < 0 ? 0 : $row->{'CarrierPay'};
                return '<div style="white-space: nowrap;"><b>$ ' . number_format($CarrierPay, 2) . '</b></div>';
            })
            ->rawColumns(['Price Per Unit', 'Quantity', 'Amount', 'CarrierKeep', 'CarrierPay'])
            ->addColumn('action', 'rebatereport.action');
    }

    public function query()
    {
        return $this->dataTable();
    }

    public function html()
    {
        return $this->builder()
            ->setTableId('rebatereport-table')
            ->columns($this->getColumns())
            ->minifiedAjax()
            ->dom('Bfrtip')
            ->orderBy(1)
            ->setTableAttributes([
                'class' => 'table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable no-footer',
            ])
            ->pageLength(30)
            ->headerCallback('
            function(thead, data, start, end, display){
                $(thead).addClass("thead-bg-color")
                $(thead).find("th").addClass("fs-7 text-gray-500 text-uppercase");
            }
        ')
            ->footerCallback('
            function(row, data, start, end, display) {
                var api = this.api();
                var intVal = function(i) {
                    if (typeof i === "string") {
                        var valueWithoutTags = i.replace(/<[^>]+>/g, "");
                        var numericValue = valueWithoutTags.replace(/[\$,]/g, "");
                        return parseFloat(numericValue);
                    } else if (typeof i === "number") {
                        return i;
                    } else {
                        return 0;
                    }
                };
                var total = api.column(13).data().reduce(function(a, b) {
                    return intVal(a) + intVal(b);
                }, 0);
                $("#displayTotal").html("$ " + total.toFixed(2));
            }
        ')
            ->createdRow('
            function(row, data, dataIndex) {
                $(row).addClass("fs-6");
                if (data.ChainID == "2") {
                    $(row).find("td").css("color", "red");
                }
            }
        ')
            ->buttons(
                Button::make('excel'),
                Button::make('csv'),
                Button::make('print'),
                Button::make('reset'),
                Button::make('reload')
            )->drawCallback('
            function() {
                $(".dataTables_filter").hide();
            }
    ')->initComplete('
    function(settings, json) {
        $(".dt-buttons").addClass("d-none");
    }
');
    }

    protected function getColumns()
    {
        return [
            'Transaction Date' => ['title' => 'Date'],
            'TIME' => ['title' => 'Time'],
            'Card Number' => ['title' => 'Card'],
            'Unit' => ['title' => 'Unit'],
            'Driver Name' => ['title' => 'Driver'],
            'Location Name' => ['title' => 'Location'],
            'Location City' => ['title' => 'City'],
            'Location State/Province' => ['title' => 'State'],
            'Product Code' => ['title' => 'Item'],
            'Price Per Unit' => ['title' => 'Retail'],
            'Quantity' => ['title' => 'QTY'],
            'Amount' => ['title' => 'Amount'],
            'CarrierKeep' => ['title' => 'Discount'],
            'CarrierPay' => ['title' => 'Rebate'],
        ];
    }

    protected function filename()
    {
        return 'RebateReport_' . date('YmdHis');
    }
}
