<?php
use App\Models\CarrierProfile;
use App\Models\Member;
use Illuminate\Support\Facades\Auth;
use App\Models\EfsClientId;

function getAuthMemberId()
{
    $member = Member::where('id', Auth::id())->first();
    if ($member) {
        return $member->mem_id;
    } else {
        return 0;
    }
}

function mime_type($path)
{
    $mime_types = array(

        'txt' => 'text/plain',
        'iif' => 'text/iif',
        'htm' => 'text/html',
        'html' => 'text/html',
        'php' => 'text/html',
        'css' => 'text/css',
        'js' => 'application/javascript',
        'json' => 'application/json',
        'xml' => 'application/xml',
        'swf' => 'application/x-shockwave-flash',
        'flv' => 'video/x-flv',

        // images
        'png' => 'image/png',
        'jpe' => 'image/jpeg',
        'jpeg' => 'image/jpeg',
        'jpg' => 'image/jpeg',
        'gif' => 'image/gif',
        'bmp' => 'image/bmp',
        'ico' => 'image/vnd.microsoft.icon',
        'tiff' => 'image/tiff',
        'tif' => 'image/tiff',
        'svg' => 'image/svg+xml',
        'svgz' => 'image/svg+xml',

        // archives
        'zip' => 'application/zip',
        'rar' => 'application/x-rar-compressed',
        'exe' => 'application/x-msdownload',
        'msi' => 'application/x-msdownload',
        'cab' => 'application/vnd.ms-cab-compressed',

        // audio/video
        'mp3' => 'audio/mpeg',
        'qt' => 'video/quicktime',
        'mov' => 'video/quicktime',

        // adobe
        'pdf' => 'application/pdf',
        'psd' => 'image/vnd.adobe.photoshop',
        'ai' => 'application/postscript',
        'eps' => 'application/postscript',
        'ps' => 'application/postscript',

        // ms office
        'doc' => 'application/msword',
        'docx' => 'application/msword',
        'rtf' => 'application/rtf',
        'xls' => 'application/vnd.ms-excel',
        'ppt' => 'application/vnd.ms-powerpoint',

        // open office
        'odt' => 'application/vnd.oasis.opendocument.text',
        'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
    );

    $fileExplode = explode(".", $path);
    $fileNameNoExtension = end($fileExplode);
    $mime = $mime_types[strtolower($fileNameNoExtension)];

    return $mime;
}

function getEFSClientID()
{
    $efs_username = 'wsTRANSPORTERS ';
    $efs_password = 'trucking3650904';
    $data = array('username' => $efs_username, 'password' => $efs_password);
    $return_data = CallAPI('POST', 'https://tms.tmdashboard.com/api/esfAPIS/login_api.php', $data);
    $clientid = trim($return_data);
    if ($clientid == '') {
        return redirect()->back()->with('error', "Api Down.");
    }
    EfsClientId::create([
        'client_id' => $clientid,
        'date' => date("Y-m-d"),
        'account' => 1,
    ]);
    return $clientid;
}

function CallAPI($method, $url, $data = false)
{
    $curl = curl_init();
    switch ($method) {
        case "POST":
            curl_setopt($curl, CURLOPT_POST, 1);
            if ($data)
                curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($data));
            break;
        case "PUT":
            curl_setopt($curl, CURLOPT_PUT, 1);
            break;
        default:
            if ($data)
                $url = sprintf("%s?%s", $url, http_build_query($data));
    }

    curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 1);
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_0);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
    curl_setopt($curl, CURLOPT_TIMEOUT, 10);

    $result = curl_exec($curl);

    $err = curl_error($curl);
    curl_close($curl);
    if ($err) {
        $response = array(
            'status' => false,
            'message' => $err,
        );
        http_response_code(410);
        echo json_encode($response);
    }

    return $result;
}

function digits($num)
{
    return (int) (log($num, 10) + 1);
}

function getAuthCompanyName()
{
    $carrierInfo = CarrierProfile::where('SUBFLEET', getAuthMemberId())->first('NAME');
    return $carrierInfo->NAME ?? '';
}

function getAuthCarrierInfo()
{
    $carrierInfo = CarrierProfile::where('SUBFLEET', getAuthMemberId())->first();
    return $carrierInfo;
}

function getAuthMemberInfo()
{
    $memberInfo = Member::where('id', Auth::id())->first();
    return $memberInfo;
}

function mimes_type($path)
{
    $mime_types = array(
        'txt' => 'text/plain',
        'iif' => 'text/iif',
        'htm' => 'text/html',
        'html' => 'text/html',
        'php' => 'text/html',
        'css' => 'text/css',
        'js' => 'application/javascript',
        'json' => 'application/json',
        'xml' => 'application/xml',
        'swf' => 'application/x-shockwave-flash',
        'flv' => 'video/x-flv',

        // images
        'png' => 'image/png',
        'jpe' => 'image/jpeg',
        'jpeg' => 'image/jpeg',
        'jpg' => 'image/jpeg',
        'gif' => 'image/gif',
        'bmp' => 'image/bmp',
        'ico' => 'image/vnd.microsoft.icon',
        'tiff' => 'image/tiff',
        'tif' => 'image/tiff',
        'svg' => 'image/svg+xml',
        'svgz' => 'image/svg+xml',

        // archives
        'zip' => 'application/zip',
        'rar' => 'application/x-rar-compressed',
        'exe' => 'application/x-msdownload',
        'msi' => 'application/x-msdownload',
        'cab' => 'application/vnd.ms-cab-compressed',

        // audio/video
        'mp3' => 'audio/mpeg',
        'qt' => 'video/quicktime',
        'mov' => 'video/quicktime',

        // adobe
        'pdf' => 'application/pdf',
        'psd' => 'image/vnd.adobe.photoshop',
        'ai' => 'application/postscript',
        'eps' => 'application/postscript',
        'ps' => 'application/postscript',

        // ms office
        'doc' => 'application/msword',
        'docx' => 'application/msword',
        'rtf' => 'application/rtf',
        'xls' => 'application/vnd.ms-excel',
        'ppt' => 'application/vnd.ms-powerpoint',

        // open office
        'odt' => 'application/vnd.oasis.opendocument.text',
        'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
    );

    $fileExplode = explode(".", $path);
    $fileNameNoExtension = end($fileExplode);
    $mime = $mime_types[strtolower($fileNameNoExtension)];

    return $mime;
}

