<?php

namespace App\Http\Controllers;

use App\Models\Driver;
use App\Models\Trailer;
use App\Models\Truck;
use Illuminate\Http\Request;

class CalendarController extends Controller
{
    public function index()
    {
        $driverLicExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('EXPIRY_DATE')->get();
        $driverInsExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('INS_EXPIRE')->get();
        $driverAbsExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('ABSTRACT_EXP_DATE')->get();
        $driverTDGExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('TDG_EXPIRY_DATE')->get();
        $driverWCBExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('WCB_EXPIRY_DATE')->get();
        $driverMedCardExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('Medical_Card_Expiry')->get();
        $driverPECCardExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('PEC_Card_Exp')->get();
        $driverFitTestExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('Fit_Test_Exp')->get();
        $driverHazmatExpEvents = Driver::where('mem_id', getAuthMemberId())->whereNotNull('hazmat_exp')->get();
        $truckInsExpEvents = Truck::where('mem_id', getAuthMemberId())->whereNotNull('INSURANCE_EXPIRY')->get();
        $truckLicExpEvents = Truck::where('mem_id', getAuthMemberId())->whereNotNull('LIC_1_EXP_DATE')->get();
        $trailerInsExpEvents = Trailer::where('mem_id', getAuthMemberId())->whereNotNull('INSURANCE_EXPIRY')->get();
        $trailerLicExpEvents = Trailer::where('mem_id', getAuthMemberId())->whereNotNull('LIC_1_EXP_DATE')->get();
        $events = [];

        foreach ($driverLicExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver License Expire',
                'start' => date('Y-m-d', strtotime($event->EXPIRY_DATE)),
                'end' => date('Y-m-d', strtotime($event->EXPIRY_DATE)),
                'backgroundColor' => '#ad883a',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverInsExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver Insurance Expire',
                'start' => date('Y-m-d', strtotime($event->INS_EXPIRE)),
                'end' => date('Y-m-d', strtotime($event->INS_EXPIRE)),
                'backgroundColor' => '#62ad3a',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverAbsExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver ABS Expire',
                'start' => date('Y-m-d', strtotime($event->ABSTRACT_EXP_DATE)),
                'end' => date('Y-m-d', strtotime($event->ABSTRACT_EXP_DATE)),
                'backgroundColor' => '#8d0404',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverTDGExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver TDG Expire',
                'start' => date('Y-m-d', strtotime($event->TDG_EXPIRY_DATE)),
                'end' => date('Y-m-d', strtotime($event->TDG_EXPIRY_DATE)),
                'backgroundColor' => '#3a87ad',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverWCBExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver WCB Expire',
                'start' => date('Y-m-d', strtotime($event->WCB_EXPIRY_DATE)),
                'end' => date('Y-m-d', strtotime($event->WCB_EXPIRY_DATE)),
                'backgroundColor' => '#ffc107',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverMedCardExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver Medical Card Expire',
                'start' => date('Y-m-d', strtotime($event->Medical_Card_Expiry)),
                'end' => date('Y-m-d', strtotime($event->Medical_Card_Expiry)),
                'backgroundColor' => '#bb96d9',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverPECCardExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver PEC Card Expire',
                'start' => date('Y-m-d', strtotime($event->PEC_Card_Exp)),
                'end' => date('Y-m-d', strtotime($event->PEC_Card_Exp)),
                'backgroundColor' => '#c011d7',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverFitTestExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver Fit Test Expire',
                'start' => date('Y-m-d', strtotime($event->Fit_Test_Exp)),
                'end' => date('Y-m-d', strtotime($event->Fit_Test_Exp)),
                'backgroundColor' => '#6eebb6',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($driverHazmatExpEvents as $event) {
            unset($event->DRIVER_NOTES);
            $events[] = [
                'title' => 'Driver Hazmat Expire',
                'start' => date('Y-m-d', strtotime($event->hazmat_exp)),
                'end' => date('Y-m-d', strtotime($event->hazmat_exp)),
                'backgroundColor' => '#e56e6e',
                'type' => 'driver',
                'tip' => $event,
                'url' => route('assets.drivers.edit', $event->DRIVER_ID),
            ];
        }

        foreach ($truckInsExpEvents as $event) {
            $events[] = [
                'title' => 'Truck Insurance Expire',
                'start' => date('Y-m-d', strtotime($event->INSURANCE_EXPIRY)),
                'end' => date('Y-m-d', strtotime($event->INSURANCE_EXPIRY)),
                'backgroundColor' => '#e83e8c',
                'type' => 'truck',
                'tip' => $event,
                'url' => route('assets.trucks.edit', $event->TRUCK_ID),
            ];
        }

        foreach ($truckLicExpEvents as $event) {
            $events[] = [
                'title' => 'Truck License Expire',
                'start' => date('Y-m-d', strtotime($event->LIC_1_EXP_DATE)),
                'end' => date('Y-m-d', strtotime($event->LIC_1_EXP_DATE)),
                'backgroundColor' => '#ff6700',
                'type' => 'truck',
                'tip' => $event,
                'url' => route('assets.trucks.edit', $event->TRUCK_ID),
            ];
        }

        foreach ($trailerInsExpEvents as $event) {
            $events[] = [
                'title' => 'Trailer Insurance Expire',
                'start' => date('Y-m-d', strtotime($event->INSURANCE_EXPIRY)),
                'end' => date('Y-m-d', strtotime($event->INSURANCE_EXPIRY)),
                'backgroundColor' => '#007bff',
                'type' => 'trailer',
                'tip' => $event,
                'url' => route('assets.trailers.edit', $event->ID),
            ];
        }

        foreach ($trailerLicExpEvents as $event) {
            $events[] = [
                'title' => 'Trailer License Expire',
                'start' => date('Y-m-d', strtotime($event->LIC_1_EXP_DATE)),
                'end' => date('Y-m-d', strtotime($event->LIC_1_EXP_DATE)),
                'backgroundColor' => '#7cb8ff',
                'type' => 'trailer',
                'tip' => $event,
                'url' => route('assets.trailers.edit', $event->ID),
            ];
        }

        $eventsData = json_encode($events, true);
        return view('assets.calendar.index', compact('eventsData'));
    }
}
