<?php

namespace App\Http\Controllers;

use App\Models\Member;
use App\Models\TransactionReport;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
require public_path() . '/setting/sendgrid/vendor/autoload.php';

class CronJobController extends Controller
{
    public function gallonCron(TransactionReport $dailymodel, Member $member)
    {    
        $year = date('Y');
        $currentDate = time();
        $month = date('n', $currentDate);
        $day = date('j', $currentDate);
        $start_date = '';
        $end_date = '';
            if ($month == 4 ) {
                $start_date = "{$year}-01-01";
                $end_date = "{$year}-03-31";
                $Q = 'Q1';
            } elseif ($month == 7 && $day == 1) {            
                $start_date = "{$year}-04-01";
                $end_date = "{$year}-06-30";
                $Q = 'Q2';
            } elseif ($month == 10 && $day == 1) {
                $start_date = "{$year}-07-01";
                $end_date = "{$year}-09-30";
                $Q = 'Q3';
            } elseif ($month == 1 && $day == 1) {
                $lastYear = $year-1;
                $start_date = "{$lastYear}-10-01";
                $end_date = "{$lastYear}-12-31";
                $Q = 'Q4';
            }

            $querySubfleets = $this->getSubfleet($member);
            $subfleets = json_decode($querySubfleets,true);
           
            $activeSubfleet = [];
            foreach ($subfleets as $subfleetItem) {
                $url = route('sendGallon', [$subfleetItem['id'], $subfleetItem['email'], $subfleetItem['mem_id'], $start_date, $end_date, $Q]);
              
                $ch = curl_init();
                curl_setopt($ch, CURLOPT_URL, $url);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
                $response = curl_exec($ch);

                if($response === false) {
                    $error = curl_error($ch);
                    // Handle the error
                } else {
                    // Use $response as needed
                    exit;
                }

                curl_close($ch);
            }
        
            
    }

    public function getSubfleet ($member) {
        return $member->select('id','email','mem_id')
        ->where('active_status', 1)
        ->groupBy('id')
        ->get();
    }

    public function sendGallon ($subfleet = null, $email = null, $mem_id = null, $start_date = null, $end_date = null, $Quarter = null) {
        $queryDatas = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons, `Transaction Date`'))
            ->where('Sub Fleet', $mem_id)
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$start_date, $end_date])
            ->groupBy('Location State/Province')->get();
            $filename = "gallon".time()."_".$mem_id.".csv";
            $headers = array('State', 'gallons','Quarter', 'Year');
            @unlink($filename);
            $output = fopen($filename, 'w');
            if ($output) { 
                fputcsv($output, $headers); 
            }
            if(count($queryDatas) > 0 && !empty($queryDatas)){
                $table = '<table class="table table-striped" border=1>
                <thead>
                <tr>
                    <th scope="col">State</th>
                    <th scope="col">gallons</th>
                    <th scope="col">Quarter</th>
                    <th scope="col">Transaction Date</th>
                    
                </tr>
                </thead>
                <tbody>';
                $total=0;
                foreach($queryDatas as $data) {                
                    $table .= '<tr>
                                    <td>'.$data['Location State/Province'].'</td>
                                    <td>'.$data['gallons'].'</td>
                                    <td>'.$Quarter.'</td>
                                    <td>'.date('Y', strtotime($data['Transaction Date'])).'</td>
                                </tr>';
                                $records =[$data['Location State/Province'],$data['gallons'],$Quarter,date('Y', strtotime($data['Transaction Date']))];
                                $total+=$data['gallons'];
                                fputcsv($output, $records);
                               
                                
                }
            }
                $table .= '
                <tr>
                    <th>Total</th>
                    <td>'.$total.'</td>
                </tr>
                </tbody></table>';
                $records =['Total',$total];
                fputcsv($output, $records);
                $fileData = base64_encode($table);
                fclose($output);

                $file_encoded = base64_encode(file_get_contents($filename));
                

                $email = new \SendGrid\Mail\Mail();
                $email->setFrom("support@tmscloud.com", "Gallon Report_".$mem_id);
                $email->setSubject("Gallon Report_".$mem_id);
                $email->addTo("murshid.icommunetech@gmail.com");
                $email->addTo("balochmohsin786@gmail.com");
               // $email->addTo($email);
                $email->addContent(
                    "text/html",
                    $table
                );
                $email->addAttachment($file_encoded, "text/csv", $filename);
                $sendgrid = new \SendGrid('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');
                try {
                    $response = $sendgrid->send($email);
                } catch (\Exception $e) {
                    echo 'Caught exception: ' . $e->getMessage() . "\n";
                }
    }
    
}
