@extends('dashboard.layouts.master')
@section('content')
    <div class="page-title-box d-flex align-items-center">
        <h4 class="mb-0">Miles History</h4>
    </div>
    @if (session()->has('success'))
        <div class="alert alert-success alert-dismissible fade show"><button type="button" class="btn-close"
                data-bs-dismiss="alert" aria-label="Close"></button>{{ session()->get('success') }}</div>
        @php session()->forget('success');@endphp
    @endif
    @if (session()->has('error'))
        <div class="alert alert-danger alert-dismissible fade show"><button type="button" class="btn-close"
                data-bs-dismiss="alert" aria-label="Close"></button>{{ session()->get('error') }}</div>
        @php session()->forget('error');@endphp
    @endif

    <div class="card">
        <div class="card-body">
            <table id="jq-table" class="table table-striped table-bordered drivertable mt-4">
                <thead class="color">
                    <tr>
                        <th>Date</th>
                        <th>Pickup</th>
                        <th>Delivery</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($routes as $value)
                        <tr>
                            <td>{{ date('m/d/Y') }}</td>
                            <td>{{ $value->p_city . ' ' . $value->p_state . ' ' . $value->p_zip }}</td>
                            <td>{{ $value->d_city . ' ' . $value->d_state . ' ' . $value->d_zip  }}</td>
                            <td><a href="{{ route('calculate_miles.index', [$value->id, Auth::id()]) }}">Check Mile</a></td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endsection()
