<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\DataTables\IFTADataTable;
use App\Models\TransactionReport;
use Illuminate\Support\Facades\DB;

class IFTAController extends Controller
{
    public function index(IFTADataTable $dataTable, Request $request)
    {
        $year = !empty($request->year) ? $request->year : date('Y');
        $q1start_date = "{$year}-01-01";
        $q1end_date = "{$year}-03-31";
        $q2start_date = "{$year}-04-01";
        $q2end_date = "{$year}-06-30";
        $q3start_date = "{$year}-07-01";
        $q3end_date = "{$year}-09-30";
        $q4start_date = "{$year}-10-01";
        $q4end_date = "{$year}-12-31";
        $q1Gallons = $q2Gallons = $q3Gallons = $q4Gallons = 0;
        $q1Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q1start_date, $q1end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');
        $q2Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q2start_date, $q2end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');
        $q3Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q3start_date, $q3end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');
        $q4Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q4start_date, $q4end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');

        $gallonsUnit = TransactionReport::where('Sub Fleet', getAuthMemberId())->pluck('Unit')->toArray();
        $combinedUnits = array_filter($gallonsUnit, function ($value) {
            return $value !== null;
        });
        $units = array_unique($combinedUnits);

        return $dataTable->render('IFTA.index', compact('q1Gallons', 'q2Gallons', 'q3Gallons', 'q4Gallons', 'units'));
    }

    public function newIndex(IFTADataTable $dataTable, Request $request)
    {
        $year = !empty($request->year) ? $request->year : date('Y');
        $q1start_date = "{$year}-01-01";
        $q1end_date = "{$year}-03-31";
        $q2start_date = "{$year}-04-01";
        $q2end_date = "{$year}-06-30";
        $q3start_date = "{$year}-07-01";
        $q3end_date = "{$year}-09-30";
        $q4start_date = "{$year}-10-01";
        $q4end_date = "{$year}-12-31";
        $q1Gallons = $q2Gallons = $q3Gallons = $q4Gallons = 0;
        $q1Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q1start_date, $q1end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');
        $q2Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q2start_date, $q2end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');
        $q3Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q3start_date, $q3end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');
        $q4Gallons = TransactionReport::select(DB::raw('`Location State/Province`, SUM(`Quantity`) as gallons'))
            ->where('Sub Fleet', getAuthMemberId())
            ->where('Product Code', '!=', 'DEFD')
            ->whereBetween('Transaction Date', [$q4start_date, $q4end_date])
            ->groupBy('Location State/Province')->get()->sum('gallons');
        return $dataTable->render('IFTA.newIndex', compact('q1Gallons', 'q2Gallons', 'q3Gallons', 'q4Gallons'));
    }
}
