<?php

namespace App\Http\Controllers;

use App\Models\PlanMaster;
use App\Models\Routes;
use App\Models\Miles;
use App\Models\PromilesStatemileage;
use App\Models\TransactionReport;
use App\Models\UserPayments;
use App\Models\UserSubscriptionDetails;
use Illuminate\Http\Request;

class MilesCalculatorController extends Controller
{
    public function index($loadId = null, $memId = null)
    {
        $miles = PromilesStatemileage::where("load_number", $loadId)->where('mem_id', $memId)->orderBy('id', 'DESC')->get();
        $routes = Routes::where('mem_id', getAuthMemberId())->orderBy('id', 'DESC')->limit(10)->get();
        $gallonUnit = TransactionReport::where('Sub Fleet', getAuthMemberId())->pluck('Unit')->toArray();
        $milesUnit = Miles::where('CARRIER_SUFBLEET', getAuthMemberId())->pluck('UNIT')->toArray();
        $combinedUnits = array_merge($gallonUnit, $milesUnit);
        $combinedUnits = array_filter($combinedUnits, function ($value) {
            return $value !== null;
        });
        $units = array_unique($combinedUnits);

        $subCheck = UserSubscriptionDetails::where('user_id', getAuthMemberId())->where('status', 'active')->orWhere('status', 'trialing')->first();
        $UserSubData = '';
        // if (!empty ($subCheck)) {
        //     if (!empty ($_SERVER['HTTP_HOST']) && $_SERVER['HTTP_HOST'] == "fuel.tmdashboard.com") {
        //         $strpeSecret = config('stripe')['LIVE_STRIPE_SECRET'];
        //     } else {
        //         $strpeSecret = config('stripe')['TEST_STRIPE_SECRET'];
        //     }
        //     \Stripe\Stripe::setApiKey($strpeSecret);
        //     $UserSubData = array(
        //         \Stripe\Subscription::retrieve(
        //             $subCheck->stripe_subscription_id,
        //             []
        //         )
        //     );
        // }

        return view("IFTA.miles_calculator.index", compact('miles', 'routes', 'loadId', 'memId', 'units', 'subCheck', 'UserSubData'));
    }

    public function Import(Request $request)
    {
        $this->validate($request, [
            'QUARTER' => 'required',
            'YEAR' => 'required',
        ]);

        $miles = PromilesStatemileage::where('load_number', $request->load_number)
            ->where('mem_id', $request->mem_id)
            ->get();

        foreach ($miles as $value) {
            Miles::create([
                'STATE' => $value->state,
                'MILES' => $value->totalmiles,
                'CARRIER_SUFBLEET' => getAuthMemberId(),
                'QUARTER' => $request->QUARTER,
                'YEAR' => $request->YEAR,
                'UNIT' => $request->UNIT,
                'CREATED_TIME' => date('H:i:s'),
                'CREATED_DATE' => date('Y-m-d')
            ]);
        }
        Routes::where('id', $request->load_number)->update(['last_imported' => date('Y-m-d H:i:s')]);

        return redirect()->route('ifta.calculate_miles.index', ['loadId' => $request->load_number, 'memId' => $request->mem_id])
            ->with('success', 'Record Imported Successfully')->withInput();
    }

    public function calculate(Request $request)
    {
        if (!empty ($request->P_ADDRESS) && !empty ($request->D_ADDRESS)) {
            $p_address = $request->input('P_ADDRESS');
            $d_address = $request->input('D_ADDRESS');
            $s1_address = $request->input('S1_ADDRESS');
            $s2_address = $request->input('S2_ADDRESS');
            $s3_address = $request->input('S3_ADDRESS');
            $s4_address = $request->input('S4_ADDRESS');
            $s5_address = $request->input('S5_ADDRESS');

            $p_city = $request->input('P_CITY');
            $d_city = $request->input('D_CITY');
            $s1_city = $request->input('S1_CITY');
            $s2_city = $request->input('S2_CITY');
            $s3_city = $request->input('S3_CITY');
            $s4_city = $request->input('S4_CITY');
            $s5_city = $request->input('S5_CITY');

            $p_state = $request->input('P_STATE');
            $d_state = $request->input('D_STATE');
            $s1_state = $request->input('S1_STATE');
            $s2_state = $request->input('S2_STATE');
            $s3_state = $request->input('S3_STATE');
            $s4_state = $request->input('S4_STATE');
            $s5_state = $request->input('S5_STATE');

            $p_postal = $request->input('P_POSTAL');
            $d_postal = $request->input('D_POSTAL');
            $s1_postal = $request->input('S1_POSTAL');
            $s2_postal = $request->input('S2_POSTAL');
            $s3_postal = $request->input('S3_POSTAL');
            $s4_postal = $request->input('S4_POSTAL');
            $s5_postal = $request->input('S5_POSTAL');

            $routes = new Routes();
            $routes->mem_id = getAuthMemberId();
            $routes->p_address = $p_address;
            $routes->d_address = $d_address;
            $routes->s1_address = $s1_address;
            $routes->s2_address = $s2_address;
            $routes->s3_address = $s3_address;
            $routes->s4_address = $s4_address;
            $routes->s5_address = $s5_address;
            $routes->p_city = $p_city;
            $routes->d_city = $d_city;
            $routes->s1_city = $s1_city;
            $routes->s2_city = $s2_city;
            $routes->s3_city = $s3_city;
            $routes->s4_city = $s4_city;
            $routes->s5_city = $s5_city;
            $routes->p_state = $p_state;
            $routes->d_state = $d_state;
            $routes->s1_state = $s1_state;
            $routes->s2_state = $s2_state;
            $routes->s3_state = $s3_state;
            $routes->s4_state = $s4_state;
            $routes->s5_state = $s5_state;
            $routes->p_zip = $p_postal;
            $routes->d_zip = $d_postal;
            $routes->s1_zip = $s1_postal;
            $routes->s2_zip = $s2_postal;
            $routes->s3_zip = $s3_postal;
            $routes->s4_zip = $s4_postal;
            $routes->s5_zip = $s5_postal;
            $routes->created_at = date('Y-m-d');
            $routes->save();

            $legs[] = $p_city . ',' . $p_state . ' ' . $p_postal;

            if(!empty($s1_address)){
                $legs[] = $s1_city . ',' . $s1_state . ' ' . $s1_postal;
            }
            if(!empty($s2_address)){
                $legs[] = $s2_city . ',' . $s2_state . ' ' . $s2_postal;
            }
            if(!empty($s3_address)){
                $legs[] = $s3_city . ',' . $s3_state . ' ' . $s3_postal;
            }
            if(!empty($s4_address)){
                $legs[] = $s4_city . ',' . $s4_state . ' ' . $s4_postal;
            }
            if(!empty($s5_address)){
                $legs[] = $s5_city . ',' . $s5_state . ' ' . $s5_postal;
            }

            $legs[] = $d_city . ',' . $d_state . ' ' . $d_postal;

            $this->LoadAddEditSyncPormiles($routes->id, $legs);

            return redirect()->route('ifta.calculate_miles.index', ['loadId' => $routes->id, 'memId' => $routes->mem_id]);
        } else {
            return redirect()->route('ifta.calculate_miles.index')->with('error', 'Please Select Pickup And Delivery Address');
        }
    }

    public function LoadAddEditSyncPormiles($loadId, $legs)
    {
        try{
            $newLegs = [];
            if (!empty ($legs)) {
                foreach ($legs as $leg) {
                    $newLegs[] = str_replace("USA", "", $leg);
                }
            }
            $mem_id = getAuthMemberId();
            $checkPickupDate = "N";
            $fields = array(
                'load_number' => $loadId,
                'legs' => $newLegs,
                'mem_id' => $mem_id,
                'checkPickupDate' => $checkPickupDate
            );
            $fields_string = http_build_query($fields);
            $curl = curl_init();
            curl_setopt_array(
                $curl,
                array(
                    CURLOPT_URL => "https://tms.tmdashboard.com/api/primepromiles/RunSimpleTrip_Save_freeIFTA.php",
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => "",
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 30,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => "POST",
                    CURLOPT_POSTFIELDS => $fields_string,
                    CURLOPT_HTTPHEADER => array(
                        "cache-control: no-cache",
                        "content-type: application/x-www-form-urlencoded"
                    ),
                )
            );
            $response = curl_exec($curl);
            $xml = new \SimpleXMLElement($response);
            $body = $xml->xpath('//soapBody')[0];
            $resp_arr = json_decode(json_encode((array) $body), TRUE);

            $data_resp = $resp_arr['RunSimpleTripResponse']['RunSimpleTripResult'];
            $currentdate = date("Y-m-d h:i:s");
            if (!empty ($data_resp) && $data_resp['ResponseStatus'] != 'BAD_TRIP_LOCATION') {
                $state_arr = $resp_arr['RunSimpleTripResponse']['RunSimpleTripResult']['StateMileage']['StateBreakoutRow'];
                foreach ($state_arr as $row => $val) {
                    if (!empty ($val)) {
                        $promiles_Statemileage = new PromilesStatemileage();
                        $promiles_Statemileage->load_number = $loadId;
                        $promiles_Statemileage->mem_id = getAuthMemberId();
                        $promiles_Statemileage->state = $val['State'];
                        $promiles_Statemileage->totalmiles = $val['TotalMiles'];
                        $promiles_Statemileage->tollmiles = $val['TollMiles'];
                        $promiles_Statemileage->nontollmiles = $val['NonTollMiles'];
                        $promiles_Statemileage->currentdate = $currentdate;
                        $promiles_Statemileage->save();
                    }
                }
            }
            return response()->json(['status' => true, 'message' => 'Records Inserted Successfully.']);
        }catch(\Exception $e){
            // return redirect()->back()->with('error', $e->getMessage());
            return redirect()->back()->with('error', 'OOPS Something Went Wrong !');
        }
    }

    public function delete($id)
    {
        $routes = Routes::find($id);
        if ($routes->delete()) {
            return redirect()->back()->with('success', 'History Deleted Successfully.');
        } else {
            return redirect()->back()->with('error', 'Something Went Wrong.');
        }
    }

    public function upgradePlan()
    {
        return view('IFTA.miles_calculator.upgradePlan');
    }

    public function storePlan(Request $request)
    {
        try {
            if (!empty ($_SERVER['HTTP_HOST']) && $_SERVER['HTTP_HOST'] == "fuel.tmdashboard.com") {
                $stripePlan_id = config('stripe')['LIVE_STRIPE_KEY'];
            } else {
                $stripePlan_id = config('stripe')['STRIPE_KEY'];
            }
            $plans = PlanMaster::where('stripe_plan_id', $stripePlan_id)->first();
            $user_limit = $plans->user;
            $bid_limit = $plans->bids;
            $post_truck_limit = $plans->post_truck;
            if (!empty ($request->stripeToken)) {
                $token = $request->stripeToken;
                $name = $request->holdername;
                $email = $request->email;
                $planID = $request->amt;
                $planInfo = $plans;
                $planName = $planInfo['name'];
                $planPrice = $planInfo['price'];
                $planInterval = $planInfo['interval'];
                $planDuration = $planInfo['duration'];

                if (!empty ($_SERVER['HTTP_HOST']) && $_SERVER['HTTP_HOST'] == "fuel.tmdashboard.com") {
                    $strpeSecret = config('stripe')['LIVE_STRIPE_SECRET'];
                } else {
                    $strpeSecret = config('stripe')['TEST_STRIPE_SECRET'];
                }
                $stripe = \Stripe\Stripe::setApiKey($strpeSecret);
                $duser_sub_details = UserSubscriptionDetails::where('user_id', getAuthMemberId())->orderBy('id', 'desc')->first();

                if (!empty ($duser_sub_details)) {
                    $cusId = $duser_sub_details->stripe_customer_id;
                    $subscibtionId = $duser_sub_details->stripe_subscription_id;
                }

                if (!empty ($cusId)) {
                    $customerdetail = \Stripe\Customer::retrieve(
                        $cusId,
                        []
                    );
                }

                if (!empty ($customerdetail)) {
                    $customer_id = $cusId;
                } else {
                    $customer = \Stripe\Customer::create(
                        array(
                            'email' => $email,
                            'source' => $token
                        )
                    );
                    $customer_id = $customer->id;
                }

                $priceCents = round($planPrice * 100);
                $currency = "usd";
                if (!empty ($stripePlan_id)) {
                    $planexistCheck = \Stripe\Plan::retrieve(
                        $stripePlan_id,
                        []
                    );
                }

                if (!empty ($planexistCheck)) {
                    $pid = $stripePlan_id;
                } else {
                    try {
                        $plan = \Stripe\Plan::create(
                            array(
                                "product" => [
                                    "name" => $planName
                                ],
                                "amount" => $priceCents,
                                "currency" => $currency,
                                "interval" => $planInterval,
                                "interval_count" => 1
                            )
                        );
                        $pid = $plan->id;
                        $planUpdate = PlanMaster::where('name', $planName)->update(['stripe_plan_id' => $pid]);
                    } catch (\Exception $e) {
                        $api_error = $e->getMessage();
                    }
                    $pid = $plan->id;
                }

                $Oldduser_sub_details = UserSubscriptionDetails::where('user_id', getAuthMemberId())->orderBy('id', 'DESC')->get();

                if (empty ($api_error) && $pid) {
                    try {
                        $subscription = \Stripe\Subscription::create(
                            array(
                                "customer" => $customer_id,
                                "items" => array(array("plan" => $pid)),
                                //"trial_period_days" => "30"
                            )
                        );
                    } catch (\Exception $e) {
                        $api_error = $e->getMessage();
                    }

                    $cardtoken = \Stripe\Customer::retrieve(
                        $customer_id,
                        []
                    );

                    $card = $cardtoken->default_source;
                    if (empty ($api_error) && $subscription) {
                        $subsData = $subscription->jsonSerialize();
                        if ($subsData['status'] == 'active' || $subsData['status'] == 'trialing') {
                            $plan_id = $planID;
                            $subscrID = $subsData['id'];
                            $custID = $subsData['customer'];
                            $planID = $subsData['plan']['id'];
                            $planName = !empty ($subsData['plan']['name']) ? $subsData['plan']['name'] : 'FreeIFTA - Standard';
                            $planAmount = ($subsData['plan']['amount'] / 100);
                            $planCurrency = $subsData['plan']['currency'];
                            $planinterval = $subsData['plan']['interval'];
                            $planIntervalCount = $subsData['plan']['interval_count'];
                            $created = date("Y-m-d H:i:s", $subsData['created']);
                            $current_period_start = date("Y-m-d H:i:s", $subsData['current_period_start']);
                            $current_period_end = date("Y-m-d H:i:s", $subsData['current_period_end']);
                            $status = $subsData['status'];

                            $last_id = UserSubscriptionDetails::create([
                                'user_id' => getAuthMemberId(),
                                'stripe_subscription_id' => $subscrID,
                                'stripe_customer_id' => $custID,
                                'stripe_plan_id' => $planID,
                                'plan_amount' => $planAmount,
                                'plan_amount_currency' => $planCurrency,
                                'plan_interval' => $planinterval,
                                'plan_interval_count' => $planIntervalCount,
                                'payer_email' => $email,
                                'created' => $created,
                                'plan_period_start' => $current_period_start,
                                'plan_period_end' => $current_period_end,
                                'status' => $status,
                            ]);

                            if ($last_id && !empty ($last_id)) {
                                $last_id = UserPayments::create([
                                    'MEM_ID' => getAuthMemberId(),
                                    'AMOUNT' => $planAmount,
                                    'plan_id' => $plan_id,
                                    'PLAN' => $planName,
                                    'card_token' => $card,
                                    'expiration_date' => $current_period_end,
                                    'customer_id' => $customer_id,
                                    'user_limit' => $user_limit,
                                    'bid_limit' => $bid_limit,
                                    'post_truck_limit' => $post_truck_limit,
                                    'user_remaining' => $planAmount,
                                    'bid_remaining' => $bid_limit,
                                    'post_truck_remaining' => $post_truck_limit,
                                    'duration' => $planDuration,
                                    'CREATE_AT' => $current_period_start,
                                    'subscription_id' => $subscrID,
                                    'is_active' => 1,
                                    'sid' => null,
                                ]);
                                return redirect()->route('ifta.calculate_miles.index')->with('success', 'Subscription Process Succeded !');
                            } else {
                                return redirect()->back()->with('error', 'Something Went Wrong !');
                            }
                        } else {
                            return redirect()->back()->with('error', 'Subscription Activation Failed !');
                        }
                    } else {
                        return redirect()->back()->with('error', 'Something Went Wrong !');
                    }
                } else {
                    return redirect()->back()->with('error', 'Something Went Wrong !');
                }
            } else {
                return redirect()->back()->with('error', 'Something Went Wrong !');
            }
        } catch (\Exception $e) {
            return redirect()->back()->with('error', $e->getMessage());
        }
    }

}
