<?php

namespace App\Http\Controllers;

use App\Models\CarrierProfile;
use App\Models\Member;
use Illuminate\Http\Request;

class MyProfileController extends Controller
{
    public function index()
    {
        $carrierInfo = CarrierProfile::where('SUBFLEET', getAuthMemberId())->first();
        return view('myProfile.index', compact('carrierInfo'));
    }

    public function updateLowBalance(Request $request)
    {
        $lowbalance = $request->lowbalance;
        $id = $request->id;

        CarrierProfile::where('SUBFLEET', $id)->update(['low_balance_alert' => $lowbalance]);

        return response()->json(['status' => true, 'message' => 'Low Balance Threshold Updated Successfully']);
    }

    public function update_two_factor_auth(Request $request)
    {
        $twofactor = $request->twofactor;
        $id = $request->id;

        Member::where('mem_id', $id)->update([
            '2FA' => $twofactor
        ]);

        return response()->json(['status' => true, 'message' => 'Two Factor Auth Updated Successfully']);
    }

    public function change_password(Request $request)
    {
        $this->validate(
            $request,
            [
                'password' => 'required',
                'confirm_password' => 'required|same:password',
            ],
            [
                'confirm_password.same' => 'The password confirmation does not match.',
            ]
        );

        Member::where('mem_id', getAuthMemberId())->update([
            'password' => $request->password
        ]);

        return redirect()->back()->with('success', 'Password Changed Successfully');
    }
}
