<?php

namespace App\Http\Controllers;
use App\Models\TransactionReport;
use App\DataTables\TransactionReportDataTable;

class TransactionReportController extends Controller
{
    public function index(TransactionReportDataTable $dataTable)
    {
        return $dataTable->render('transactionReport.index');
    }

    public function newIndex(TransactionReportDataTable $dataTable)
    {
        $gallonsUnit = TransactionReport::where('Sub Fleet', getAuthMemberId())->pluck('Unit')->toArray();
        $combinedUnits = array_filter($gallonsUnit, function ($value) {
            return $value !== '';
        });
        $units = array_unique($combinedUnits);
        $cardnoarr = TransactionReport::where('Sub Fleet', getAuthMemberId())->pluck('Card Number as cardNo')->toArray();
        $combinedCardNO = array_filter($cardnoarr, function ($value1) {
            return $value1 !== null;
        });
        $cardNos = array_unique($combinedCardNO);    
        return $dataTable->render('transactionReport.newIndex',compact('units','cardNos'));
    }
}
