<?php

namespace App\Http\Controllers;

use App\Models\Driver;
use Illuminate\Http\Request;
use App\Models\ActivityLog;
use App\Models\Truck;
use App\Models\Trailer_issues;
use App\DataTables\TruckDataTable;
use App\Models\Servicecodes2;
use App\Models\Member;

use DB;

class TruckController extends Controller
{
    public function index(TruckDataTable $dataTable)
    {
        return $dataTable->render('assets.trucks.index');
    }

    public function add()
    {
        return view('assets.trucks.add');
    }

    public function store(Request $request)
    {

        

        $this->validate($request, [
            'UNIT_ID' => 'required',
            'MAKE' => 'required',
            'MODEL' => 'required',
            'YEAR' => 'required',
            // 'VIN' => 'required',
            // 'AXLES' => 'required',
            'PLATE' => 'required',
            'LIC_1_EXP_DATE' => 'required',
            // 'ODOMETER_READING' => 'required',
            // 'ODOMETER' => 'required',

        ],
        [
            'UNIT_ID.required' => 'The Unit # field is Required',
            'MAKE.required' => 'The Make field is Required',
            'MODEL.required' => 'The Model field is Required',
            'YEAR.required' => 'The Year field is Required',
            // 'VIN.required' => 'The VIN # field is Required',
            // 'AXLES.required' => 'The Axles DATE field is Required',
            'PLATE.required' => 'The Plate # field is Required',
            'LIC_1_EXP_DATE.required' => 'The Plate Expires field is Required',
            // 'ODOMETER_READING.required' => 'The Odometer Date field is Required',
            // 'ODOMETER.required' => 'The Odeometer Miles field is Required',
        ]);
//  dd($request->all());
        $truck = Truck::create([
            'UNIT_ID' => $request->UNIT_ID,
            'MAKE' => $request->MAKE,
            'MODEL' => $request->MODEL,
            'YEAR' => $request->YEAR,
            'PLATE' => $request->PLATE,
            'LIC_1_EXP_DATE' => date('Y-m-d', strtotime($request->LIC_1_EXP_DATE)),
            'STATUS' => 'AVAILABLE',
            'CREATED_DATE' => date('Y-m-d H:i:s'),
            'CREATED_BY' => getAuthMemberId(),
            'mem_id' => getAuthMemberId(),

            // 'VIN' => $request->VIN,
            // 'AXLES' => $request->AXLES,
            // 'ODOMETER_READING' => date('Y-m-d H:i', strtotime($request->ODOMETER_READING)),
            // 'ODOMETER' => $request->ODOMETER,

        ]);

        if(!empty($request->driverId)){
            Driver::where('DRIVER_ID', $request->driverId)->update(['TRUCK_ID' => $truck->TRUCK_ID]);
        }

        if(!empty($request->from && $request->from == 'driverEdit')){
            $url = redirect()->back()->with('success', 'Truck Added Successfully')->getTargetUrl() . '#kt_stats_widget_16_tab_5';
            return redirect()->to($url);
        }else{
            return redirect()->route('assets.trucks.index')->with('success', 'Truck Added Successfully');
        }
    }

    public function edit($truckId)
    {
        $truck = Truck::find($truckId);   
        
        if(gettype($truck->ASSIGNED_DRIVER) == 'string') {            
            $ASSIGNED_DRIVERS [] = $truck->ASSIGNED_DRIVER;
        }        
        
        $ASSIGNED_DRIVERS = str_replace('"', '',explode(',', $truck->ASSIGNED_DRIVER));
        
        foreach ($ASSIGNED_DRIVERS as $key => $ASSIGNED_DRIVER) {
            $assignedDriverIds = Truck::where('mem_id', getAuthMemberId())->whereNotNull('ASSIGNED_DRIVER')->where('ASSIGNED_DRIVER', '=', $ASSIGNED_DRIVER)->pluck('ASSIGNED_DRIVER')->toArray();
            $drivertypes =   Driver::select('DRIVER_TYPE','NAME')->whereIn('DRIVER_ID', $ASSIGNED_DRIVERS)->where('TRUCK_ID',$truckId)->get()->toArray();
            $drivers = Driver::where('mem_id', getAuthMemberId())->get();        
        }

        $dType = implode(', ',array_unique(array_column($drivertypes, 'DRIVER_TYPE')));
        $dNames = implode(', ',array_unique(array_column($drivertypes, 'NAME')));

        $trailer_issues = Trailer_issues::where('TRUCK_ID',$truckId)->first();
     
        $serviceCode = Servicecodes2::all();       
       
        $DRIVER_TYPE = '';

        foreach ($drivers as $driver) {
            if (strpos($DRIVER_TYPE, $driver->DRIVER_TYPE) === false) {
                $DRIVER_TYPE .= $driver->DRIVER_TYPE;
            }
        }

       $ActivityLogs = ActivityLog::where('user_id',getAuthMemberId())->where('activity_log.TRUCK_ID',$truckId)->get()->toArray();
       $viewLogs = [];
       foreach($ActivityLogs as $value) {
        $user_id = $value['user_id'];
        $userData = Member::select('name')->where('mem_id', $user_id)->first();

        $drivers_id =  explode(',', $value['driver_id']);
        $driversData = Driver::select('DRIVER_ID','NAME')->whereIn('DRIVER_ID', $drivers_id)->get()->toArray();
        // echo"<pre>";print_r($drivers);
        $driverName = [];
        foreach($driversData as $driver){           
            $driverName[$driver['DRIVER_ID']] =  $driver['NAME'];
        }        
        $driverNames = implode(', ', $driverName);
       
        // echo"<pre>";print_r($driverNames);//die;
        $truck_id = $value['truck_id'];
        $truckData = Truck::select('UNIT_ID')->where('TRUCK_ID', $truck_id)->first();

        $viewLogs[] = [
            'logId'         => $value['id'],
            'userName'      => $userData['name'],
            'driverName'    => $driverNames,
            'truckUnitId'   => $truckData['UNIT_ID'],
            'createdAt'     => date('m/d/Y h:i A',strtotime($value['created_at'])),
        ];
       }

        return view('assets.trucks.edit', compact('truck', 'assignedDriverIds','ASSIGNED_DRIVERS', 'drivers', 'DRIVER_TYPE','trailer_issues','serviceCode','drivertypes','dType','dNames','viewLogs'));
    }

    public function update(Request $request)
    {
        $this->validate($request, [
            'UNIT_ID' => 'required',
            'MAKE' => 'required',
            'MODEL' => 'required',
            'YEAR' => 'required',
            'VIN' => 'required',
            'AXLES' => 'required',
            'PLATE' => 'required',
            'LIC_1_EXP_DATE' => 'required',
            'ODOMETER_READING' => 'required',
            'ODOMETER' => 'required',           
        ],
        [
            'UNIT_ID.required' => 'The Unit # field is Required',
            'MAKE.required' => 'The Make field is Required',
            'MODEL.required' => 'The Model field is Required',
            'YEAR.required' => 'The Year field is Required',
            'VIN.required' => 'The VIN # field is Required',
            'AXLES.required' => 'The Axles field is Required',
            'PLATE.required' => 'The Plate # field is Required',
            'LIC_1_EXP_DATE.required' => 'The Plate Expires field is Required',
            'ODOMETER_READING.required' => 'The Odometer Date field is Required',
            'ODOMETER.required' => 'The Odeometer Miles field is Required',            
        ]);

        $destinations = NULL;

        if( !empty($request->x_FINAL_DESTINATION)){            
            $destinations = implode(',',$request->x_FINAL_DESTINATION);
        }

        // photo document tab image save code start
        $profiles = null;
        if ($request->hasFile('PUNIT_BITMAP')) {
            $file = $request->file('PUNIT_BITMAP');
            $profiles = time() . '_' . $file->getClientOriginalName();
            $file->move(public_path('trucks/profiles/'), $profiles);
        }else{
            $profiles = $request->OLD_PUNIT_BITMAP;
        }
        $profiles_PHOTOS = null;
        if ($request->hasFile('PHOTOS')) {
            $file = $request->file('PHOTOS');
            $profiles_PHOTOS = time() . '_' . $file->getClientOriginalName();
            $file->move(public_path('trucks/PHOTOS/'), $profiles_PHOTOS);
        }else{
            $profiles_PHOTOS = $request->OLD_PHOTOS;
        }
        // photo document tab image save code end

        if(gettype($request->DRIVER_ID) == 'string') {
            $DRIVER_ID [] = $request->DRIVER_ID;
        } 

        if($request->DRIVER_TYPE == 'SOLO'){
            Truck::where('TRUCK_ID', $request->TRUCK_ID)->update(['ASSIGNED_DRIVER' => null]);
        }
            Driver::where('TRUCK_ID', $request->TRUCK_ID)->update(['TRUCK_ID' => null]);
        $DRIVER_ID = [];
        if(!empty($request->DRIVER_ID)){
            $DRIVER_ID = str_replace('"', '',implode(',', $request->DRIVER_ID));
            foreach ( explode(",",$DRIVER_ID) as $key => $DRIVERID) {
                $update_driverType = [              
                    'DRIVER_TYPE' => $request->DRIVER_TYPE,  
                    'TRUCK_ID' => $request->TRUCK_ID,             
                ];
               
              } 
        } 
        //dd($request->SOLD_DATE);

        $data = [
            'ASSIGNED_DRIVER' => $DRIVER_ID,
            'MODIFIED_DATE' => $request->MODIFIED_DATE,
            'MODIFIED_BY' => $request->MODIFIED_BY,
            'STATUS' => $request->STATUS,
            'UNIT_ID' => $request->UNIT_ID,
            'MAKE' => $request->MAKE,
            'MODEL' => $request->MODEL,
            'YEAR' => $request->YEAR,
            'VIN' => $request->VIN,
            'AXLES' => $request->AXLES,
            'PLATE' => $request->PLATE,
            'LIC_1_EXP_DATE' => !empty($request->LIC_1_EXP_DATE) ? $request->LIC_1_EXP_DATE : NULL,
            'ODOMETER_READING' => !empty($request->ODOMETER_READING) ? $request->ODOMETER_READING: NULL,
            'ODOMETER' => $request->ODOMETER,
            'LAST_OIL' => !empty($request->LAST_OIL) ? date("Y-m-d",strtotime($request->LAST_OIL)): NULL,
            'OIL_MILES' => $request->OIL_MILES,
            'LAST_TUNEUP' => !empty($request->LAST_TUNEUP) ? date("Y-m-d",strtotime($request->LAST_TUNEUP)): NULL,
            'TUNEUP_MILES' => $request->TUNEUP_MILES,
            'LAST_SERVICE' => !empty($request->LAST_SERVICE) ? date("Y-m-d",strtotime($request->LAST_SERVICE)): NULL,
            'SERVICE_MILES' => $request->SERVICE_MILES,
            'LAST_MAINTENANCE' => !empty($request->LAST_MAINTENANCE) ? $request->LAST_MAINTENANCE: NULL,
            'NEXT_MAINTENANCE' => !empty($request->NEXT_MAINTENANCE) ? $request->NEXT_MAINTENANCE: NULL,
            'DOT_INSP' => !empty($request->DOT_INSP) ? date("Y-m-d",strtotime($request->DOT_INSP)): NULL,
            'REG_INSP' => !empty($request->REG_INSP) ? date("Y-m-d",strtotime($request->REG_INSP)): NULL,
            'INS_EXP' => !empty($request->INS_EXP) ? date("Y-m-d",strtotime($request->INS_EXP)): NULL,
            'REG_STATES' => $request->REG_STATES,
            'OWNERSHIP' => $request->OWNERSHIP,
            'LEASEDPUR' => $request->LEASEDPUR,
            'PUR_FROM' => $request->PUR_FROM,
            'SOLD_TO' => $request->SOLD_TO,
            'PUR_DATE' => !empty($request->PUR_DATE) ? date("Y-m-d",strtotime($request->PUR_DATE)) : NULL,
            'SOLD_DATE' => !empty($request->SOLD_DATE) ? $request->SOLD_DATE : NULL,
            'PUR_AMT' => $request->PUR_AMT,
            'SOLD_AMT' => $request->SOLD_AMT,
            'CUR_VAL' => $request->CUR_VAL,
            'FACTORY_PRICE' => $request->FACTORY_PRICE,
            'TRUCK_PAYMENT' => $request->TRUCK_PAYMENT,
            'TRUCK_INSURANCE' => $request->TRUCK_INSURANCE,
            'RATE' => $request->RATE,
            'readydatetime' => $request->readydatetime,
            'current_address' => $request->current_address,            
            'currentcity' => $request->currentcity,
            'currentstate' => $request->currentstate,
            'x_LAT' => $request->x_LAT,
            'x_LNG' => $request->x_LNG,
            'dispatch_address' => $request->dispatch_address,            
            'dispatch_CITY' => $request->dispatch_CITY,
            'dispatch_STATE' => $request->dispatch_STATE,
            'dispatch_LAT' => $request->dispatch_LAT,
            'dispatch_LNG' => $request->dispatch_LNG,
            'DESTINATIONS' => $destinations,
            'notes' => htmlspecialchars($request->editorContent),
            'PHOTOS' => $profiles_PHOTOS,
            'PUNIT_BITMAP' => $profiles,
        ];
       $truck_update =  Truck::where('TRUCK_ID', $request->TRUCK_ID)->update($data);   
      
        $image = null;
        if ($request->hasFile('IMAGES')) {
            $file = $request->file('IMAGES');
            $image = time() . '_' . $file->getClientOriginalName();
            $file->move(public_path('trucks/profiles/'), $image);
        }else{
            $image = $request->old_IMAGES;
        }
        $document = null;
        if ($request->hasFile('DOCUMENTS')) {
            $file = $request->file('DOCUMENTS');
            $document = time() . '_' . $file->getClientOriginalName();
            $file->move(public_path('trucks/documents/repairsDocuments'), $document);
        }else{
            $document = $request->old_DOCUMENTS;
        }
        $service_codes = "";
       
        if(!empty($request->SERVICE_CODES)){
            $service_codes = implode(',', $request->SERVICE_CODES);
        }
       
        

        if(!empty($request->ISSUE_ID)){ 
            //print_r($request->service_codes);die;
            $data1 = [               
                'amount' =>  !empty($request->amount) ? $request->amount : NULL,
                'MEM_ID' =>  !empty($request->MEM_ID) ? $request->MEM_ID : NULL,
                'TRUCK_ID' =>  !empty($request->TRUCK_ID) ? $request->TRUCK_ID : NULL,
                'LOCATION' =>  !empty($request->LOCATION) ? $request->LOCATION : NULL,
                'SUMMARY' => !empty($request->SUMMARY) ? $request->SUMMARY : NULL,           
                'STATUS' => !empty($request->RepairStatus) ? $request->RepairStatus : NULL,
                'PO_NUMBER' => !empty($request->PO_NUMBER) ? $request->PO_NUMBER : NULL,
                'ODOMETER' => !empty($request->ODOMETER_iss) ? $request->ODOMETER_iss : NULL,
                'CREATED_BY' => getAuthMemberId(),
                'SERVICE_CODES' => !empty($request->SERVICE_CODES) ? $service_codes : NULL, 
                'IMAGES' => !empty($image) ?  $image : NULL,
                'DOCUMENTS' =>!empty($document) ? $document : NULL, 
            ];
            $truck_update =  Trailer_issues::where('ISSUE_ID', $request->ISSUE_ID)->update($data1);  
        }else{
           
            $trailer_issues = Trailer_issues::create([
                'amount' => $request->amount,
                'MEM_ID' => $request->MEM_ID,
                'TRUCK_ID' => $request->TRUCK_ID,
                'LOCATION' => $request->LOCATION,
                'SUMMARY' => $request->SUMMARY,           
                'STATUS' => $request->STATUS,
                'PO_NUMBER' => $request->PO_NUMBER,
                'ODOMETER' => $request->ODOMETER_iss,
                'CREATED_BY' => getAuthMemberId(),
                'SERVICE_CODES' => $service_codes, 
                'IMAGES' =>  $image,
                'DOCUMENTS' => $document,        
            ]);
        }
        
        if(!empty($request->DRIVER_ID)){
            Driver::whereIn('DRIVER_ID', $request->DRIVER_ID)->update($update_driverType);
        }
        $activityLog = [
            'user_id'   =>  getAuthMemberId(),
            'module'    =>  'Truck',
            'driver_id' =>  !empty($DRIVER_ID) ? $DRIVER_ID : '',
            'truck_id'  =>  $request->TRUCK_ID,
        ];
       // print_r($activityLog);die;
        $activityLogs = ActivityLog::create($activityLog);
        

        return redirect()->route('assets.trucks.edit',[$request->TRUCK_ID . $request->activeTab])->with('success', 'Truck Updated Successfully');       
        
    }

    public function import(Request $request)
    {
        try {
            $request->validate([
                'docs' => 'required|mimes:csv,txt',
            ]);

            $file = $request->file('docs');
            $fileName = time() . '_' . $file->getClientOriginalName();
            $destinationPath = public_path('docs/trucks');

            $file->move($destinationPath, $fileName);

            $csvData = array_map('str_getcsv', file($destinationPath . '/' . $fileName));
            $expectedHeaders = ['UNIT#', 'MAKE', 'MODEL', 'YEAR', 'VIN', 'AXLES', 'PLATE', 'PLATE EXPIRES', 'OdometerDate', 'OdometerMiles'];
            if ($csvData && count($csvData) > 0 && $csvData[0] != $expectedHeaders) {
                throw new \Exception('Invalid CSV format.');
            }
            array_shift($csvData);
            $lastElement = end($csvData);

            while ($lastElement === [null]) {
                array_pop($csvData);
                $lastElement = end($csvData);
            }

            foreach ($csvData as $row) {
                Truck::create([
                    'UNIT_ID' => $row[0],
                    'MAKE' => $row[1],
                    'MODEL' => $row[2],
                    'YEAR' => $row[3],
                    'VIN' => $row[4],
                    'AXLES' => $row[5],
                    'PLATE' => $row[6],
                    'LIC_1_EXP_DATE' => date('Y-m-d H:i:s', strtotime($row[7])),
                    'ODOMETER_READING' => date('Y-m-d H:i:s', strtotime($row[8])),
                    'ODOMETER' => $row[9],
                    'CREATED_DATE' => date('Y-m-d H:i:s'),
                    'CREATED_BY' => getAuthMemberId(),
                    'mem_id' => getAuthMemberId(),
                ]);
            }
            return redirect()->back()->with('success', 'Records Imported Successfully.');
        } catch (\Exception $e) {
            return redirect()->back()->with('error', $e->getMessage());
        }
    }

    public function delete($truckId)
    {
        Truck::where('TRUCK_ID', $truckId)->delete();
        return redirect()->back()->with('success', 'Truck Deleted Successfully.');
    }

    public function statusChange(Request $request){
        $truckId = $request->input('truck_id');
        $status = $request->input('status');

        // Find the truck by ID
        $truck = Truck::find($truckId);

        // Update the status
        if ($truck) {
            $truck->STATUS = $status;
            $truck->save();
            return response()->json(['success' => true]);
        } else {
            return response()->json(['success' => false, 'message' => 'Truck not found'], 404);
        }
    }
}
