<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserSubscriptionDetails extends Model
{
    use HasFactory;

    protected $table = 'user_subscriptions_details';

    public $timestamps = false;

    protected $fillable = [
        'user_id',
        'payment_method',
        'stripe_subscription_id',
        'stripe_customer_id',
        'stripe_plan_id',
        'plan_amount',
        'plan_amount_currency',
        'plan_interval',
        'plan_interval_count',
        'payer_email',
        'created',
        'plan_period_start',
        'plan_period_end',
        'status',
    ];

    public function user(){
        return $this->belongsTo('App\Models\User', 'user_id', 'id');
    }

}
