<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Validator;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
        Validator::extend('phone_format', function ($attribute, $value, $parameters, $validator) {
            if (empty($value)) {
                return true;
            }
            // Define the pattern to match (xxx) xxx-xxxx
            $pattern = "/^\(\d{3}\)-\d{3}-\d{4}$/";

            // Perform the validation
            return preg_match($pattern, $value);
        });

        Validator::replacer('phone_format', function ($message, $attribute, $rule, $parameters) {
            return str_replace(':attribute', $attribute, 'The :attribute must be in the format (xxx)-xxx-xxxx.');
        });
    }
}
