<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use App\Models\CarrierProfile;

class DashboardController extends Controller
{
    public function dashboard(Request $request)
    {
        $rowc1 = DB::table('CARRIER_PROFILE')->where('SUBFLEET', getAuthMemberId())->first();
        $rowc1 = $rowc1 ? (array) $rowc1 : [];

        $rowc = DB::table('CARRIER_PROFILE')->selectRaw('CREDIT_LIMIT as Total')->where('SUBFLEET', getAuthMemberId())->first();
        $rowc = $rowc ? (array) $rowc : [];

        $rowf = DB::table('FC_CARD')->selectRaw('COUNT(ID) AS Total')->where('CARD_STATUS', 'ACTIVE')->where('FC_VENDOR_ID', getAuthMemberId())
            ->first();
        $rowf = $rowf ? (array) $rowf : [];

        $rowga = DB::table('DailyTrans')->selectRaw('SUM(Quantity) as Total')->where(function ($query) {
            $query->where('Product Code', 'ULSD')
                ->orWhere('Product Code', 'FUEL');
        })
            ->where('Sub Fleet', getAuthMemberId())->whereMonth('Transaction Date', now()->month)->whereYear('Transaction Date', now()->year)
            ->first();
        $rowga = $rowga ? (array) $rowga : ['Total' => 0];

        $rowg = DB::table('DailyTrans')->selectRaw('SUM(Quantity) as Total')->where(function ($query) {
            $query->where('Product Code', 'ULSD')
                ->orWhere('Product Code', 'FUEL');
        })
            ->where('Sub Fleet', getAuthMemberId())->first();
        $rowg = $rowg ? (array) $rowg : ['Total' => 0];

        $currentUserID = getAuthMemberId();
        if (in_array($currentUserID, ["24", "8", "32", "34", "18", "14", "20", "17", "10", "19", "50", "48"])) {
            $sql = "SELECT SUM(CarrierPay) as Total FROM (
                    SELECT *, GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) AS MikeKeep, GREATEST(( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ),0) AS retainminusmike, GREATEST(( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ),0) AS CarrierKeep, GREATEST(( ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` ORDER BY DailyTrans.`Transaction Date` DESC LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ) * DailyTrans.Quantity ),0) AS CarrierPay, ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN DailyTrans.Quantity * 0.10 WHEN(DailyTrans.ChainID = 2) THEN DailyTrans.Quantity * 0.10 END ) AS MikeKeepOld
                    FROM
                    DailyTrans
                    WHERE
                    MONTH(DailyTrans.`Transaction Date`) = MONTH(NOW())
                    AND YEAR(DailyTrans.`Transaction Date`)=YEAR(NOW())
                    AND DailyTrans.`Sub Fleet` = '$currentUserID'
                    AND DailyTrans.ChainID IN(1, 3)
                    AND( DailyTrans.`Product Code` = 'ULSD' OR DailyTrans.`Product Code` = 'FUEL' )
                    ) as tableA";
            $rowa = DB::select(DB::raw($sql));
            $rowa = !empty($rowa) ? (array) $rowa[0] : [];

            $SQL = "SELECT *,
                    (CASE WHEN (DailyTrans.ChainID = 1) THEN (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice
                    FROM TBL_PILOT
                    INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site
                    WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID`
                    AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1)
                    WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.15), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1) END) AS MikeKeep, (DailyTrans.Retail_PPU - (CASE WHEN (DailyTrans.ChainID = 1) THEN (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1) WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.15), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1) END)) AS retainminusmike, (CASE WHEN (DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3) THEN (DailyTrans.Retail_PPU - (CASE WHEN (DailyTrans.ChainID = 1) THEN (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1) WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.15), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1) END)) - 0.10 WHEN (DailyTrans.ChainID = 2) THEN 0 END) AS CarrierKeep, ((CASE WHEN (DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3) THEN (DailyTrans.Retail_PPU - (CASE WHEN (DailyTrans.ChainID = 1) THEN (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1) WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.15), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` ORDER BY DailyTrans.`Transaction Date` DESC LIMIT 1) END)) - 0.10 WHEN (DailyTrans.ChainID = 2) THEN 0 END) * DailyTrans.Quantity) AS CarrierPay, (CASE WHEN (DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3) THEN DailyTrans.Quantity * 0.10 WHEN (DailyTrans.ChainID = 2) THEN DailyTrans.Quantity * 0.10 END) AS MikeKeepOld
                    FROM DailyTrans
                    WHERE DailyTrans.ChainID IN (1, 3)
                    AND (DailyTrans.`Product Code` = 'ULSD' OR DailyTrans.`Product Code` = 'FUEL')
                    AND MONTH(DailyTrans.`Transaction Date`) = MONTH(NOW() - INTERVAL 1 MONTH)
                    AND YEAR(DailyTrans.`Transaction Date`)=YEAR(NOW() - INTERVAL 1 MONTH)
                    AND (`Sub Fleet` IN ('" . getAuthMemberId() . "'))
                    ";
            $dataRebatesByPMonth = DB::select(DB::raw($SQL));
            $sum_CarrierPay = [];

            foreach ($dataRebatesByPMonth as $row) {
                if ($row->ChainID == 2) {
                    $row->CarrierPay = 0;
                    $row->MarginRebate = (0.10 * $row->Quantity);
                    $row->CJORebate = $row->MarginRebate;
                    $row->CarrierRebate = 0;
                    $row->CarrierKeep = 0;
                }
                if ($row->CarrierPay <= 0 && $row->ChainID != 2) {
                    $row->CarrierPay = 0;
                    $row->CarrierKeep = 0;
                }
                $sum_CarrierPay[] = isset($row->CarrierPay) ? $row->CarrierPay : 0;
            }
            $rowaP['Total'] = array_sum($sum_CarrierPay);

            $sqlRebatesByMonth = "SELECT MONTHNAME(tableA.`Transaction Date`, '%Y-%m') as previousMonth, SUM(CarrierPay) as Total FROM
                                    (SELECT *,
                                    (CASE WHEN (DailyTrans.ChainID = 1) THEN
                                    (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.10), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1) WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.10), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1) END) AS MikeKeep,
                                    (DailyTrans.Retail_PPU - (CASE WHEN (DailyTrans.ChainID = 1) THEN (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.10), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1) WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.10), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1) END)) AS retainminusmike,
                                    (CASE WHEN (DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3) THEN (DailyTrans.Retail_PPU - (CASE WHEN (DailyTrans.ChainID = 1) THEN (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.10), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1) WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.10), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1) END)) - 0.10 WHEN (DailyTrans.ChainID = 2) THEN 0 END) AS CarrierKeep,
                                    GREATEST(((CASE WHEN (DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3) THEN (DailyTrans.Retail_PPU - (CASE WHEN (DailyTrans.ChainID = 1) THEN (SELECT TRUNCATE((TBL_PILOT.`Your Price` + 0.10), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1) WHEN (DailyTrans.ChainID = 3) THEN (SELECT TRUNCATE((TBL_TA_RETAIL.`Fuel Price` + 0.10), 4) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1) END)) - 0.10 WHEN (DailyTrans.ChainID = 2) THEN 0 END) * DailyTrans.Quantity),0) AS CarrierPay,
                                    (CASE WHEN (DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3) THEN DailyTrans.Quantity * 0.10 WHEN (DailyTrans.ChainID = 2) THEN DailyTrans.Quantity * 0.10 END) AS MikeKeepOld
                                    FROM DailyTrans
                                    WHERE (DailyTrans.`Transaction Date`) >= (NOW() - INTERVAL 5 MONTH)
                                    AND YEAR(DailyTrans.`Transaction Date`)=YEAR(NOW() - INTERVAL 1 MONTH)
                                    AND DailyTrans.`Sub Fleet` = '$currentUserID'
                                    AND DailyTrans.ChainID IN (1, 3)
                                    AND (DailyTrans.`Product Code` = 'ULSD' OR DailyTrans.`Product Code` = 'FUEL')) as tableA
                                    GROUP BY DATE_FORMAT(tableA.`Transaction Date`, '%Y%m')
                                    ";
            $dataRebatesByMonth = DB::select(DB::raw($sqlRebatesByMonth));

            $rebatesByMonthData = [];
            $rebatesByMonthLabel = [];
            foreach ($dataRebatesByMonth as $rowsrebatesByMonth) {
                $rebatesByMonthData[] = $rowsrebatesByMonth->Total;
                $rebatesByMonthLabel[] = $rowsrebatesByMonth->previousMonth;
            }
        } else if (in_array($currentUserID, ["5", "28", "13", "2", "25", "11", "19", "37", "15"])) {
            $sql = "SELECT SUM(REBATE*QTY) AS Total
                    FROM FUEL_PROCESS
                    WHERE MONTH(TRANS_DATE) = MONTH(NOW()) AND YEAR(TRANS_DATE)=YEAR(NOW()) and SUBFLEET = '$currentUserID' AND `LocationID` IN(1,3) AND `PRODUCT_CODE` = 'ULSD'";
            $rowa = DB::select(DB::raw($sql));
            $rowa = !empty($rowa) ? (array) $rowa[0] : [];

            $sql = "SELECT SUM(REBATE*QTY) AS Total
                    FROM FUEL_PROCESS
                    WHERE MONTH(TRANS_DATE) = MONTH(NOW()-INTERVAL 1 MONTH) AND YEAR(TRANS_DATE)=YEAR(NOW()-INTERVAL 1 MONTH)and SUBFLEET = '$currentUserID' AND `LocationID` IN(1,3) AND `PRODUCT_CODE` = 'ULSD'";
            $rowaP = DB::select(DB::raw($sql));
            $rowaP = !empty($rowaP) ? (array) $rowaP[0] : [];

            $sqlRebatesByMonth = "SELECT DATE_FORMAT(TRANS_DATE, '%Y-%m') as previousMonth, SUM(REBATE*QTY) AS Total
            FROM FUEL_PROCESS
            WHERE TRANS_DATE >= (NOW() - INTERVAL 5 MONTH)
              AND YEAR(TRANS_DATE) <= YEAR(NOW() - INTERVAL 1 MONTH)
              AND SUBFLEET = '$currentUserID'
              AND `LocationID` IN(1,3)
              AND `PRODUCT_CODE` = 'ULSD'
            GROUP BY DATE_FORMAT(TRANS_DATE, '%Y-%m')";
            $dataRebatesByMonth = DB::select(DB::raw($sqlRebatesByMonth));

            $rebatesByMonthData = [];
            $rebatesByMonthLabel = [];
            foreach ($dataRebatesByMonth as $rowsrebatesByMonth) {
                $rebatesByMonthData[] = $rowsrebatesByMonth->Total;
                $rebatesByMonthLabel[] = $rowsrebatesByMonth->previousMonth;
            }
        } else if (in_array($currentUserID, ["40", "41", "42", "43", "44", "45", "46", "47", "48", "50"])) {
            $sql = "SELECT
                        SUM(CASE WHEN (`DailyTrans`.`Product Code` = 'ULSD' OR `DailyTrans`.`Product Code` = 'FUEL') AND `DailyTrans`.`ChainID` != '2' AND `DailyTrans`.`Location Name` NOT LIKE '%ONE9%' THEN (`CARRIER_PROFILE`.`MARGIN_RATE` * `DailyTrans`.`Quantity`) ELSE 0.00 END) AS Total
                        FROM
                        `DailyTrans`
                        LEFT JOIN `CARRIER_PROFILE` ON `DailyTrans`.`Sub Fleet` = `CARRIER_PROFILE`.`SUBFLEET`
                        WHERE MONTH(`DailyTrans`.`Transaction Date`) = MONTH(NOW())
                        AND YEAR(`DailyTrans`.`Transaction Date`)=YEAR(NOW())
                        AND `DailyTrans`.`Sub Fleet` = '$currentUserID'
                        ";
            $rowa = DB::select(DB::raw($sql));
            $rowa = !empty($rowa) ? (array) $rowa[0] : [];

            $sql = "SELECT
                    SUM(CASE WHEN (`DailyTrans`.`Product Code` = 'ULSD' OR `DailyTrans`.`Product Code` = 'FUEL') AND `DailyTrans`.`ChainID` != '2' AND `DailyTrans`.`Location Name` NOT LIKE '%ONE9%' THEN (`CARRIER_PROFILE`.`MARGIN_RATE` * `DailyTrans`.`Quantity`) ELSE 0.00 END) AS Total
                    FROM
                    `DailyTrans`
                    LEFT JOIN `CARRIER_PROFILE` ON `DailyTrans`.`Sub Fleet` = `CARRIER_PROFILE`.`SUBFLEET`
                    WHERE MONTH(`DailyTrans`.`Transaction Date`) = MONTH(NOW() -INTERVAL 1 MONTH)
                    AND YEAR(`DailyTrans`.`Transaction Date`)=YEAR(NOW() -INTERVAL 1 MONTH)
                    AND `DailyTrans`.`Sub Fleet` = '$currentUserID'
                    ";
            $rowaP = DB::select(DB::raw($sql));
            $rowaP = !empty($rowaP) ? (array) $rowaP[0] : [];

            $sqlRebatesByMonth = "SELECT
                                    MONTHNAME(`DailyTrans`.`Transaction Date`, '%Y%m') as previousMonth,
                                    SUM(CASE WHEN (`DailyTrans`.`Product Code` = 'ULSD' OR `DailyTrans`.`Product Code` = 'FUEL') AND `DailyTrans`.`ChainID` != '2' AND `DailyTrans`.`Location Name` NOT LIKE '%ONE9%' THEN (`CARRIER_PROFILE`.`MARGIN_RATE` * `DailyTrans`.`Quantity`) ELSE 0.00 END) AS Total
                                    FROM
                                    `DailyTrans`
                                    LEFT JOIN `CARRIER_PROFILE` ON `DailyTrans`.`Sub Fleet` = `CARRIER_PROFILE`.`SUBFLEET`
                                    WHERE (`DailyTrans`.`Transaction Date`) >= (NOW() -INTERVAL 5 MONTH)
                                    AND YEAR(`DailyTrans`.`Transaction Date`)=YEAR(NOW() -INTERVAL 1 MONTH)
                                    AND `DailyTrans`.`Sub Fleet` = '$currentUserID'
                                    GROUP BY DATE_FORMAT(`DailyTrans`.`Transaction Date`, '%Y%m')
                                    ";
            $dataRebatesByMonth = DB::select(DB::raw($sqlRebatesByMonth));

            $rebatesByMonthData = [];
            $rebatesByMonthLabel = [];
            foreach ($dataRebatesByMonth as $rowsrebatesByMonth) {
                $rebatesByMonthData[] = $rowsrebatesByMonth->Total;
                $rebatesByMonthLabel[] = $rowsrebatesByMonth->previousMonth;
            }
        } else {
            $sql = "SELECT SUM(`REBATE`*`QTY`) AS Total
                    FROM `FUEL_PROCESS`
                    WHERE MONTH(`TRANS_DATE`) = MONTH(NOW()) AND YEAR(`TRANS_DATE`)=YEAR(NOW()) and `SUBFLEET` = '" . getAuthMemberId() . "' AND `LocationID` IN(1,3) AND `PRODUCT_CODE` = 'ULSD'";
            $rowa = DB::select(DB::raw($sql));
            $rowa = !empty($rowa) ? (array) $rowa[0] : [];

            $sql = "SELECT SUM(`REBATE`*`QTY`) AS Total
                    FROM `FUEL_PROCESS`
                    WHERE MONTH(`TRANS_DATE`) = MONTH(NOW()-INTERVAL 1 MONTH) AND YEAR(`TRANS_DATE`)=YEAR(NOW()-INTERVAL 1 MONTH)and `SUBFLEET` = '" . getAuthMemberId() . "' AND `LocationID` IN(1,3) AND `PRODUCT_CODE` = 'ULSD'";
            $rowaP = DB::select(DB::raw($sql));
            $rowaP = !empty($rowaP) ? (array) $rowaP[0] : [];

            $sqlRebatesByMonth = "SELECT DATE_FORMAT(`TRANS_DATE`, '%Y-%m') as month, SUM(`REBATE`*`QTY`) AS Total
                     FROM `FUEL_PROCESS`
                     WHERE `TRANS_DATE` >= (NOW() - INTERVAL 5 MONTH)
                        AND YEAR(`TRANS_DATE`) <= YEAR(NOW() - INTERVAL 1 MONTH)
                        AND `SUBFLEET` = '" . getAuthMemberId() . "'
                        AND `LocationID` IN(1,3)
                        AND `PRODUCT_CODE` = 'ULSD'
                     GROUP BY DATE_FORMAT(`TRANS_DATE`, '%Y-%m')";

            $dataRebatesByMonth = DB::select(DB::raw($sqlRebatesByMonth));

            $rebatesByMonthData = [];
            $rebatesByMonthLabel = [];
            foreach ($dataRebatesByMonth as $rowsrebatesByMonth) {
                $rebatesByMonthData[] = $rowsrebatesByMonth->Total;
                $rebatesByMonthLabel[] = $rowsrebatesByMonth->month;
            }
        }

        // if (isset($request->month) && !empty($request->month)) {
        //     $sql22 = "SELECT `UNIT`,
        //                 MAX(`DRIVER`) AS DRIVER,
        //                 SUM(`QTY`) AS TotalGallons,
        //                 `PRODUCT_CODE`,
        //                 SUM(`REBATE` * `QTY`) AS Total
        //             FROM FUEL_PROCESS
        //             WHERE MONTH(TRANS_DATE) = '" . $request->month . "'
        //                 AND SUBFLEET = $currentUserID
        //                 AND `PRODUCT_CODE` = 'ULSD'
        //                 AND `LocationID` IN(1,3)
        //             GROUP BY `UNIT`
        //             ORDER BY `Total`  DESC";
        // } else {
        $sql22 = "SELECT `UNIT`,
                    MAX(`DRIVER`) AS DRIVER,
                    SUM(`QTY`) AS TotalGallons,
                    `PRODUCT_CODE`,
                    SUM(`REBATE` * `QTY`) AS Total
                FROM FUEL_PROCESS
                WHERE MONTH(TRANS_DATE) = MONTH(NOW())
                    AND YEAR(TRANS_DATE) = YEAR(NOW())
                    AND SUBFLEET = $currentUserID
                    AND `PRODUCT_CODE` = 'ULSD'
                    AND `LocationID` IN(1,3)
                GROUP BY `UNIT`, `PRODUCT_CODE`
                ORDER BY Total DESC";

        $sql44 = "SELECT `UNIT`,
                    MAX(`DRIVER`) AS DRIVER,
                    SUM(`QTY`) AS TotalGallons,
                    `PRODUCT_CODE`,
                    SUM(`REBATE` * `QTY`) AS Total
                FROM FUEL_PROCESS
                WHERE MONTH(TRANS_DATE) = MONTH(NOW())
                    AND YEAR(TRANS_DATE) = YEAR(NOW())
                    AND SUBFLEET = $currentUserID
                    AND `PRODUCT_CODE` = 'ULSD'
                    AND `LocationID` IN(2)
                GROUP BY `UNIT`, `PRODUCT_CODE`
                ORDER BY Total DESC";
        // }
        if (in_array($currentUserID, ["24", "8", "32", "34", "18", "14", "20", "17", "10", "19", "50", "48"])) {
            // if (isset($request->month) && !empty($request->month)) {
            //     $sql22 = "
            //     SELECT SUM(CarrierPay) as Total ,
            //     `UNIT`,`Driver Name` as DRIVER,sum(`Quantity`) AS TotalGallons,`Product Code` as `PRODUCT_CODE`
            //     FROM (
            //     SELECT *, GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) AS MikeKeep, GREATEST(( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ),0) AS retainminusmike, GREATEST(( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ),0) AS CarrierKeep, GREATEST(( ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` ORDER BY DailyTrans.`Transaction Date` DESC LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ) * DailyTrans.Quantity ),0) AS CarrierPay, ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN DailyTrans.Quantity * 0.10 WHEN(DailyTrans.ChainID = 2) THEN DailyTrans.Quantity * 0.10 END ) AS MikeKeepOld
            //     FROM
            //     DailyTrans
            //     WHERE
            //     MONTH(DailyTrans.`Transaction Date`) = '" . $request->month . "'
            //     AND YEAR(DailyTrans.`Transaction Date`)='" . $request->year . "'
            //     AND DailyTrans.`Sub Fleet` = '$currentUserID'
            //     AND DailyTrans.ChainID IN(1, 3)
            //     AND( DailyTrans.`Product Code` = 'ULSD' OR DailyTrans.`Product Code` = 'FUEL' )
            //     )
            //     as
            //     tableA
            //     GROUP BY `UNIT`
            //     ORDER BY `Total`  DESC
            //             ";

            // } else {
            $sql22 = "
                SELECT SUM(CarrierPay) as Total ,
                `UNIT`,`Driver Name` as DRIVER,sum(`Quantity`) AS TotalGallons,`Product Code` as `PRODUCT_CODE`
                FROM (
                SELECT *, GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) AS MikeKeep, GREATEST(( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ),0) AS retainminusmike, GREATEST(( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ),0) AS CarrierKeep, GREATEST(( ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` ORDER BY DailyTrans.`Transaction Date` DESC LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ) * DailyTrans.Quantity ),0) AS CarrierPay, ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN DailyTrans.Quantity * 0.10 WHEN(DailyTrans.ChainID = 2) THEN DailyTrans.Quantity * 0.10 END ) AS MikeKeepOld
                FROM
                DailyTrans
                WHERE
                 MONTH(DailyTrans.`Transaction Date`) = MONTH(NOW())
                AND
                YEAR(DailyTrans.`Transaction Date`)=YEAR(NOW())
                AND DailyTrans.`Sub Fleet` = '$currentUserID'
                AND DailyTrans.ChainID IN (1, 3)
                AND (DailyTrans.`Product Code` = 'ULSD' OR DailyTrans.`Product Code` = 'FUEL')
                )
                as
                tableA
                GROUP BY `UNIT`
                ORDER BY Total  DESC
                        ";

                        $sql44 = "
                SELECT SUM(CarrierPay) as Total ,
                `UNIT`,`Driver Name` as DRIVER,sum(`Quantity`) AS TotalGallons,`Product Code` as `PRODUCT_CODE`
                FROM (
                SELECT *, GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) AS MikeKeep, GREATEST(( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ),0) AS retainminusmike, GREATEST(( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ),0) AS CarrierKeep, GREATEST(( ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN( DailyTrans.Retail_PPU -GREATEST(( CASE WHEN(DailyTrans.ChainID = 1) THEN( SELECT TRUNCATE ( (TBL_PILOT.`Your Price` + 0.15), 4 ) AS YourPrice FROM TBL_PILOT INNER JOIN `TABLE 172` ON `TABLE 172`.Site = TBL_PILOT.Site WHERE TBL_PILOT.`Retail Price` != '' AND `TABLE 172`.LocationID = DailyTrans.`Location ID` AND TBL_PILOT.`Effective Date` = DailyTrans.`Transaction Date` LIMIT 1 ) WHEN(DailyTrans.ChainID = 3) THEN( SELECT TRUNCATE ( ( TBL_TA_RETAIL.`Fuel Price` + 0.15 ), 4 ) AS YourPrice FROM TBL_TA_RETAIL WHERE TBL_TA_RETAIL.ST != 'ON' AND DailyTrans.`Location ID` = TBL_TA_RETAIL.`Third Party Merchant ID` AND TBL_TA_RETAIL.`Deal Eff. Date` = DailyTrans.`Transaction Date` ORDER BY DailyTrans.`Transaction Date` DESC LIMIT 1 ) END ),0) ) - 0.10 WHEN(DailyTrans.ChainID = 2) THEN 0 END ) * DailyTrans.Quantity ),0) AS CarrierPay, ( CASE WHEN( DailyTrans.ChainID = 1 OR DailyTrans.ChainID = 3 ) THEN DailyTrans.Quantity * 0.10 WHEN(DailyTrans.ChainID = 2) THEN DailyTrans.Quantity * 0.10 END ) AS MikeKeepOld
                FROM
                DailyTrans
                WHERE
                 MONTH(DailyTrans.`Transaction Date`) = MONTH(NOW())
                AND
                YEAR(DailyTrans.`Transaction Date`)=YEAR(NOW())
                AND DailyTrans.`Sub Fleet` = '$currentUserID'
                AND DailyTrans.ChainID IN (2)
                AND (DailyTrans.`Product Code` = 'ULSD' OR DailyTrans.`Product Code` = 'FUEL')
                )
                as
                tableA
                GROUP BY `UNIT`
                ORDER BY Total  DESC
                        ";
            // }
        }
        $data22 = DB::select(DB::raw($sql22));
        $data44 = DB::select(DB::raw($sql44));

        if (isset($request->month) && !empty($request->month)) {
            $currentMonth = $request->month;
        } else {
            $currentMonth = date('m');
        }

        $previousMonth = $currentMonth - 1;
        $previousSecondMonth = $currentMonth - 2;
        $previousSecondMonth = digits($previousSecondMonth) == 1 ? '0' . $previousSecondMonth : $previousSecondMonth;

        if (isset($request->month) && !empty($request->month)) {
            $sql33 = "SELECT SUM(REBATE*QTY) AS Total,`UNIT`,MAX(`DRIVER`) AS DRIVER,sum(`QTY`) AS TotalGallons,`PRODUCT_CODE`
        FROM FUEL_PROCESS
        WHERE MONTH(TRANS_DATE) = '" . $previousMonth . "' AND YEAR(TRANS_DATE) = YEAR(NOW()- INTERVAL 1 MONTH) and SUBFLEET =" . getAuthMemberId() . " AND `PRODUCT_CODE` = 'ULSD' AND `LocationID` IN(1,3) GROUP BY `UNIT`
        ORDER BY `Total`  DESC";
        } else {
            $sql33 = "SELECT SUM(REBATE*QTY) AS Total, `UNIT`, MAX(`DRIVER`) AS DRIVER, SUM(`QTY`) AS TotalGallons, `PRODUCT_CODE`
          FROM FUEL_PROCESS
          WHERE MONTH(TRANS_DATE) = MONTH(NOW() - INTERVAL 1 MONTH)
                AND YEAR(TRANS_DATE) = YEAR(NOW() - INTERVAL 1 MONTH)
                AND SUBFLEET = " . getAuthMemberId() . "
                AND `PRODUCT_CODE` = 'ULSD'
                AND `LocationID` IN(1, 3)
          GROUP BY `UNIT`
          ORDER BY `Total` DESC";
        }
        $data33 = DB::select(DB::raw($sql33));

        $sqls = "SELECT
                    Sum(DailyTrans.Quantity) AS Total,
                    Count(DailyTrans.`Transaction ID`) AS Trans,
                    DailyTrans.`Sub Fleet`,
                    sum(`Transaction Fee`) AS fees,
                    MAX(CARRIER_PROFILE.NAME) AS NAME,
                    MAX(CARRIER_PROFILE.ID) AS ID,
                    MAX(`Transaction Date`) AS LastFuel
                FROM DailyTrans
                    INNER JOIN CARRIER_PROFILE ON DailyTrans.`Sub Fleet` = CARRIER_PROFILE.SUBFLEET
                WHERE (`Product Code` = 'ULSD' OR `Product Code` = 'FUEL')
                    AND MONTH(`Transaction Date`) = " . $currentMonth . "
                    AND YEAR(`Transaction Date`) = YEAR(NOW())
                    AND DailyTrans.`Sub Fleet` = " . $rowc1['SUBFLEET'] . "
                GROUP BY DailyTrans.`Sub Fleet`";
        $rowCurrentMonth = DB::select(DB::raw($sqls));
        $rowCurrentMonth = !empty($rowCurrentMonth) ? $rowCurrentMonth[0] : [];

        $sqls = "SELECT
                    Sum(DailyTrans.Quantity) AS Total,
                    Count(DailyTrans.`Transaction ID`) AS Trans,
                    DailyTrans.`Sub Fleet`,
                    sum(`Transaction Fee`) AS fees,
                    MAX(CARRIER_PROFILE.NAME) AS NAME,
                    MAX(CARRIER_PROFILE.ID) AS ID,
                    MAX(`Transaction Date`) AS LastFuel
                FROM DailyTrans
                    INNER JOIN CARRIER_PROFILE ON DailyTrans.`Sub Fleet` = CARRIER_PROFILE.SUBFLEET
                WHERE (`Product Code` = 'ULSD' OR `Product Code` = 'FUEL')
                    AND MONTH(`Transaction Date`) = " . $previousSecondMonth . "
                    AND YEAR(`Transaction Date`) = YEAR(NOW())
                    AND DailyTrans.`Sub Fleet` = " . $rowc1['SUBFLEET'] . "
                GROUP BY DailyTrans.`Sub Fleet`";
        $rowPrevious2ndMonth = DB::select(DB::raw($sqls));
        $rowPrevious2ndMonth = !empty($rowPrevious2ndMonth) ? $rowPrevious2ndMonth[0] : [];

        $sqls = "SELECT
                    Sum(DailyTrans.Quantity) AS Total,
                    Count(DailyTrans.`Transaction ID`) AS Trans,
                    DailyTrans.`Sub Fleet`,
                    sum(`Transaction Fee`) AS fees,
                    MAX(CARRIER_PROFILE.NAME) AS NAME,
                    MAX(CARRIER_PROFILE.ID) AS ID,
                    MAX(`Transaction Date`) AS LastFuel
                FROM DailyTrans
                INNER JOIN CARRIER_PROFILE ON DailyTrans.`Sub Fleet` = CARRIER_PROFILE.SUBFLEET
                WHERE (`Product Code` = 'ULSD' OR `Product Code` = 'FUEL')
                    AND MONTH(`Transaction Date`) = " . $previousMonth . "
                    AND YEAR(`Transaction Date`) = YEAR(NOW())
                    AND DailyTrans.`Sub Fleet` = " . $rowc1['SUBFLEET'] . "
                GROUP BY DailyTrans.`Sub Fleet`";
        $rowPreviousMonth = DB::select(DB::raw($sqls));
        $rowPreviousMonth = !empty($rowPreviousMonth) ? $rowPreviousMonth[0] : [];

        $sqls = "SELECT sum(`Quantity`) AS Total, `Location State/Province` FROM `DailyTrans` WHERE `Location State/Province` != '' AND MONTH(`Transaction Date`) = " . $currentMonth . " AND YEAR(`Transaction Date`) = YEAR(NOW()) AND `Sub Fleet` = " . $rowc1['SUBFLEET'] . " GROUP BY `Location State/Province` ORDER BY `Total`  DESC limit 20";
        $data1 = DB::select(DB::raw($sqls));
        $data1 = !empty($data1) ? (array) $data1 : [];
        $gallonsByState = [];
        $states = [];
        foreach ($data1 as $rows) {
            $rows = (array) $rows;
            $gallonsByState[] = $rows['Total'];
            $states[] = $rows['Location State/Province'];
        }

        $sqlGallonsByDays = "SELECT `Transaction Date`, SUM(`Quantity`) AS TOTAL_GALS  FROM `DailyTrans` WHERE `Product Code` = 'ULSD' AND MONTH(`Transaction Date`) = " . $currentMonth . " AND YEAR(`Transaction Date`) = YEAR(NOW()) AND `Sub Fleet` = " . $rowc1['SUBFLEET'] . " GROUP BY `Transaction Date` ORDER BY `DailyTrans`.`Transaction Date` ASC";
        $dataGallonsByDays = DB::select(DB::raw($sqlGallonsByDays));
        $dataGallonsByDays = !empty($dataGallonsByDays) ? (array) $dataGallonsByDays : [];
        $gallonsDaysDates = [];
        $gallonsDays = [];
        foreach ($dataGallonsByDays as $rowsGallonsByDays) {
            $rowsGallonsByDays = (array) $rowsGallonsByDays;
            $gallonsDaysDates[] = $rowsGallonsByDays['Transaction Date'];
            $gallonsDays[] = $rowsGallonsByDays['TOTAL_GALS'];
        }

        if (isset($_GET['year']) && !empty($_GET['year'])) {
            $year = $_GET['year'];
        } else {
            $year = date('Y');
        }

        $sqls = "SELECT SUM(`Quantity`) AS Total, `Chain_Desc`
                    FROM `DailyTrans`
                    WHERE MONTH(`Transaction Date`) = " . $currentMonth . "
                    AND YEAR(`Transaction Date`) = " . $year . "
                    AND `Sub Fleet` = " . $rowc1['SUBFLEET'] . "
                    GROUP BY `Chain_Desc`
                    ORDER BY Total DESC";
        $data1 = DB::select(DB::raw($sqls));
        $data1 = !empty($data1) ? (array) $data1 : [];
        $gallonsByChain = [];
        $chains = [];
        $colors = [];
        $colorsAll = ['#c6df5f', '#ffd000', '#a5435c', '#146683', '#1fddff', '#cda441', '#161114', '#4f8240'];
        $i = 0;
        foreach ($data1 as $rows) {
            $rows = (array) $rows;
            $gallonsByChain[] = $rows['Total'];
            $chains[] = stripslashes($rows['Chain_Desc']);
            $d = array_rand($colorsAll);
            $colors[] = $colorsAll[$i];
            $i++;
        }

        $carrierInfo = CarrierProfile::where('SUBFLEET', getAuthMemberId())->first();
        return view(
            'dashboard',
            compact(
                'rowc1',
                'rowc',
                'rowf',
                'rowga',
                'rowg',
                'rowa',
                'rowaP',
                'data22',
                'data44',
                'previousMonth',
                'data33',
                'currentMonth',
                'previousSecondMonth',
                'rowCurrentMonth',
                'rowPrevious2ndMonth',
                'rowPreviousMonth',
                'gallonsByState',
                'states',
                'rebatesByMonthLabel',
                'rebatesByMonthData',
                'gallonsDaysDates',
                'gallonsDays',
                'chains',
                'gallonsByChain',
                'colors',
                'carrierInfo',
            )
        );
    }

    public function getCreditAvailable($memId)
    {
        $sql1 = "SELECT * FROM `CARRIER_PROFILE` WHERE `SUBFLEET` = ?";
        $rowc1 = DB::select($sql1, [$memId]);
        $rowc1 = $rowc1[0];
        $efs_username = 'wsTRANSPORTERS';
        $efs_password = 'trucking3650904';
        $account = 1;
        $sql = "SELECT * FROM efs_clientid WHERE date = ? AND account = ? ORDER BY id DESC LIMIT 1";
        $row = DB::select($sql, [date("Y-m-d"), $account]);
        $row = $row[0];

        if ($row && isset($row->client_id)) {
            $clientid = $row->client_id;
        } else {
            $data = ['username' => $efs_username, 'password' => $efs_password];
            $return_data = CallAPI('POST', 'https://tms.tmdashboard.com/api/esfAPIS/login_api.php', $data);

            $sql = "INSERT INTO `efs_clientid` (`client_id`, `date`, `account`) VALUES (?, ?, ?)";
            $clientid = trim($return_data);
            DB::insert($sql, [$clientid, date("Y-m-d"), $account]);
        }

        $contractID = $rowc1->CONTRACT_ID;
        $data = array('clientID' => $clientid, 'contractID' => $contractID);
        $return_data = CallAPI('POST', 'https://tms.tmdashboard.com/api/esfAPIS/getcreditlimits_api.php', $data);
        $resp = json_decode($return_data, TRUE);

        if (!empty($resp['ns5getCreditLimitsResponse']['result'])) {
            $data = $resp['ns5getCreditLimitsResponse']['result'];
            echo json_encode($data, true);
            exit;
        }
        if (!empty($resp['soapenvFault']) && trim($resp['soapenvFault']['faultstring']) == 'Session Timeout') {
            $sql = "DELETE FROM efs_clientid WHERE date = ? AND account = ?";
            DB::delete($sql, [date("Y-m-d"), $account]);
            echo json_encode(['refresh_page' => 1], true);
            exit;
        }
        echo json_encode([], true);
        exit;
    }

}
