@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Disputes <span class="text-muted">Edit</span>
                    </h3>
                    <h3 class="fw-bold me-5 my-1"></h3>
                </div>
            </div>
            <div class="card card-flush">
                <div class="card-body">
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active" id="kt_ecommerce_settings_edit" role="tabpanel">
                            <form id="kt_ecommerce_settings_edit_form" class="form"
                                action="{{ route('Disputes.update') }}" method="POST" enctype="multipart/form-data">
                                @csrf
                                <input type="hidden" name="TICKET_ID" value="{{ $disputes->TICKET_ID }}">
                                <div class="row fv-row mb-7">
                                    <div class="col-md-3 text-md-end">
                                        <label class="fs-6 fw-semibold form-label mt-3">
                                            <span class="required">CATEGORY</span>
                                        </label>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="w-100">
                                            <select class="form-select form-select-solid" name="DEPT" id="DEPT"
                                                data-control="select2" data-hide-search="true"
                                                data-placeholder="Select Category">
                                                <option value="">Select Category</option>
                                                <option value="Card Not Working"
                                                    {{ old('DEPT') == 'Card Not Working' ? 'selected' : ($disputes->DEPT == 'Card Not Working' ? 'selected' : '') }}>
                                                    Card Not Working</option>
                                                <option value="General Question"
                                                    {{ old('DEPT') == 'General Question' ? 'selected' : ($disputes->DEPT == 'General Question' ? 'selected' : '') }}>
                                                    General Question</option>
                                                <option value="Fraud"
                                                    {{ old('DEPT') == 'Fraud' ? 'selected' : ($disputes->DEPT == 'Fraud' ? 'selected' : '') }}>
                                                    Fraud</option>
                                                <option value="Dispute charge"
                                                    {{ old('DEPT') == 'Dispute charge' ? 'selected' : ($disputes->DEPT == 'Dispute charge' ? 'selected' : '') }}>
                                                    Dispute charge</option>
                                            </select>

                                            @error('DEPT')
                                                <span class="text-danger">{{ $message }}</span>
                                            @enderror
                                        </div>

                                    </div>
                                </div>
                                <div class="row fv-row mb-7">
                                    <div class="col-md-3 text-md-end">
                                        <label class="fs-6 fw-semibold form-label mt-3">
                                            <span class="required">SUBJECT</span>
                                        </label>
                                    </div>
                                    <div class="col-md-9">
                                        <input type="text" class="form-control form-control-solid" name="TITLE"
                                            id="TITLE" value="{{ old('MESSAGE', $disputes->TITLE) }}"
                                            placeholder="SUBJECT">
                                        @if ($errors->has('TITLE'))
                                            <span class="text-danger">{{ $errors->first('TITLE') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="row fv-row mb-7">
                                    <div class="col-md-3 text-md-end">
                                        <label class="fs-6 fw-semibold form-label mt-3">
                                            <span class="required">SUMMARY</span>
                                        </label>
                                    </div>
                                    <div class="col-md-9">
                                            <textarea name="MESSAGE" id="MESSAGE" class="form-control form-control-solid" cols="30" rows="5"
                                            placeholder="SUMMARY">{{ old('MESSAGE', $disputes->MESSAGE) }}</textarea>

                                        @if ($errors->has('MESSAGE'))
                                            <span class="text-danger">{{ $errors->first('MESSAGE') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="row fv-row mb-7">
                                    <div class="col-md-3 text-md-end">
                                        <label class="fs-6 fw-semibold form-label mt-3">
                                            <span class="">ATTECHMENTS</span>
                                        </label>
                                    </div>
                                    <div class="col-md-9">
                                        <input type="file" class="form-control form-control-solid" name="DOCUMENTS"
                                            value="" placeholder="DOCUMENTS" />
                                        @if ($disputes->DOCUMENTS)
                                            <p>
                                                <a href="{{ asset('documents/' . $disputes->DOCUMENTS) }}"
                                                    download>{{ $disputes->DOCUMENTS }}</a>
                                            </p>
                                        @endif
                                        @error('DOCUMENTS')
                                            <span class="text-danger">{{ $message }}</span>
                                        @enderror
                                    </div>
                                </div>
                                <div class="row py-5">
                                    <div class="col-md-9 offset-md-3">
                                        <div class="d-flex">
                                            <a href="{{ route('Disputes.index') }}" class="btn btn-light">Cancel</a>
                                            <button type="submit" data-kt-ecommerce-settings-type="submit"
                                                class="btn btn-primary" id="submit">
                                                <span class="indicator-label">Update</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
