@extends('layouts.master')
@section('style')
<style>
    .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__placeholder{
        color: white !important;
    }
    .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__rendered{
        color: white !important;
    }
</style>
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Disputes
                        </h3>
                    </div>
                </div>
                <form action="" method="GET">
                    <div class="card mb-7" data-select2-id="select2-data-144-uoh6">
                        <div class="card-body" data-select2-id="select2-data-143-nqr2">
                            <div class="d-flex align-items-center">
                                <div class="position-relative w-md-400px me-md-2">
                                    <i
                                        class="ki-outline ki-magnifier fs-3 text-gray-500 position-absolute top-50 translate-middle ms-6"></i>
                                    <input type="text" class="form-control form-control-solid ps-10" name="search"
                                        value="" id="search" placeholder="Search">
                                </div>
                                <div class="d-flex align-items-center">
                                    <button type="button" id="submit" class="btn btn-primary me-5">Search</button>
                                    <button type="button" id="clear" class="btn btn-primary me-5">Clear</button>
                                    <a href="javascript:void(0);" id="kt_horizontal_search_advanced_link"
                                        class="btn btn-primary me-5" data-bs-toggle="collapse"
                                        data-bs-target="#kt_advanced_search_form">Advanced Search</a>
                                    <a href="{{ route('Disputes.newIndex') }}"
                                        class="btn btn-primary me-5">Vertical Layout</a>
                                </div>
                            </div>

                            <div class="float-end">
                                <select name="downloadOptions" id="downloadOptions" class="form-select bg-primary form-select-solid form-select-sm" data-control="select2" data-hide-search="true" data-placeholder="Export">
                                    <option value="">Export</option>
                                    <option value="excel">Excel</option>
                                    <option value="csv">CSV</option>
                                    <option value="print">Print</option>
                                    <option value="reset">Reset</option>
                                    <option value="reload">Reload</option>
                                </select>
                            </div>

                            <div class="float-end">
                                <a id="submit" class="btn btn-primary btn-sm me-2" href="{{ route('Disputes.add') }}">Add</a>
                            </div>

                            <div class="collapse" id="kt_advanced_search_form"
                                data-select2-id="select2-data-kt_advanced_search_form" style="">
                                <div class="separator separator-dashed mt-20 mb-6">

                                </div>
                                <div class="row g-12" data-select2-id="select2-data-142-0d2j">
                                    <div class="col-xxl-12">
                                        <div class="row g-12">
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">STATUS</label>
                                                <select type="text" class="form-select form-control form-control-solid" data-control="select2"
                                                data-hide-search="true" data-placeholder="Select a Status"
                                                    name="STATUS" id="STATUS">
                                                    <option value="">Please Select</option>
                                                    <option value="NEW">NEW</option>
                                                    <option value="IN PROCESS">IN PROCESS</option>
                                                    <option value="COMPLETED">COMPLETED</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="tab-content">
                    <div id="kt_project_users_table_pane" class="tab-pane fade show active">
                        <div class="card card-flush">
                            <div class="pt-0">
                                <div class="table-responsive p-5">
                                    {!! $dataTable->table() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    {!! $dataTable->scripts() !!}
    <script>
        const table = $('#disputes-table');

        table.on('preXhr.dt', function(e, setting, data) {
            data.search = $('#search').val();
            data.card_status = $('#STATUS').val();
        });

        $('#submit').on('click', function() {
            table.DataTable().ajax.reload();
            return false;
        });

        $('#downloadOptions').on('change', function(){
            var downloadOptions = this.value;
            $(".buttons-"+downloadOptions).click();
        });

        $('#clear').on('click', function() {
            $('#search').val('');
            $('#STATUS').val('').trigger('change');
            table.DataTable().ajax.reload();
        });
    </script>
    <script>
        function showSpinner(cardId) {
          var editButton = document.getElementById('edit' + cardId);
          editButton.innerHTML = '<span class="spinner-border spinner-border-sm align-middle ms-2"></span>';
        }
      </script>
@endsection()
