@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Miles <span class="text-muted">Add</span>
                    </h3>
                    <h3 class="fw-bold me-5 my-1"></h3>
                </div>
            </div>
            <div class="card card-flush">
                <div class="card-body">
                    <form id="kt_ecommerce_settings_edit_form" class="form" action="{{ route('ifta.miles.store') }}"
                        method="POST">
                        @csrf
                        <div class="row fv-row mb-7">
                            <div class="col-md-3 text-md-end">
                                <label class="fs-6 fw-semibold form-label mt-3">
                                    <span class="required">STATE</span>
                                </label>
                            </div>
                            <div class="col-md-9">
                                <div class="w-100">
                                    <select class="form-select form-select-solid" name="STATE" id="STATE"
                                        data-control="select2" data-hide-search="true" data-placeholder="Select State">
                                        <option value="">Select State</option>
                                        @php
                                            $states = [
                                                'AL',
                                                'AK',
                                                'AZ',
                                                'AR',
                                                'CA',
                                                'CO',
                                                'CT',
                                                'DE',
                                                'FL',
                                                'GA',
                                                'HI',
                                                'ID',
                                                'IL',
                                                'IN',
                                                'IA',
                                                'KS',
                                                'KY',
                                                'LA',
                                                'ME',
                                                'MD',
                                                'MA',
                                                'MI',
                                                'MN',
                                                'MS',
                                                'MO',
                                                'MT',
                                                'NE',
                                                'NV',
                                                'NH',
                                                'NJ',
                                                'NM',
                                                'NY',
                                                'NC',
                                                'ND',
                                                'OH',
                                                'OK',
                                                'OR',
                                                'PA',
                                                'RI',
                                                'SC',
                                                'SD',
                                                'TN',
                                                'TX',
                                                'UT',
                                                'VT',
                                                'VA',
                                                'WA',
                                                'WV',
                                                'WI',
                                                'WY',
                                            ];
                                        @endphp
                                        @foreach ($states as $item)
                                            <option value="{{ $item }}"
                                                {{ old('STATE') == $item ? 'selected' : '' }}>
                                                {{ $item }}</option>
                                        @endforeach
                                    </select>
                                    @error('STATE')
                                        <span class="text-danger">{{ $message }}</span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <div class="row fv-row mb-7">
                            <div class="col-md-3 text-md-end">
                                <label class="fs-6 fw-semibold form-label mt-3">
                                    <span class="required">Miles</span>
                                </label>
                            </div>
                            <div class="col-md-9">
                                <input type="number" class="form-control form-control-solid" name="MILES" id="MILES"
                                    value="{{ old('MILES') }}" step="0.01">
                                @error('MILES')
                                    <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                        <div class="row fv-row mb-7">
                            <div class="col-md-3 text-md-end">
                                <label class="fs-6 fw-semibold form-label mt-3">
                                    <span class="required">QUARTER</span>
                                </label>
                            </div>
                            <div class="col-md-9">
                                <select class="form-select form-select-solid" name="QUARTER" id="QUARTER"
                                    data-control="select2" data-hide-search="true" data-placeholder="Select Quarter">
                                    <option value="">Select Quarter</option>
                                    <option value="1" {{ old('QUARTER') == '1' ? 'selected' : '' }}>Q1</option>
                                    <option value="2" {{ old('QUARTER') == '2' ? 'selected' : '' }}>Q2</option>
                                    <option value="3" {{ old('QUARTER') == '3' ? 'selected' : '' }}>Q3</option>
                                    <option value="4" {{ old('QUARTER') == '4' ? 'selected' : '' }}>Q4</option>
                                </select>
                                @error('QUARTER')
                                    <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                        <div class="row fv-row mb-7">
                            <div class="col-md-3 text-md-end">
                                <label class="fs-6 fw-semibold form-label mt-3">
                                    <span class="required">YEAR</span>
                                </label>
                            </div>
                            <div class="col-md-9">
                                @php
                                    $startYear = 2014;
                                    $currentYear = date('Y');
                                    $yearRange = range($startYear, $currentYear + 1);
                                    $yearRange = array_reverse($yearRange);
                                @endphp
                                <select class="form-select form-select-solid" name="YEAR" id="YEAR"
                                    data-control="select2" data-hide-search="true" data-placeholder="Select Year">
                                    <option value="">Select Year</option>
                                    @foreach ($yearRange as $year)
                                        <option value="{{ $year }}" {{ old('YEAR') == $year ? 'selected' : '' }}>
                                            {{ $year }}</option>
                                    @endforeach
                                </select>
                                @error('YEAR')
                                    <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                        <div class="row fv-row mb-7">
                            <div class="col-md-3 text-md-end">
                                <label class="fs-6 fw-semibold form-label mt-3">
                                    <span class="">UNIT</span>
                                </label>
                            </div>
                            <div class="col-md-9">
                                <input type="text" class="form-control form-control-solid" name="UNIT" id="UNIT"
                                    value="{{ old('UNIT') }}">
                                @error('UNIT')
                                    <span class="text-danger">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                        <div class="row py-5">
                            <div class="col-md-9 offset-md-3">
                                <div class="d-flex">
                                    <a href="{{ route('ifta.miles.index') }}" class="btn btn-light me-2">Cancel</a>
                                    <button type="submit" data-kt-ecommerce-settings-type="submit" class="btn btn-primary"
                                        id="submit">
                                        <span class="indicator-label">Save</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection()
