@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Driver <span class="text-muted">Add</span>
                    </h3>
                    <h3 class="fw-bold me-5 my-1"></h3>
                </div>
            </div>
            <div class="card card-flush">
                <div class="card-body">
                    <div class=" pb-lg-11 pb-7">
                        <div class="container">
                            <form action="{{ route('assets.drivers.store') }}" method="POST">
                                @csrf
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">First Name</label>
                                                <input type="text" class="form-control" id="FIRST_NAME" name="FIRST_NAME"
                                                    value="{{ old('FIRST_NAME') }}" >
                                                @error('FIRST_NAME')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Last Name</label>
                                                <input type="text" class="form-control" id="LAST_NAME" name="LAST_NAME"
                                                    value="{{ old('LAST_NAME') }}" >
                                                @error('LAST_NAME')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="EMAIL" class="form-label required">Email</label>
                                                <input type="EMAIL" class="form-control" id="EMAIL" name="EMAIL"
                                                    value="{{ old('EMAIL') }}" >
                                                @error('EMAIL')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">PHONE</label>
                                                <input type="text" class="form-control PHONENO" id="PHONE" name="PHONE"
                                                    value="{{ old('PHONE') }}" >
                                                @error('PHONE')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label ">License #</label>
                                                <input type="number" class="form-control" id="LICENCE_NUMBER" name="LICENCE_NUMBER"
                                                    value="{{ old('LICENCE_NUMBER') }}" >
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label ">Hire Date</label>
                                                <input type="date" class="form-control" id="START_DATE" name="START_DATE"
                                                    value="{{ old('START_DATE') }}" >
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                            <input type="hidden" class="form-control" id="STATUS" name="STATUS"
                                                    value="ACTIVE" >
                                            </div>
                                        </div>
                                                                                
                                    </div>
                                </div>
                                <div class="mt-10">
                                    <a href="{{ route('assets.drivers.index') }}"
                                        class="btn btn-secondary me-2">Close</a>
                                    <button type="submit" class="btn btn-primary">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
    $(document).ready(function() {
            $('.PHONENO').inputmask('(999)-999-9999');           
        });
</script>
@endsection()

