@extends('layouts.master')
@php
    $PayType = config('custom.PayType');
    $states = config('custom.states');
    $driverType = config('custom.driverType');
    $bad_zone = config('custom.bad_zone');
    asort($bad_zone);
@endphp

@section('style')
    <style>
        .circle {
            border: 1px solid #aaa;
            width: 22px;
            height: 22px;
            border-radius: 100%;
            position: relative;
            margin: 4px;
            display: inline-block;
            vertical-align: middle;
        }

        .circle:hover {
            background: #6363634f;
        }

        .circle:active {
            background: radial-gradient(#aaa, #fff);
        }

        .circle:before,
        .circle:after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
        }

        .circle.plus:before,
        .circle.plus:after {
            background: green;
        }

        .circle.plus:before {
            width: 2px;
            margin: 3px auto;
        }

        .circle.plus:after {
            margin: auto 3px;
            height: 2px;
        }

        .circle.minus:before {
            background: #cc0000;
            margin: auto 3px;
            height: 2px;
        }
    </style>
@endsection()

@section('content')
    @php
        $validate = [];
        $activeTab1 = '';
        $activeTab2 = '';
        $currentTab1 = '';
        $currentTab2 = '';
    @endphp

    @if ($errors->any())
        @foreach ($errors->all() as $error)
            @php
                $validate[] = $error;
            @endphp
        @endforeach
    @endif

    @if (
        $errors->has('STATUS') ||
            $errors->has('FIRST_NAME') ||
            $errors->has('LAST_NAME') ||
            $errors->has('EXPIRY_DATE') ||
            $errors->has('DL_STATE_PROV') ||
            $errors->has('ENDORSEMENTS') ||
            $errors->has('CODE'))
        @php
            $currentTab1 = 'current';
            $activeTab1 = 'active';
        @endphp
    @elseif (
        $errors->has('PHONE') ||
            $errors->has('EMAIL') ||
            $errors->has('CELL_PHONE') ||
            $errors->has('EMERGENCY_PHONE') ||
            $errors->has('SECONDARY_CONTRACT') ||
            $errors->has('NOSMS'))
        @php
            $currentTab2 = 'current';
            $activeTab2 = 'active';
        @endphp
    @else
        @php
            $currentTab1 = 'current';
            $activeTab1 = 'active';
        @endphp
    @endif

    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Driver <span class="text-muted">Edit</span>
                    </h3>
                    <h3 class="fw-bold me-5 my-1"></h3>
                    <div class="card-body">
                        <div class="float-end">
                            <a href="{{ route('assets.drivers.index') }}" class="btn btn-primary btn-sm me-2"><i
                                    class="fa fa-arrow-left" aria-hidden="true"></i>Back</a>
                            <a href="{{ route('assets.drivers.delete', $driver->DRIVER_ID) }}"
                                onclick="return confirm('Are You Sure You Want to Delete ?')"
                                class="btn btn-dark btn-sm">Delete</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="pb-lg-12">
                <div class="container">
                    <div class="content d-flex flex-column flex-column-fluid">
                        <form action="{{ route('assets.drivers.update') }}" method="POST" enctype="multipart/form-data"
                            id="driverUpdate">
                            <div class="col-lg-12  d-flex flex-column flex-xl-row flex-row-fluid gap-10">
                                <div
                                    class="col-lg-3 card d-flex justify-content-center justify-content-xl-start flex-row-auto w-100 w-xl-300px w-xxl-400px">
                                    <div class="card-body px-6 px-lg-10 px-xxl-15">
                                        <ul id="nav-stepper"
                                            class="nav nav-stretch nav-line-tabs nav-line-tabs-2x border-transparent fs-5 fw-bold stepper stepper-pills stepper-column stepper-nav"
                                            style="display: block;">
                                            <div class="stepper-item {{ $currentTab1 }}" data-kt-stepper-element="nav"
                                                id="cl1">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">1</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5 {{ $activeTab1 }} "
                                                        id="kt_stats_widget_16_tab_link_1" data-bs-toggle="pill"
                                                        href="#kt_stats_widget_16_tab_1" aria-selected="false"
                                                        role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_1')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">General Information</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item {{ $currentTab2 }}" data-kt-stepper-element="nav"
                                                id="cl2">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">2</span>
                                                    </div>

                                                    <a class="nav-link ms-0 me-10 py-5 {{ $activeTab2 }}"
                                                        id="kt_stats_widget_16_tab_link_2" data-bs-toggle="pill"
                                                        href="#kt_stats_widget_16_tab_2" aria-selected="false"
                                                        role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_2')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Contact</h3>

                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">3</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_3"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_3"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_3')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Safety / Reminders</h3>

                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">4</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_4"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_4"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_4')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Driver Pay</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">5</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_5"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_5"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_5')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Dispatch</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item mark-completed" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">6</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_6"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_6"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_6')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Photo and Documents</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <!-- <div class="stepper-line h-20px"></div> -->
                                            </div>

                                            {{-- <div class="stepper-item mark-completed"
                                                        data-kt-stepper-element="nav">
                                                        <div class="stepper-wrapper">
                                                            <div class="stepper-icon w-40px h-40px">
                                                                <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                                <span class="stepper-number">7</span>
                                                            </div>
                                                            <a class="nav-link ms-0 me-10 py-5"
                                                                id="kt_stats_widget_16_tab_link_7" data-bs-toggle="pill"
                                                                href="#kt_stats_widget_16_tab_7" aria-selected="false"
                                                                role="tab" tabindex="-1"
                                                                onclick="activetab('#kt_stats_widget_16_tab_7')">
                                                                <div class="stepper-label">
                                                                    <h3 class="stepper-title">Tax Documents</h3>
                                                                </div>
                                                            </a>
                                                        </div>
                                            </div> --}}
                                        </ul>
                                        <button type="submit"
                                            class="tab-action btn btn-primary btn-lg mt-12 me-3 mb-xxl-12 w-100">Update</button>
                                    </div>
                                </div>
                                <div class="col-lg-8">
                                    @csrf
                                    <input type="hidden" name="DRIVER_ID" value="{{ $driver->DRIVER_ID }}">
                                    <div class="card mb-12 mb-xxl-12 tab-content">
                                        <div class="card-body pb-0 tab-pane fade show  {{ $activeTab1 }}"
                                            id="kt_stats_widget_16_tab_1">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">General Information</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Status
                                                                    <span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" name="STATUS"
                                                                                id="STATUS" type="radio"
                                                                                value="ACTIVE"
                                                                                {{ 'ACTIVE' == $driver->STATUS ? 'checked' : '' }}>
                                                                            <input type="hidden" name="MODIFIED_DATE"
                                                                                id="MODIFIED_DATE" class="form-control"
                                                                                value="<?php echo date('Y-m-d'); ?>">
                                                                            <input type="hidden" name="MODIFIED_BY"
                                                                                id="MODIFIED_BY" class="form-control"
                                                                                value="<?php echo getAuthMemberId(); ?>">
                                                                            <span
                                                                                class="fw-semibold ps-2 fs-6">Active</span>
                                                                        </label>
                                                                        <label
                                                                            class="form-check form-check-custom form-check-inline form-check-solid">
                                                                            <input class="form-check-input" name="STATUS"
                                                                                type="radio" value="INACTIVE"
                                                                                {{ 'INACTIVE' == $driver->STATUS ? 'checked' : '' }}>
                                                                            <span
                                                                                class="fw-semibold ps-2 fs-6">Inactive</span>
                                                                        </label>

                                                                        @error('ACTIVE')
                                                                            <p class="text-danger ">
                                                                                {{ $message }}</p>
                                                                        @enderror
                                                                    </div>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Social
                                                                    #</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="SIN_NUMBER" name="SIN_NUMBER"
                                                                        value="{{ old('SIN_NUMBER', $driver->SIN_NUMBER) }}">
                                                                    @error('SIN_NUMBER')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">First
                                                                    Name <span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="FIRST_NAME" name="FIRST_NAME"
                                                                        value="{{ old('FIRST_NAME', $driver->FIRST_NAME) }}">
                                                                    @error('FIRST_NAME')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    Name <span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="LAST_NAME" name="LAST_NAME"
                                                                        value="{{ old('LAST_NAME', $driver->LAST_NAME) }}">
                                                                    @error('LAST_NAME')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    #*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="LICENCE_NUMBER" name="LICENCE_NUMBER"
                                                                        value="{{ old('LICENCE_NUMBER', $driver->LICENCE_NUMBER) }}">
                                                                    @error('LICENCE_NUMBER')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    Expires<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    @php $expDate = !empty($driver->EXPIRY_DATE) ? date('Y-m-d', strtotime($driver->EXPIRY_DATE)) : ''; @endphp
                                                                    <input type="date" class="form-control"
                                                                        id="EXPIRY_DATE" name="EXPIRY_DATE"
                                                                        value="{{ old('EXPIRY_DATE', $expDate) }}">
                                                                    @error('EXPIRY_DATE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    State<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" data-control="select2"
                                                                        data-hide-search="true"
                                                                        data-placeholder="Select a License State"
                                                                        id="DL_STATE_PROV" name="DL_STATE_PROV">
                                                                        <option value="">Please select
                                                                        </option>
                                                                        @foreach ($states as $state)
                                                                            <option value="{{ $state }}"
                                                                                {{ old('DL_STATE_PROV', $driver->DL_STATE_PROV) == $state ? 'selected' : '' }}>
                                                                                {{ $state }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                    @error('DL_STATE_PROV')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">License
                                                                    Endorsements</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" id="ENDORSEMENTS"
                                                                        name="ENDORSEMENTS[]" data-control="select2"
                                                                        data-hide-search="true"
                                                                        data-placeholder="Select a License
                                                                    Endorsements"
                                                                        multiple>
                                                                        <option value="A"
                                                                            {{ in_array('A', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            A</option>
                                                                        <option value="H"
                                                                            {{ in_array('H', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            H</option>
                                                                        <option value="K"
                                                                            {{ in_array('K', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            K</option>
                                                                        <option value="L"
                                                                            {{ in_array('L', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            L</option>
                                                                        <option value="N"
                                                                            {{ in_array('N', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            N</option>
                                                                        <option value="P"
                                                                            {{ in_array('P', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            P</option>
                                                                        <option value="S"
                                                                            {{ in_array('S', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            S</option>
                                                                        <option value="T"
                                                                            {{ in_array('T', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            T</option>
                                                                        <option value="W"
                                                                            {{ in_array('W', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            W</option>
                                                                        <option value="X"
                                                                            {{ in_array('X', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : '' }}>
                                                                            X</option>
                                                                    </select>
                                                                    @error('ENDORSEMENTS')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    Class<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" class="form-select"
                                                                        data-control="select2" data-hide-search="true"
                                                                        data-placeholder="Select a License Class"
                                                                        id="CODE" name="CODE">
                                                                        <option value="">Please select
                                                                        </option>
                                                                        <option value="A"
                                                                            {{ old('CODE', $driver->CODE) == 'A' ? 'selected' : '' }}>
                                                                            A
                                                                        </option>
                                                                        <option value="C"
                                                                            {{ old('CODE', $driver->CODE) == 'C' ? 'selected' : '' }}>
                                                                            C
                                                                        </option>
                                                                    </select>
                                                                    @error('CODE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Employee
                                                                    #</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="EMPLOYEE_CODE" name="EMPLOYEE_CODE"
                                                                        value="{{ old('EMPLOYEE_CODE', $driver->EMPLOYEE_CODE) }}">
                                                                    @error('EMPLOYEE_CODE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Birth
                                                                    Date<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" class="form-control"
                                                                        id="BIRTH_DATE" name="BIRTH_DATE"
                                                                        value="{{ old('BIRTH_DATE', $driver->BIRTH_DATE) }}">
                                                                    @error('BIRTH_DATE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Hire
                                                                    Date</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" class="form-control"
                                                                        id="START_DATE" name="START_DATE"
                                                                        value="{{ old('START_DATE', $driver->START_DATE) }}">
                                                                    @error('START_DATE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6 Termination">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Termination
                                                                    Date</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" class="form-control"
                                                                        id="TERMINATION_DATE" name="TERMINATION_DATE"
                                                                        value="{{ old('TERMINATION_DATE', $driver->TERMINATION_DATE) }}">
                                                                    @error('TERMINATION_DATE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show {{ $activeTab2 }}"
                                            id="kt_stats_widget_16_tab_2">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Contact</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control PHONENO"
                                                                        id="PHONE" name="PHONE"
                                                                        value="{{ old('PHONE', $driver->PHONE) }}">
                                                                    @error('PHONE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Email<span
                                                                        style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="EMAIL" class="form-control"
                                                                        id="EMAIL" name="EMAIL"
                                                                        value="{{ old('EMAIL', $driver->EMAIL) }}">
                                                                    @error('EMAIL')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Cell
                                                                    Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control PHONENO"
                                                                        id="CELL_PHONE" name="CELL_PHONE"
                                                                        value="{{ old('CELL_PHONE', $driver->CELL_PHONE) }}">
                                                                    @error('CELL_PHONE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Allow
                                                                    Text Messages</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" name="NOSMS"
                                                                                type="checkbox" value="YES"
                                                                                {{ 'YES' == $driver->NOSMS ? 'checked' : '' }}>
                                                                            <span class="fw-semibold ps-2 fs-6">YES</span>
                                                                        </label>
                                                                        @error('NOSMS')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                    </div>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Emergency
                                                                    Contact</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="EMERGENCY_CONTACT"
                                                                        id="EMERGENCY_CONTACT"
                                                                        class="form-control PHONENO"
                                                                        value="{{ old('EMERGENCY_CONTACT', $driver->EMERGENCY_CONTACT) }}">
                                                                    @error('EMERGENCY_CONTACT')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Emergency
                                                                    Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="EMERGENCY_PHONE"
                                                                        id="EMERGENCY_PHONE" class="form-control PHONENO"
                                                                        value="{{ old('EMERGENCY_PHONE', $driver->EMERGENCY_PHONE) }}">
                                                                    @error('EMERGENCY_PHONE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Secondary
                                                                    Contact </label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="SECONDARY_CONTRACT"
                                                                        id="SECONDARY_CONTRACT"
                                                                        class="form-control PHONENO"
                                                                        value="{{ old('SECONDARY_CONTRACT', $driver->CELL_PHONE) }}">
                                                                    @error('CELL_PHONE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Secondary
                                                                    Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="OTHER_CONTACT_2"
                                                                        id="OTHER_CONTACT_2" class="form-control PHONENO"
                                                                        value="{{ old('OTHER_CONTACT_2', $driver->OTHER_CONTACT_2) }}">
                                                                    @error('OTHER_CONTACT_2')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="mb-4 border-bottom pb-2">
                                                            <h2 class="fw-bold text-gray-900">Address</h2>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Address</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="ADDRESS_1" name="ADDRESS_1"
                                                                        value="{{ old('ADDRESS_1', $driver->ADDRESS_1) }}">
                                                                    @error('ADDRESS_1')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">City</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="CITY" name="CITY"
                                                                        value="{{ old('CITY', $driver->CITY) }}">
                                                                    @error('CITY')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Address2</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="ADDRESS_2" name="ADDRESS_2"
                                                                        value="{{ old('ADDRESS_2', $driver->ADDRESS_2) }}">
                                                                    @error('ADDRESS_2')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">State</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" data-control="select2"
                                                                        data-hide-search="true"
                                                                        data-placeholder="Select a State" id="PROVINCE"
                                                                        name="PROVINCE">
                                                                        <option value="">Please select
                                                                        </option>
                                                                        @foreach ($states as $state)
                                                                            <option value="{{ $state }}"
                                                                                {{ old('PROVINCE', $driver->PROVINCE) == $state ? 'selected' : '' }}>
                                                                                {{ $state }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                    @error('PROVINCE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Zip</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control "
                                                                        id="POSTAL_CODE" name="POSTAL_CODE"
                                                                        value="{{ old('POSTAL_CODE', $driver->POSTAL_CODE) }}">
                                                                    @error('POSTAL_CODE')
                                                                        <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_3">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Safety / Reminders</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    <div class="row mb-0">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Medical
                                                                        Card Expires</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <?php $mcd = !empty($driver->Medical_Card_Expiry) ? date('Y-m-d', strtotime($driver->Medical_Card_Expiry)) : ''; ?>
                                                                        <input type="date" class="form-control "
                                                                            id="Medical_Card_Expiry"
                                                                            name="Medical_Card_Expiry"
                                                                            value="{{ old('Medical_Card_Expiry', $mcd) }}">
                                                                        @error('Medical_Card_Expiry')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Fit
                                                                        Test Expires</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <?php $ftd = !empty($driver->Fit_Test_Exp) ? date('Y-m-d', strtotime($driver->Fit_Test_Exp)) : ''; ?>
                                                                        <input type="date" size="9"
                                                                            name="Fit_Test_Exp" id="Fit_Test_Exp"
                                                                            class="form-control "
                                                                            value="{{ old('Fit_Test_Exp', $ftd) }}">
                                                                        @error('Fit_Test_Exp')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">TWIC
                                                                        CARD</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="text" name="WCB_NUMBER"
                                                                            id="WCB_NUMBER" class="form-control "
                                                                            value="{{ old('WCB_NUMBER', $driver->WCB_NUMBER) }}">
                                                                        @error('WCB_NUMBER')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">TWIC
                                                                        Expires</label>
                                                                    <?php $TWICD = !empty($driver->WCB_EXPIRY_DATE) ? date('Y-m-d', strtotime($driver->WCB_EXPIRY_DATE)) : ''; ?>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="WCB_EXPIRY_DATE"
                                                                            id="WCB_EXPIRY_DATE" class="form-control "
                                                                            value="{{ old('WCB_EXPIRY_DATE', $TWICD) }}">
                                                                        @error('WCB_EXPIRY_DATE')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Hazmat</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="text" name="hazmat_num"
                                                                            id="hazmat_num" class="form-control "
                                                                            value="{{ old('WCB_NUMBER', $driver->WCB_NUMBER) }}">
                                                                        @error('WCB_NUMBER')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Hazmat
                                                                        Expires</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="hazmat_exp"
                                                                            id="hazmat_exp" size="9"
                                                                            class="form-control "
                                                                            value="{{ old('hazmat_exp', $driver->hazmat_exp) }}">
                                                                        @error('hazmat_exp')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                        Road Test</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="ROAD_TEST"
                                                                            id="ROAD_TEST" size="9"
                                                                            class="form-control "
                                                                            value="{{ old('ROAD_TEST', $driver->ROAD_TEST) }}">
                                                                        @error('ROAD_TEST')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                        Drug Test</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="DRUG_TEST"
                                                                            id="DRUG_TEST" size="9"
                                                                            class="form-control "
                                                                            value="{{ old('DRUG_TEST', $driver->DRUG_TEST) }}">
                                                                        @error('DRUG_TEST')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">PEC
                                                                        Card Expires</label>
                                                                    <?php $PECCD = !empty($driver->PEC_Card_Exp) ? date('Y-m-d', strtotime($driver->PEC_Card_Exp)) : ''; ?>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="PEC_Card_Exp"
                                                                            id="PEC_Card_Exp" size="9"
                                                                            class="form-control "
                                                                            value="{{ old('PEC_Card_Exp', $PECCD) }}">
                                                                        @error('PEC_Card_Exp')
                                                                            <p class="text-danger">{{ $message }}
                                                                            </p>
                                                                        @enderror
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_4">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Driver Pay</h2>
                                                </div>
                                                <hr>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Pay
                                                                Type
                                                            </label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <select class="form-select" data-control="select2"
                                                                    data-hide-search="true"
                                                                    data-placeholder="Please Select" id="PAY_TYPE"
                                                                    name="PAY_TYPE">
                                                                    <option value="">Please select</option>
                                                                    @foreach ($PayType as $optionValue => $optionLabel)
                                                                        <option value="{{ $optionValue }}"
                                                                            {{ $driver->PAY_TYPE == $optionValue ? 'selected' : '' }}>
                                                                            {{ $optionLabel }}
                                                                        </option>
                                                                    @endforeach
                                                                </select>
                                                                @error('PAY_TYPE')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Per
                                                                Hour
                                                                Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="PER_HOUR"
                                                                    id="PER_HOUR" class="form-control "
                                                                    value="{{ old('PER_HOUR', $driver->PER_HOUR) }}">
                                                                @error('PER_HOUR')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">%
                                                                of
                                                                Load Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10"
                                                                    name="TRIP_REVENUE_SHARE" id="TRIP_REVENUE_SHARE"
                                                                    class="form-control "
                                                                    value="{{ old('TRIP_REVENUE_SHARE', $driver->TRIP_REVENUE_SHARE) }}">
                                                                @error('TRIP_REVENUE_SHARE')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Per
                                                                Loaded Mile</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10"
                                                                    name="PER_LOADED_MILE" id="PER_LOADED_MILE"
                                                                    class="form-control "
                                                                    value="{{ old('PER_LOADED_MILE', $driver->PER_LOADED_MILE) }}">
                                                                @error('PER_LOADED_MILE')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Rate
                                                                Per Empty Mile</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10"
                                                                    name="PER_EMPTY_MILE" id="PER_EMPTY_MILE"
                                                                    class="form-control "
                                                                    value="{{ old('PER_EMPTY_MILE', $driver->PER_EMPTY_MILE) }}">
                                                                @error('PER_EMPTY_MILE')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Stop
                                                                Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="STOP_RATE"
                                                                    id="STOP_RATE" class="form-control "
                                                                    value="{{ old('STOP_RATE', $driver->STOP_RATE) }}">
                                                                @error('STOP_RATE')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Layover
                                                                Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="LAYOVER_RATE"
                                                                    id="LAYOVER_RATE" class="form-control "
                                                                    value="{{ old('LAYOVER_RATE', $driver->LAYOVER_RATE) }}">
                                                                @error('LAYOVER_RATE')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="mb-4 border-bottom pb-2">
                                                    <h2 class="fw-bold text-gray-900">Deductions</h2>
                                                </div>
                                                <div class="row pb-9">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">

                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Name
                                                                on
                                                                check</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="CHEQUE_NAME"
                                                                    id="CHEQUE_NAME" class="form-control "
                                                                    value="{{ old('CHEQUE_NAME', $driver->CHEQUE_NAME) }}">
                                                                @error('CHEQUE_NAME')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">FORM
                                                                1099</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <div class="d-flex align-items-center mt-3">
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                        <input class="form-check-input" name="FORM1099"
                                                                            type="checkbox" value="1"
                                                                            {{ '1' == $driver->FORM1099 ? 'checked' : '' }}>

                                                                        <span class="fw-semibold ps-2 fs-6">YES</span>
                                                                    </label>


                                                                    @error('FORM1099')
                                                                        <p class="text-danger">{{ $message }}
                                                                        </p>
                                                                    @enderror
                                                                </div>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Direct
                                                                Deposit</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <div class="d-flex align-items-center mt-3">
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                        <input class="form-check-input"
                                                                            name="DIRECT_DEPOSIT" type="radio"
                                                                            value="True"
                                                                            {{ 'True' == $driver->DIRECT_DEPOSIT ? 'checked' : '' }}>
                                                                        <span class="fw-semibold ps-2 fs-6">YES</span>
                                                                    </label>
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid">
                                                                        <input class="form-check-input"
                                                                            name="DIRECT_DEPOSIT" type="radio"
                                                                            value="False"
                                                                            {{ 'False' == $driver->DIRECT_DEPOSIT ? 'checked' : '' }}>
                                                                        <span class="fw-semibold ps-2 fs-6">NO</span>
                                                                    </label>
                                                                </div>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Bank
                                                                Name</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="DD_BANK"
                                                                    id="DD_BANK" class="form-control "
                                                                    value="{{ old('DD_BANK', $driver->DD_BANK) }}">
                                                                @error('DD_BANK')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Account#</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="DD_ACCOUNT"
                                                                    id="DD_ACCOUNT" class="form-control "
                                                                    value="{{ old('DD_ACCOUNT', $driver->DD_ACCOUNT) }}">
                                                                @error('DD_ACCOUNT')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Routing#</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="DD_TRANSIT"
                                                                    id="DD_TRANSIT" class="form-control "
                                                                    value="{{ old('DD_TRANSIT', $driver->DD_TRANSIT) }}">
                                                                @error('DD_TRANSIT')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_5">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Dispatch</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    
                                                        @if(!empty($driver->TRUCK_ID))
                                                            <div class="row">
                                                                <div class="col-md-8">
                                                                    <div class="row mb-6">
                                                                        <label for="badareas"
                                                                            class="col-lg-4 col-form-label fw-semibold fs-6">Assigned Truck</label>
                                                                            <label for="badareas"
                                                                            class="col-lg-8 col-form-label fw-semibold fs-6">                                                                    
                                                                            {{ $trucks->firstWhere('TRUCK_ID', $driver->TRUCK_ID) ? $trucks->firstWhere('TRUCK_ID', $driver->TRUCK_ID)->UNIT_ID : '-' }}                                                                
                                                                        </label>
                                                                    </div>
                                                                </div>                                                        
                                                            </div>
                                                        @endif
                                                    
                                                    <div class="row">
                                                        
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Drive
                                                                    Touch Freight</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="driver_touch" value="YES"
                                                                                {{ 'YES' == $driver->driver_touch ? 'checked' : '' }}>
                                                                            YES
                                                                        </label>
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="driver_touch" value="NO"
                                                                                {{ 'NO' == $driver->driver_touch ? 'checked' : '' }}>
                                                                            NO
                                                                        </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Are
                                                                    Multi Picks/Drop Ok?</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="mulistop" id="multiyes"
                                                                                value="YES"
                                                                                {{ 'YES' == $driver->DROPS_OK ? 'checked' : '' }}>
                                                                            YES
                                                                        </label>
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="mulistop" id="multino"
                                                                                value="NO"
                                                                                {{ 'NO' == $driver->DROPS_OK ? 'checked' : '' }}>
                                                                            NO
                                                                        </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Max
                                                                    Pickup</label>
                                                                @php $driver_max_picks = !empty($driver->max_picks) ? $driver->max_picks : 0; @endphp
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <input type="button" value="-"
                                                                            class="circle minus bg-primary"
                                                                            data-quantity="minus" data-field="max_picks">
                                                                        <input type="number" step="1"
                                                                            min="0" max="10"
                                                                            value="{{ old('max_picks', $driver_max_picks) }}"
                                                                            name="max_picks"
                                                                            class="quantity-field border-0 text-center w-25 input-group-field"
                                                                            id="">
                                                                        <input type="button" value="+"
                                                                            class="circle plus bg-primary"
                                                                            data-quantity="plus" data-field="max_picks">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Max
                                                                    Drops</label>
                                                                @php $driver_max_drops = !empty($driver->max_drops) ? $driver->max_drops : 0; @endphp
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <input type="button" value="-"
                                                                            class="circle minus bg-primary"
                                                                            data-quantity="minus" data-field="max_drops">
                                                                        <input type="number" step="1"
                                                                            min="0" max="10"
                                                                            value="{{ old('max_drops', $driver_max_drops) }}"
                                                                            name="max_drops"
                                                                            class="quantity-field border-0 text-center w-25 input-group-field">
                                                                        <input type="button" value="+"
                                                                            class="circle plus bg-primary"
                                                                            data-quantity="plus" data-field="max_drops">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label class="col-lg-4 col-form-label fw-semibold fs-6">Max
                                                                    Weight</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="max_weg" name="max_weg" pattern="^\d+$"
                                                                        value="{{ old('MAX_WEIGHT', $driver->MAX_WEIGHT) }}">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Max
                                                                    miles per day</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <input type="text" class="form-control"
                                                                            id="maxmiles" name="maxmiles"
                                                                            pattern="^\d+$"
                                                                            value="{{ old('MILES_PER_DAY', $driver->MILES_PER_DAY) }}">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">                                                        
                                                        <div class="col-md-12">
                                                            <div class="row mb-6">
                                                                <label for="badareas"
                                                                    class="col-sm-2 col-form-label fw-semibold fs-6">Bad
                                                                    Zones</label>
                                                                <div class="col-sm-10 fv-row fv-plugins-icon-container">
                                                                <?php foreach($bad_zone as $key => $bad_zon): ?>
                                                                    <div class="form-check form-check-inline mb-2 mt-3" style="margin-right: 5px !important;">
                                                                        <input class="form-check-input " type="checkbox" 
                                                                            id="<?php echo 'bad_area_' . $key; ?>" 
                                                                            name="badareas[]" 
                                                                            value="<?php echo $bad_zon; ?>"
                                                                            <?php echo in_array($bad_zon, old('badareas', $badareas)) ? 'checked' : ''; ?>>
                                                                        <label class="form-check-label text-gray-900" for="<?php echo 'bad_area_' . $key; ?>">
                                                                            <?php echo $bad_zon; ?>
                                                                        </label>
                                                                    </div>
                                                                <?php endforeach; ?>                                                                    
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="row mb-10">
                                                                <label
                                                                    class="col-lg-2 col-form-label fw-semibold fs-6 ">Notes</label>
                                                                <div class="col-lg-10 fv-row fv-plugins-icon-container">
                                                                    <div id="kt_ecommerce_add_category_meta_description"
                                                                        name="kt_ecommerce_add_category_meta_description"
                                                                        class="min-h-100px mb-2">
                                                                        {!! htmlspecialchars_decode($driver->DRIVER_NOTES) !!}
                                                                    </div>
                                                                    <input type="hidden" name="editorContent"
                                                                        id="editorContent"
                                                                        value="{{ htmlspecialchars_decode($driver->DRIVER_NOTES) }}">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_6">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Profile Photo</h2>
                                                </div>
                                                <hr>
                                                <div class="row mb-6">
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Upload
                                                        Profile Photo</label>
                                                    <div class="col-lg-6">
                                                        <div class="image-input image-input-outline"
                                                            data-kt-image-input="true">
                                                            <div class="image-input-wrapper w-125px h-125px"
                                                                style="background-image: url({{ !empty($driver->DRIVER_BITMAP) ? asset('driver/profiles/' . $driver->DRIVER_BITMAP) : asset('assets/media/svg/avatars/blank.svg') }})">
                                                            </div>
                                                            <label
                                                                class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow"
                                                                data-kt-image-input-action="change"
                                                                data-bs-toggle="tooltip" aria-label="Change avatar"
                                                                data-bs-original-title="Change avatar"
                                                                data-kt-initialized="1">
                                                                <i class="ki-outline ki-pencil fs-7"></i>
                                                                <input type="file" name="DRIVER_BITMAP"
                                                                    id="DRIVER_BITMAP" accept=".png, .jpg, .jpeg">
                                                                <input class="form-control" type="hidden"
                                                                    name="old_image"
                                                                    value="{{ $driver->DRIVER_BITMAP }}">
                                                            </label>
                                                        </div>
                                                        <div class="form-text">Allowed file types: png, jpg, jpeg.
                                                        </div>
                                                        @error('DRIVER_BITMAP')
                                                            <p class="text-danger">{{ $message }}</p>
                                                        @enderror
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Documents</h2>
                                                </div>
                                                <hr>
                                                <div class="row mb-6">
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Upload
                                                        Multiple
                                                        Documents</label>
                                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                                        <input type="file" name="DOCUMENTS[]" id="chooseFile"
                                                            class="form-control" multiple>
                                                        <input class="form-control" type="hidden" name="multi_old_image"
                                                            value="{{ $driver->DOCUMENTS }}">
                                                        @php
                                                            $docs = !empty($driver->DOCUMENTS)
                                                                ? explode(',', $driver->DOCUMENTS)
                                                                : '';
                                                        @endphp
                                                        <div class="mt-2 col-md-12">
                                                            <div class="row">
                                                                @if (!empty($docs))
                                                                    @foreach ($docs as $doc)
                                                                        <div class="col-md-6">
                                                                        @if(file_exists('driver/documents/'. $doc) && !empty($doc))
                                                                            <a
                                                                                href="{{ asset('driver/documents/'. $doc) }}"
                                                                                download><i
                                                                                    class="fas fa-file"></i>{{ $doc }}</a>
                                                                         @endif          
                                                                            @if (!$loop->last)
                                                                                , <br>
                                                                            @endif
                                                                        </div>
                                                                    @endforeach
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        {{-- <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_7">
                                        </div> --}}

                                        <div class="col-lg-12 row p-5 ">
                                            <div class="col-lg-12 text-center">
                                                <input type="hidden" name="activeTab" id="activeTab" value="">
                                                <button type="submit"
                                                    class="tab-action btn btn-primary btn-lg me-3 mb-xxl-12">Update</button>
                                                <a href="{{ route('assets.drivers.index') }}"
                                                    class="btn btn-secondary  btn-lg me-3 mb-xxl-12">Cancel</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="addTruckModal" tabindex="-1" aria-labelledby="addTruckModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="addTruckModalLabel">Add Truck</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="{{ route('assets.trucks.store') }}" method="POST">
                    @csrf
                    <input type="hidden" name="from" value="driverEdit">
                    <input type="hidden" name="driverId" value="{{ $driver->DRIVER_ID }}">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="mb-3">
                                <input type="hidden" name="STATUS" value = "AVAILABLE" id="STATUS">
                                    <label for="max_weg" class="form-label required">Unit # </label>
                                    <input type="text" name="UNIT_ID" id="UNIT_ID" size="10"
                                        maxlength="10" value="{{ old('UNIT_ID') }}" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Make</label>
                                    <input type="text" name="MAKE" id="MAKE" size="25"
                                        maxlength="20" value="{{ old('MAKE') }}" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Model</label>
                                    <input type="text" name="MODEL" id="MODEL" size="30"
                                        maxlength="30" value="{{ old('MODEL') }}" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Year</label>
                                    <input type="number" name="YEAR" id="YEAR" size="5"
                                        class="form-control" value="{{ old('YEAR') }}" required>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Plate #</label>
                                    <input type="text" name="PLATE" id="PLATE" size="30"
                                        maxlength="20" value="{{ old('PLATE') }}" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Plate Expires</label>
                                    <input type="text" name="LIC_1_EXP_DATE" id="LIC_1_EXP_DATE" size="9"
                                        value="{{ old('LIC_1_EXP_DATE') }}" class="form-control datetimepicker"
                                        required>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                    
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"
                            aria-label="Close">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>
    <script>
        var quill = new Quill('#kt_ecommerce_add_category_meta_description');
        $("#driverUpdate").on("submit", function() {
            $("#editorContent").val($("#kt_ecommerce_add_category_meta_description .ql-editor").html());
        });
    </script>
    <script>
        if (window.location.hash === '#kt_stats_widget_16_tab_1') {
            document.getElementById('kt_stats_widget_16_tab_link_1').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_2') {
            document.getElementById('kt_stats_widget_16_tab_link_2').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_3') {
            document.getElementById('kt_stats_widget_16_tab_link_3').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_4') {
            document.getElementById('kt_stats_widget_16_tab_link_4').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_5') {
            document.getElementById('kt_stats_widget_16_tab_link_5').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_6') {
            document.getElementById('kt_stats_widget_16_tab_link_6').click();
        }
    </script>
    <script>
        $("#nav-stepper .stepper-item").click(function() {
            var cntrl = $(this);
            $("#nav-stepper .stepper-item").removeClass("current");
            $(cntrl).addClass("current");
        });

        function activetab(id) {
            $('#activeTab').val(id);
        }


        $(document).ready(function() {
            $('.PHONENO').inputmask('(999)-999-9999');
           
        });
    </script>
    <script>
         
        let autocomplete;
        let address1Field;
        let address2Field;
        let postalField;

        function initAutocomplete() {
            var input = document.getElementById('ADDRESS_1');
            var autocomplete = new google.maps.places.Autocomplete(input);

            google.maps.event.addListener(autocomplete, 'place_changed', function() {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                console.log(place);
                $('#ADDRESS_1').val(place.formatted_address);
                $('#PROVINCE').val(place.address_components[4].short_name).trigger('change');
                $('#CITY').val(place.address_components[3].long_name);
                $('#POSTAL_CODE').val(place.address_components[6].long_name);

                for (let component of place.address_components) {
                    if (component.types[0] === 'administrative_area_level_1') {
                        province = component.short_name;
                        break;
                    }
                }
            });

            var input2 = document.getElementById('ADDRESS_2');
            var autocomplete2 = new google.maps.places.Autocomplete(input2);
            google.maps.event.addListener(autocomplete2, 'place_changed', function() {
                var place2 = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                $('#ADDRESS_2').val(place2.formatted_address);
            });

        }
        $(document).ready(function() {
            jQuery(document).ready(function() {
                $('[data-quantity="plus"]').click(function(e) {
                    e.preventDefault();
                    fieldName = $(this).attr('data-field');
                    var currentVal = parseInt($('input[name=' + fieldName + ']').val());
                    if (!isNaN(currentVal)) {
                        $('input[name=' + fieldName + ']').val(currentVal + 1);
                    } else {
                        $('input[name=' + fieldName + ']').val(0);
                    }
                });

                $('[data-quantity="minus"]').click(function(e) {
                    e.preventDefault();
                    fieldName = $(this).attr('data-field');
                    var currentVal = parseInt($('input[name=' + fieldName + ']').val());
                    if (!isNaN(currentVal) && currentVal > 0) {
                        $('input[name=' + fieldName + ']').val(currentVal - 1);
                    } else {
                        $('input[name=' + fieldName + ']').val(0);
                    }
                });
            });

            $('.Termination').hide();
            $('input[name="STATUS"]').change(function() {
                var status = $('input[name="STATUS"]:checked').val();
                if (status == 'ACTIVE') {
                    $('.Termination').hide();
                } else {
                    $('.Termination').show();
                }
            });

        });
        document.addEventListener("DOMContentLoaded", function() {
            var tabs = document.querySelectorAll('.nav-link');
            tabs.forEach(function(tab) {
                if (tab.classList.contains('active')) {
                    var activeTabId = tab.getAttribute('href');
                    $('#activeTab').val(activeTabId);
                    document.querySelector('a[href="' + activeTabId + '"]').click();
                }
            });
        });
    </script>
    <script>
        $('.datetimepicker').daterangepicker({
            timePicker: false,
            singleDatePicker: true,
            startDate: moment(), // Set the default date to the current date using moment.js
            locale: {
                format: 'MM/DD/YYYY'
            }
        });
    </script>
@endsection()
