@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Trailer <span class="text-muted">Edit</span>
                    </h3>
                    <h3 class="fw-bold me-5 my-1"></h3>
                </div>
            </div>
            <div class="card card-flush">
                <div class="card-body">
                    <div class=" pb-lg-11 pb-7">
                        <div class="container">
                            <form action="{{ route('assets.trailers.update') }}" method="POST">
                                @csrf
                                <input type="hidden" name="ID" value="{{ $trailer->ID }}">
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Trailer Number</label>
                                                <input type="text" class="form-control" id="TRAILER_ID" name="TRAILER_ID"
                                                    value="{{ old('TRAILER_ID', $trailer->TRAILER_ID, $trailer->TRAILER_ID) }}"
                                                    required>
                                                @error('TRAILER_ID')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Make</label>
                                                <input type="text" class="form-control" id="USER1" name="USER1"
                                                    value="{{ old('USER1', $trailer->USER1, $trailer->USER1) }}" required>
                                                @error('USER1')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="readydatetime" class="form-label required">Trailer Plate</label>
                                                <input type="text" class="form-control"
                                                    value="{{ old('PLATE', $trailer->PLATE) }}" id="PLATE"
                                                    name="PLATE" required>
                                                @error('PLATE')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="currentcity" class="form-label required">Year</label>
                                                <input type="text" class="form-control"
                                                    value="{{ old('YEAR', $trailer->YEAR) }}" id="YEAR" name="YEAR"
                                                    required>
                                                @error('YEAR')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="TYPE" class="form-label required">Type</label>
                                                <select name="TRAILER_TYPE" id="TRAILER_TYPE" class="form-select"
                                                    data-control="select2" data-hide-search="true"
                                                    data-placeholder="Select a Type" required>
                                                    <option>Please select</option>
                                                    <option value="VAN"
                                                        {{ old('TRAILER_TYPE', $trailer->TRAILER_TYPE) == 'VAN' ? 'selected' : '' }}>
                                                        VAN</option>
                                                    <option value="FLATBED"
                                                        {{ old('TRAILER_TYPE', $trailer->TRAILER_TYPE) == 'FLATBED' ? 'selected' : '' }}>
                                                        FLATBED
                                                    </option>
                                                    <option value="REEFER"
                                                        {{ old('TRAILER_TYPE', $trailer->TRAILER_TYPE) == 'REEFER' ? 'selected' : '' }}>
                                                        REEFER
                                                    </option>
                                                    <option value="BOX Truck"
                                                        {{ old('TRAILER_TYPE', $trailer->TRAILER_TYPE) == 'BOX Truck' ? 'selected' : '' }}>
                                                        BOX
                                                        Truck</option>
                                                </select>
                                                @error('TRAILER_TYPE')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="LENGTH_1" class="form-label required">Length</label>
                                                <select name="LENGTH_1" id="LENGTH_1" class="form-select"
                                                    data-control="select2" data-hide-search="true"
                                                    data-placeholder="Select a Length" required>
                                                    <option>Please select</option>
                                                    <option value="53"
                                                        {{ old('LENGTH_1', $trailer->LENGTH_1) == '53' ? 'selected' : '' }}>
                                                        53</option>
                                                    <option value="48"
                                                        {{ old('LENGTH_1', $trailer->LENGTH_1) == '48' ? 'selected' : '' }}>
                                                        48</option>
                                                    <option value="26"
                                                        {{ old('LENGTH_1', $trailer->LENGTH_1) == '26' ? 'selected' : '' }}>
                                                        26</option>
                                                    <option value="16"
                                                        {{ old('LENGTH_1', $trailer->LENGTH_1) == '16' ? 'selected' : '' }}>
                                                        16</option>
                                                </select>
                                                @error('LENGTH_1')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="currentcity" class="form-label required">VIN #</label>
                                                <input type="text" class="form-control" name="VIN"
                                                    value="{{ old('VIN', $trailer->VIN) }}" id="VIN" required>
                                                @error('VIN')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="currentcity" class="form-label required">Max Weight</label>
                                                <input type="text" class="form-control"
                                                    value="{{ old('MAXIMUM_WEIGHT', $trailer->MAXIMUM_WEIGHT) }}"
                                                    name="MAXIMUM_WEIGHT" id="MAXIMUM_WEIGHT" required>
                                                @error('MAXIMUM_WEIGHT')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="currentcity" class="form-label required">Number of
                                                    Axles</label>
                                                <input type="text" class="form-control" name="AXLES"
                                                    value="{{ old('AXLES', $trailer->AXLES) }}" id="AXLES" required>
                                                @error('AXLES')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="currentcity" class="form-label required">Empty Weight</label>
                                                <input type="text" class="form-control"
                                                    value="{{ old('EMPTY_WEIGHT', $trailer->EMPTY_WEIGHT) }}"
                                                    name="EMPTY_WEIGHT" id="EMPTY_WEIGHT" required>
                                                @error('EMPTY_WEIGHT')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-10">
                                    <a href="{{ route('assets.trailers.index') }}"
                                        class="btn btn-secondary me-2">Close</a>
                                    <button type="submit" class="btn btn-primary">Update</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    <script>
        $('.datetimepicker').daterangepicker({
            timePicker: true,
            singleDatePicker: true,
            locale: {
                format: 'MM/DD/YYYY hh:mm'
            }
        });
    </script>
@endsection
