@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Truck <span class="text-muted">Add</span>
                    </h3>
                    <h3 class="fw-bold me-5 my-1"></h3>
                </div>
            </div>
            <div class="card card-flush">
                <div class="card-body">
                    <div class=" pb-lg-11 pb-7">
                        <div class="container">
                            <form action="{{ route('assets.trucks.store') }}" method="POST">
                                @csrf
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Unit # </label>
                                                <input type="text" name="UNIT_ID" id="UNIT_ID" size="10"
                                                    maxlength="10" value="{{ old('UNIT_ID') }}" class="form-control"
                                                    required>
                                                @error('UNIT_ID')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Make</label>
                                                <input type="text" name="MAKE" id="MAKE" size="25"
                                                    maxlength="20" value="{{ old('MAKE') }}" class="form-control"
                                                    required>
                                                @error('MAKE')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Model</label>
                                                <input type="text" name="MODEL" id="MODEL" size="30"
                                                    maxlength="30" value="{{ old('MODEL') }}" class="form-control"
                                                    required>
                                                @error('MODEL')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Year</label>
                                                <input type="number" name="YEAR" id="YEAR" size="5"
                                                    class="form-control" value="{{ old('YEAR') }}" required>
                                                @error('YEAR')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Plate #</label>
                                                <input type="text" name="PLATE" id="PLATE" size="30"
                                                    maxlength="20" value="{{ old('PLATE') }}" class="form-control"
                                                    required>
                                                @error('PLATE')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="mb-3">
                                                <label for="max_weg" class="form-label required">Plate Expires</label>
                                                <input type="text" name="LIC_1_EXP_DATE" id="LIC_1_EXP_DATE"
                                                    size="9" value="{{ old('LIC_1_EXP_DATE') }}"
                                                    class="form-control datetimepicker" required>
                                                @error('LIC_1_EXP_DATE')
                                                    <p class="text-danger">{{ $message }}</p>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-10">
                                    <a href="{{ route('assets.trucks.index') }}" class="btn btn-secondary me-2">Close</a>
                                    <button type="submit" class="btn btn-primary">Save</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    <script>
        $('.datetimepicker').daterangepicker({
            timePicker: false ,
            singleDatePicker: true,
            locale: {
                format: 'MM/DD/YYYY'
            }
        });
    </script>
@endsection
