@extends('layouts.master')
@section('content')
@php
$PayType = config('custom.PayType');
$states = config('custom.states');
$driverType = config('custom.driverType');
$bad_zone = config('custom.bad_zone');
@endphp
@php
$validate = [];
$activeTab1 = '';
$activeTab2 = '';
$currentTab1 = '';
$currentTab2 = '';
@endphp

@if ($errors->any())
@foreach ($errors->all() as $error)
@php
$validate[] = $error;
@endphp
@endforeach
@endif

@if (
$errors->has('STATUS') ||
$errors->has('FIRST_NAME') ||
$errors->has('LAST_NAME') ||
$errors->has('EXPIRY_DATE') ||
$errors->has('DL_STATE_PROV') ||
$errors->has('ENDORSEMENTS') ||
$errors->has('CODE'))
@php
$currentTab1 = 'current';
$activeTab1 = 'active';
@endphp
@elseif (
$errors->has('PHONE') ||
$errors->has('EMAIL') ||
$errors->has('CELL_PHONE') ||
$errors->has('EMERGENCY_PHONE') ||
$errors->has('SECONDARY_CONTRACT') ||
$errors->has('NOSMS'))
@php
$currentTab2 = 'current';
$activeTab2 = 'active';
@endphp
@else
@php
$currentTab1 = 'current';
$activeTab1 = 'active';
@endphp
@endif



<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <div id="kt_content_container" class="container-xxl">
        <div class="d-flex flex-wrap flex-stack pb-7">
            <div class="d-flex flex-wrap align-items-center my-1">
                <h3 class="fw-bold me-5 my-1">Truck <span class="text-muted">Edit</span>
                </h3>
                <h3 class="fw-bold me-5 my-1"></h3>
                <div class="card-body">
                    <div class="float-end">
                        <a href="{{ route('assets.trucks.index') }}" class="btn btn-primary btn-sm me-2"><i
                                class="fa fa-arrow-left" aria-hidden="true"></i>Back</a>
                        <a href="{{ route('assets.trucks.delete', $truck->DRIVER_ID) }}"
                            onclick="return confirm('Are You Sure You Want to Delete ?')"
                            class="btn btn-dark btn-sm">Delete</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="pb-lg-12">
            <div class="container">
                <div class="content d-flex flex-column flex-column-fluid">
                    <form action="{{ route('assets.trucks.update') }}" method="POST" enctype="multipart/form-data"
                        id="truckUpdate">
                        <div class="col-lg-12  d-flex flex-column flex-xl-row flex-row-fluid gap-10">
                            <div
                                class="col-lg-3 card d-flex justify-content-center justify-content-xl-start flex-row-auto w-100 w-xl-300px w-xxl-400px">
                                <div class="card-body px-6 px-lg-10 px-xxl-15">
                                    <ul id="nav-stepper"
                                        class="nav nav-stretch nav-line-tabs nav-line-tabs-2x border-transparent fs-5 fw-bold stepper stepper-pills stepper-column stepper-nav"
                                        style="display: block;">
                                        <div class="stepper-item {{ $currentTab1 }}" data-kt-stepper-element="nav"
                                            id="cl1">
                                            <div class="stepper-wrapper">
                                                <div class="stepper-icon w-40px h-40px">
                                                    <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                    <span class="stepper-number">1</span>
                                                </div>
                                                <a class="nav-link ms-0 me-10 py-5 {{ $activeTab1 }} "
                                                    id="kt_stats_widget_16_tab_link_1" data-bs-toggle="pill"
                                                    href="#kt_stats_widget_16_tab_1" aria-selected="false" role="tab"
                                                    tabindex="-1" onclick="activetab('#kt_stats_widget_16_tab_1')">
                                                    <div class="stepper-label">
                                                        <h3 class="stepper-title">General Information</h3>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="stepper-line h-20px"></div>
                                        </div>

                                        <div class="stepper-item" data-kt-stepper-element="nav">
                                            <div class="stepper-wrapper">
                                                <div class="stepper-icon w-40px h-40px">
                                                    <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                    <span class="stepper-number">2</span>
                                                </div>
                                                <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_2"
                                                    data-bs-toggle="pill" href="#kt_stats_widget_16_tab_2"
                                                    aria-selected="false" role="tab" tabindex="-1"
                                                    onclick="activetab('#kt_stats_widget_16_tab_2')">
                                                    <div class="stepper-label">
                                                        <h3 class="stepper-title">Maintenance & Safety</h3>

                                                    </div>
                                                </a>
                                            </div>
                                            <div class="stepper-line h-20px"></div>
                                        </div>

                                        <div class="stepper-item" data-kt-stepper-element="nav">
                                            <div class="stepper-wrapper">
                                                <div class="stepper-icon w-40px h-40px">
                                                    <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                    <span class="stepper-number">3</span>
                                                </div>
                                                <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_3"
                                                    data-bs-toggle="pill" href="#kt_stats_widget_16_tab_3"
                                                    aria-selected="false" role="tab" tabindex="-1"
                                                    onclick="activetab('#kt_stats_widget_16_tab_3')">
                                                    <div class="stepper-label">
                                                        <h3 class="stepper-title">Cost of Ownership</h3>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="stepper-line h-20px"></div>
                                        </div>

                                        <div class="stepper-item" data-kt-stepper-element="nav">
                                            <div class="stepper-wrapper">
                                                <div class="stepper-icon w-40px h-40px">
                                                    <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                    <span class="stepper-number">4</span>
                                                </div>
                                                <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_4"
                                                    data-bs-toggle="pill" href="#kt_stats_widget_16_tab_4"
                                                    aria-selected="false" role="tab" tabindex="-1"
                                                    onclick="activetab('#kt_stats_widget_16_tab_4')">
                                                    <div class="stepper-label">
                                                        <h3 class="stepper-title">Dispatch</h3>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="stepper-line h-20px"></div>
                                        </div>

                                        <div class="stepper-item" data-kt-stepper-element="nav">
                                            <div class="stepper-wrapper">
                                                <div class="stepper-icon w-40px h-40px">
                                                    <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                    <span class="stepper-number">5</span>
                                                </div>
                                                <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_5"
                                                    data-bs-toggle="pill" href="#kt_stats_widget_16_tab_5"
                                                    aria-selected="false" role="tab" tabindex="-1"
                                                    onclick="activetab('#kt_stats_widget_16_tab_5')">
                                                    <div class="stepper-label">
                                                        <h3 class="stepper-title">Repairs</h3>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="stepper-line h-20px"></div>
                                        </div>


                                        <div class="stepper-item mark-completed" data-kt-stepper-element="nav">
                                            <div class="stepper-wrapper">
                                                <div class="stepper-icon w-40px h-40px">
                                                    <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                    <span class="stepper-number">6</span>
                                                </div>
                                                <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_6"
                                                    data-bs-toggle="pill" href="#kt_stats_widget_16_tab_6"
                                                    aria-selected="false" role="tab" tabindex="-1"
                                                    onclick="activetab('#kt_stats_widget_16_tab_6')">
                                                    <div class="stepper-label">
                                                        <h3 class="stepper-title">Photos</h3>
                                                    </div>
                                                </a>
                                            </div>
                                            <!-- <div class="stepper-line h-20px"></div> -->
                                        </div>



                                        {{-- <div class="stepper-item mark-completed"
                                                        data-kt-stepper-element="nav">
                                                        <div class="stepper-wrapper">
                                                            <div class="stepper-icon w-40px h-40px">
                                                                <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                                <span class="stepper-number">7</span>
                                                            </div>
                                                            <a class="nav-link ms-0 me-10 py-5"
                                                                id="kt_stats_widget_16_tab_link_7" data-bs-toggle="pill"
                                                                href="#kt_stats_widget_16_tab_7" aria-selected="false"
                                                                role="tab" tabindex="-1"
                                                                onclick="activetab('#kt_stats_widget_16_tab_7')">
                                                                <div class="stepper-label">
                                                                    <h3 class="stepper-title">Tax Documents</h3>
                                                                </div>
                                                            </a>
                                                        </div>
                                            </div> --}}
                                    </ul>
                                    <button type="submit"
                                        class="tab-action btn btn-primary btn-lg mt-12 me-3 mb-xxl-12 w-100">Update</button>
                                </div>
                            </div>
                            <div class="col-lg-8">
                                @csrf
                                <input type="hidden" name="TRUCK_ID" value="{{ $truck->TRUCK_ID }}">
                                <div class="card mb-12 mb-xxl-12 tab-content">
                                    <div class="card-body pb-0 tab-pane fade show  {{ $activeTab1 }}"
                                        id="kt_stats_widget_16_tab_1">
                                        <div class="w-100">
                                            <div class="">
                                                <h2 class="fw-bold text-gray-900">General Information</h2>
                                            </div>
                                            <hr>
                                            {{-- $truck --}}
                                            <div class="card-body p-9">
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Status
                                                                <span style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <div class="d-flex align-items-center mt-3">
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                        <input class="form-check-input" name="STATUS"
                                                                            id="STATUS" type="radio" value="AVAILABLE"
                                                                            {{ 'AVAILABLE' == $truck->STATUS ? 'checked' : '' }}>
                                                                        <input type="hidden" name="MODIFIED_DATE"
                                                                            id="MODIFIED_DATE" class="form-control"
                                                                            value="<?php echo date('Y-m-d'); ?>">
                                                                        <input type="hidden" name="MODIFIED_BY"
                                                                            id="MODIFIED_BY" class="form-control"
                                                                            value="<?php echo getAuthMemberId(); ?>">
                                                                        <span
                                                                            class="fw-semibold ps-2 fs-6">Available</span>
                                                                    </label>
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid">
                                                                        <input class="form-check-input" name="STATUS"
                                                                            type="radio" value="INACTIVE"
                                                                            {{ 'INACTIVE' == $truck->STATUS ? 'checked' : '' }}>
                                                                        <span
                                                                            class="fw-semibold ps-2 fs-6">Inactive</span>
                                                                    </label>

                                                                    @error('ACTIVE')
                                                                    <p class="text-danger ">
                                                                        {{ $message }}</p>
                                                                    @enderror
                                                                </div>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Unit
                                                                #</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="UNIT_ID" id="UNIT_ID" size="10"
                                                                    maxlength="10"
                                                                    value="{{ old('UNIT_ID', $truck->UNIT_ID) }}"
                                                                    class="form-control">
                                                                @error('SIN_NUMBER')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Make
                                                                <span style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control" id="MAKE"
                                                                    name="MAKE" value="{{ old('MAKE', $truck->MAKE) }}">
                                                                @error('MAKE')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Model
                                                                <span style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control" id="MODEL"
                                                                    name="MODEL"
                                                                    value="{{ old('MODEL', $truck->MODEL) }}">
                                                                @error('MODEL')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Year<span
                                                                    style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control" id="YEAR"
                                                                    name="YEAR" value="{{ old('YEAR', $truck->YEAR) }}">
                                                                @error('YEAR')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">VIN
                                                                #<span style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                @php $expDate = !empty($truck->VIN) ? date('Y-m-d',
                                                                strtotime($truck->VIN)) : ''; @endphp
                                                                <input type="text" class="form-control" id="VIN"
                                                                    name="VIN" value="{{ old('VIN', $truck->VIN) }}">
                                                                @error('VIN')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Axles<span
                                                                    style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="number" class="form-control" id="AXLES"
                                                                    name="AXLES"
                                                                    value="{{ old('AXLES', $truck->AXLES) }}">
                                                                @error('AXLES')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Plate
                                                                #<span
                                                                    style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="PLATE" id="PLATE" size="30"
                                                                    maxlength="20"
                                                                    value="{{ old('PLATE', $truck->PLATE) }}"
                                                                    class="form-control">
                                                                    @error('PLATE')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Plate
                                                                Expires<span style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">

                                                                <input type="date" name="LIC_1_EXP_DATE"
                                                                    id="LIC_1_EXP_DATE" size="9"
                                                                    value="{{ old('LIC_1_EXP_DATE', date('Y-m-d', strtotime($truck->LIC_1_EXP_DATE))) }}"
                                                                    class="form-control ">
                                                                @error('LIC_1_EXP_DATE')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Odometer
                                                                Date<span
                                                                    style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="date" name="ODOMETER_READING"
                                                                    id="ODOMETER_READING" size="9"
                                                                    value="{{ old('ODOMETER_READING', date('Y-m-d', strtotime($truck->ODOMETER_READING))) }}"
                                                                    class="form-control">
                                                                @error('ODOMETER_READING')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Odeometer
                                                                Miles<span style="color:red">*</span></label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="ODOMETER" id="ODOMETER"
                                                                    size="25"
                                                                    value="{{ old('ODOMETER', $truck->ODOMETER) }}"
                                                                    class="form-control">
                                                                @error('ODOMETER')
                                                                <p class="text-danger">{{ $message }}</p>
                                                                @enderror
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>



                                    <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_2">
                                        <div class="w-100">
                                            <div class="">
                                                <h2 class="fw-bold text-gray-900">Maintenance & Safety</h2>
                                            </div>
                                            <hr>
                                            {{-- $truck --}}
                                            <div class="card-body p-9">
                                                <div class="row mb-0">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    Oil Change {{$truck->LAST_OIL}}</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" name="LAST_OIL" id="LAST_OIL"
                                                                        value="{{ old('LAST_OIL', $truck->LAST_OIL) }}"
                                                                        class="form-control ">
                                                                    @error('LAST_OIL')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    Oil Miles</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="number" name="OIL_MILES" id="OIL_MILES"
                                                                        size="10"
                                                                        value="{{ old('OIL_MILES', $truck->OIL_MILES) }}"
                                                                        class="form-control">
                                                                    @error('OIL_MILES')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    TuneUp Change</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" name="LAST_TUNEUP" size="9"
                                                                        class="form-control "
                                                                        value="{{ old('LAST_TUNEUP', $truck->LAST_TUNEUP) }}">
                                                                    @error('LAST_TUNEUP')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0 ">Last
                                                                    TuneUp Miles</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="number" name="TUNEUP_MILES"
                                                                        id="TUNEUP_MILES" size="10"
                                                                        value="{{ old('TUNEUP_MILES', $truck->TUNEUP_MILES) }}"
                                                                        class="form-control">
                                                                    @error('TUNEUP_MILES')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    Annual PM Service Date</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" name="LAST_SERVICE"
                                                                        id="LAST_SERVICE"
                                                                        class="form-control "
                                                                        value="{{ old('LAST_SERVICE', $truck->LAST_SERVICE) }}">
                                                                    @error('LAST_SERVICE')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    Annual PM Service Miles</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="SERVICE_MILES"
                                                                        id="SERVICE_MILES" size="9"
                                                                        class="form-control "
                                                                        value="{{ old('SERVICE_MILES', $truck->SERVICE_MILES) }}">
                                                                    @error('SERVICE_MILES')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    Maintenance</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" name="LAST_MAINTENANCE"
                                                                        id="LAST_MAINTENANCE" size="9"
                                                                        class="form-control "
                                                                        value="{{ old('LAST_MAINTENANCE', $truck->LAST_MAINTENANCE) }}">
                                                                    @error('LAST_MAINTENANCE')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Next
                                                                    Maintenance</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">

                                                                    <input type="date" name="NEXT_MAINTENANCE"
                                                                        id="NEXT_MAINTENANCE" size="9"
                                                                        class="form-control "
                                                                        value="{{ old('NEXT_MAINTENANCE', $truck->NEXT_MAINTENANCE) }}">
                                                                    @error('NEXT_MAINTENANCE')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">DOT
                                                                    Expiration</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" name="DOT_INSP" id="DOT_INSP"
                                                                        size="9" class="form-control "
                                                                        value="{{ old('DOT_INSP', $truck->DOT_INSP) }}">
                                                                    @error('DOT_INSP')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Registration
                                                                    Expiration</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" name="REG_INSP" id="REG_INSP"
                                                                        size="9" class="form-control "
                                                                        value="{{ old('REG_INSP', $truck->REG_INSP) }}">
                                                                    @error('REG_INSP')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Insurance
                                                                    Expiration</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" name="INS_EXP" id="INS_EXP"
                                                                        size="9" class="form-control"
                                                                        value="{{ old('INS_EXP', $truck->INS_EXP) }}">
                                                                    @error('INS_EXP')
                                                                    <p class="text-danger">{{ $message }}
                                                                    </p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Registered
                                                                    States</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" data-control="select2"
                                                                        data-hide-search="true"
                                                                        data-placeholder="Select a License State"
                                                                        id="REG_STATES" name="REG_STATES">
                                                                        <option value="">Please select
                                                                        </option>
                                                                        @foreach ($states as $state)
                                                                        <option value="{{ $state }}"
                                                                            {{ old('REG_STATES', $truck->REG_STATES) == $state ? 'selected' : '' }}>
                                                                            {{ $state }}</option>
                                                                        @endforeach
                                                                    </select>
                                                                    @error('REG_STATES')
                                                                    <p class="text-danger">{{ $message }}</p>
                                                                    @enderror
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_3">
                                        <div class="w-100">
                                            <div class="">
                                                <h2 class="fw-bold text-gray-900"> Cost of Ownership</h2>
                                            </div>
                                            <hr>
                                            <div class="card-body p-9">

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Ownership</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="OWNERSHIP" id="OWNERSHIP"
                                                                    value="{{ $truck['OWNERSHIP'] }}"
                                                                    class="form-control "
                                                                    {{ old('OWNERSHIP', $truck->OWNERSHIP) }}>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Purchased
                                                                or Leased</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">

                                                                <input type="text" name="LEASEDPUR" id="LEASEDPUR"
                                                                    value="{{ $truck['LEASEDPUR'] }}"
                                                                    class="form-control "
                                                                    {{ old('LEASEDPUR', $truck->LEASEDPUR) }}>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Purchase/Leased
                                                                From</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="PUR_FROM" id="PUR_FROM"
                                                                    value="{{ $truck['PUR_FROM'] }}"
                                                                    class="form-control "
                                                                    {{ old('PUR_FROM', $truck->PUR_FROM) }}>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Sold
                                                                To</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="SOLD_TO" id="SOLD_TO"
                                                                    value="{{ $truck['SOLD_TO'] }}"
                                                                    class="form-control "
                                                                    {{ old('SOLD_TO', $truck->SOLD_TO) }}>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Purchase/Leased
                                                                Date</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="date" name="PUR_DATE" id="PUR_DATE"
                                                                    value="{{ $truck['PUR_DATE'] }}"
                                                                    class="form-control "
                                                                    {{ old('SOLD_TO', $truck->PUR_DATE) }}>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Sold
                                                                Date</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="date" class="form-control" id="SOLD_DATE"
                                                                    name="SOLD_DATE"
                                                                    value="{{ old('SOLD_DATE', $truck->SOLD_DATE) }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Purcahse/Lease
                                                                Amount</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control" id="PUR_AMT"
                                                                    name="PUR_AMT"
                                                                    value="{{ old('PUR_AMT', $truck->PUR_AMT) }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Sold
                                                                Amount</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control" id="SOLD_AMT"
                                                                    name="SOLD_AMT"
                                                                    value="{{ old('SOLD_AMT', $truck->SOLD_AMT) }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Current
                                                                Value</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control" id="CUR_VAL"
                                                                    name="CUR_VAL"
                                                                    value="{{ old('CUR_VAL', $truck->CUR_VAL) }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Factor
                                                                Price</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control"
                                                                    id="FACTORY_PRICE" name="FACTORY_PRICE"
                                                                    value="{{ old('FACTORY_PRICE', $truck->FACTORY_PRICE) }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Monthly
                                                                Payment</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control"
                                                                    id="TRUCK_PAYMENT" name="TRUCK_PAYMENT"
                                                                    value="{{ old('TRUCK_PAYMENT', $truck->TRUCK_PAYMENT) }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Monthly
                                                                Insurance Payment</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control"
                                                                    id="TRUCK_INSURANCE" name="TRUCK_INSURANCE"
                                                                    value="{{ old('TRUCK_INSURANCE', $truck->TRUCK_INSURANCE) }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_4">
                                        <div class="w-100">
                                            <div class="">
                                                <h2 class="fw-bold text-gray-900">Dispatch</h2>
                                            </div>

                                            <hr>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row mb-6">

                                                        <label class="col-lg-4 col-form-label fw-semibold fs-6">Driver Type</label>
                                                        @foreach ($drivers as $driver)@php $DRIVER_TYPE =
                                                        $driver->DRIVER_TYPE @endphp @endforeach
                                                        <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                            <div class="d-flex align-items-center mt-3">
                                                                
                                                            @if(empty($dType))
                                                                @php $dType = 'SOLO'; @endphp
                                                              @endif
                                                                <label
                                                                    class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                    <input class="form-check-input driverType"
                                                                        type="radio" name="DRIVER_TYPE"
                                                                        value="{{ $driverType['TEAM'] }}"
                                                                        {{ $driverType['TEAM'] == $dType ? 'checked' : '' }}>
                                                                    TEAM
                                                                </label>

                                                                <label
                                                                    class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                    <input class="form-check-input driverType"
                                                                        type="radio" name="DRIVER_TYPE"
                                                                        value="{{ $driverType['SOLO'] }}"
                                                                        {{ $driverType['SOLO'] == $dType ? 'checked' : ''}}>
                                                                    SOLO
                                                                </label>

                                                               
                                                            </div>
                                                            <div
                                                                class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row mb-6">
                                                        <label for="badareas"
                                                            class="col-lg-4 col-form-label fw-semibold fs-6">Assign
                                                            Driver</label>
                                                        <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                        
                                                        <input type="hidden" name="lastAssignDriverName" id="lastAssignDriverName" value="{{$dNames}}">
                                                            <input type="hidden" name="lastAssignDriver" value="{{ implode(',', $ASSIGNED_DRIVERS) }}" id="lastAssignDriver">
                                                            <select class="form-select" class="form-select"
                                                                data-control="select2" data-hide-search="true"
                                                                data-placeholder="Select Driver" id="DRIVER_ID"
                                                                name="DRIVER_ID[]">

                                                                @foreach ($drivers as $driver)
                                                                <option value="{{ $driver->DRIVER_ID }}"
                                                                    {{ old('DRIVER_ID', $driver->DRIVER_ID) == $truck->ASSIGNED_DRIVER  ? 'selected' : '' }}>
                                                                    {{ $driver->NAME }}
                                                                </option>
                                                                @endforeach

                                                            </select>
                                                            <span class="drivernames"></span>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="mb-6">
                                                        <!-- <button type="button" class="btn btn-primary btn-sm d-none moreDriver">
                                                                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-plus" viewBox="0 0 16 16">
                                                                                <path d="M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4"></path>
                                                                            </svg>
                                                                </button> -->
                                                        <div class="btn-group">
                                                            <button type="button" class="btn btn-primary btn-sm"
                                                                data-bs-toggle="modal"
                                                                data-bs-target="#addDriverModal">Add Driver</button>

                                                        </div>
                                                        <div class="btn-group">
                                                            <button type="button" class="btn btn-primary btn-sm"
                                                                data-bs-toggle="modal"
                                                                data-bs-target="#logModal">View Log</button>

                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <!-- ------------------------------------ -->
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row mb-6">
                                                        <label
                                                            class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Unit
                                                            Id #</label>
                                                        <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                            <input type="text" class="form-control" id="UNIT_ID"
                                                                name="UNIT_ID"
                                                                value="{{ old('UNIT_ID', $truck->UNIT_ID) }}">
                                                            <div
                                                                class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="row mb-6">
                                                        <label class="col-lg-4 col-form-label fw-semibold fs-6 ">Factor
                                                            Price</label>
                                                        <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                            <input type="text" class="form-control" id="RATE"
                                                                name="RATE" value="{{ old('RATE', $truck->RATE) }}">
                                                            <div
                                                                class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- ------------------------------------ -->
                                            <!-- ------------------------------------ -->
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row mb-6">
                                                        <label
                                                            class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Ready
                                                            Datetime</label>
                                                        <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                            <input type="datetime-local" class="form-control"
                                                                id="readydatetime" name="readydatetime"
                                                                value="{{ old('readydatetime', $truck->readydatetime) }}">
                                                            <div
                                                                class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="row mb-6">
                                                        <label class="col-lg-4 col-form-label fw-semibold fs-6 ">Current
                                                            Address</label>
                                                        <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                            <input type="text" class="form-control" id="current_address"
                                                                name="current_address"
                                                                value="{{ old('current_address', $truck->current_address) }}">
                                                            <div
                                                                class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                            </div>
                                                            <div class="row">
                                                                <div class="mb-3" style="">
                                                                    <input type="hidden" class="form-control"
                                                                        id="x_CITY" placeholder="Current City"
                                                                        name="currentcity"
                                                                        value='<?php echo $truck->CURRENT_CITY; ?>'>
                                                                    <input type="hidden" class="form-control"
                                                                        id="x_STATE" placeholder="Current State"
                                                                        name="currentsate"
                                                                        value='<?php echo $truck->CURRENT_STATE; ?>'>
                                                                    <input type="hidden" class="form-control" id="x_LAT"
                                                                        placeholder="Latitude"
                                                                        value='<?php echo $truck->LAT; ?>' name="x_LAT">
                                                                    <input type="hidden" class="form-control" id="x_LNG"
                                                                        placeholder="Longitude"
                                                                        value='<?php echo $truck->LNG; ?>' name="x_LNG">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- ------------------------------------ -->
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="row mb-6">
                                                        <label
                                                            class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Dispatch
                                                            Address</label>
                                                        <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                            <input type="text" class="form-control"
                                                                id="dispatch_address" name="dispatch_address"
                                                                value="{{ old('dispatch_address', $truck->dispatch_address) }}">
                                                            <div
                                                                class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                            </div>
                                                            <div class="row">
                                                                <div class="mb-3" style="">
                                                                    <input type="hidden" class="form-control"
                                                                        id="dispatch_CITY" name="dispatch_CITY"
                                                                        value='<?php echo $truck->dispatch_CITY; ?>'>
                                                                    <input type="hidden" class="form-control"
                                                                        id="dispatch_STATE" name="dispatch_STATE"
                                                                        value='<?php echo $truck->dispatch_STATE; ?>'>
                                                                    <input type="hidden" class="form-control"
                                                                        id="dispatch_LAT"
                                                                        value='<?php echo $truck->dispatch_LAT; ?>'
                                                                        name="dispatch_LAT">
                                                                    <input type="hidden" class="form-control"
                                                                        id="dispatch_LNG"
                                                                        value='<?php echo $truck->dispatch_LNG; ?>'
                                                                        name="dispatch_LNG">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="row mb-10">
                                                        <label
                                                            class="col-lg-2 col-form-label fw-semibold fs-6 ">Notes</label>
                                                        <div class="col-lg-10 fv-row fv-plugins-icon-container">
                                                            <div id="kt_ecommerce_add_category_meta_description"
                                                                name="kt_ecommerce_add_category_meta_description"
                                                                class="min-h-100px mb-2">
                                                                {!! htmlspecialchars_decode($truck->notes) !!}
                                                            </div>
                                                            <input type="hidden" name="editorContent" id="editorContent"
                                                                value="{{ htmlspecialchars_decode($truck->notes) }}">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row mt-3">
                                                    <div class="col-md-12">
                                                        <div class="row mb-10">
                                                            <label
                                                                class="col-lg-2 col-form-label fw-semibold fs-6 ">Desired
                                                                Destinations</label>
                                                            <div class="col-lg-10 fv-row fv-plugins-icon-container">
                                                                <div id="kt_ecommerce_add_category_meta_description"
                                                                    name="kt_ecommerce_add_category_meta_description"
                                                                    class="min-h-100px mb-2">

                                                                    <!-- dd -->
                                                                    <div class="card-body p-4">
                                                                        <!-- <h4 class="mb-1">Desired Destinations</h4> -->
                                                                        <?php
                                                                                    $destination_list = $truck->DESTINATIONS;
                                                                                    $destination_arr = explode(",",$destination_list);


                                                                                ?>

                                                                        <div style="display:none;">
                                                                            <span id="el_PUNIT_FINAL_DESTINATION">
                                                                                <div id="tp_x_FINAL_DESTINATION"
                                                                                    class="ew-template"><input
                                                                                        type="checkbox"
                                                                                        class="form-check-input"
                                                                                        data-table="PUNIT"
                                                                                        data-field="x_FINAL_DESTINATION"
                                                                                        data-value-separator=", "
                                                                                        name="x_FINAL_DESTINATION[]"
                                                                                        id="x_FINAL_DESTINATION[]"
                                                                                        value="{value}"></div>
                                                                                <div id="dsl_x_FINAL_DESTINATION"
                                                                                    data-repeatcolumn="13"
                                                                                    class="ew-item-list">
                                                                                    <div style="cursor: auto;">
                                                                                        <div
                                                                                            class="d-table ew-item-table">
                                                                                            <div class="d-table-row">
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_0_113950"
                                                                                                            value="AL"
                                                                                                            <?php if(in_array("AL",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_0_113950">AL</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_1_174216"
                                                                                                            value="AK"
                                                                                                            <?php if(in_array("AK",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_1_174216">AK</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_2_100860"
                                                                                                            value="AZ"
                                                                                                            <?php if(in_array("AZ",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_2_100860">AZ</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_3_109335"
                                                                                                            value="AR"
                                                                                                            onclick="checkboxval('AL');"
                                                                                                            <?php if(in_array("AR",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_3_109335">AR</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_4_198159"
                                                                                                            value="CA"
                                                                                                            <?php if(in_array("CA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_4_198159">CA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_5_140077"
                                                                                                            value="CO"
                                                                                                            <?php if(in_array("CO",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_5_140077">CO</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_6_119208"
                                                                                                            value="CT"
                                                                                                            <?php if(in_array("CT",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_6_119208">CT</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_7_158991"
                                                                                                            value="DC"
                                                                                                            <?php if(in_array("DC",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_7_158991">DC</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_8_135726"
                                                                                                            value="DE"
                                                                                                            <?php if(in_array("DE",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_8_135726">DE</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_9_196318"
                                                                                                            value="FL"
                                                                                                            <?php if(in_array("FL",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_9_196318">FL</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_10_193845"
                                                                                                            value="GA"
                                                                                                            <?php if(in_array("GA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_10_193845">GA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_11_141919"
                                                                                                            value="HI"
                                                                                                            <?php if(in_array("HI",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_11_141919">HI</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_12_106082"
                                                                                                            value="ID"
                                                                                                            <?php if(in_array("ID",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_12_106082">ID</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                            <div class="d-table-row">
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_13_125636"
                                                                                                            value="IL"
                                                                                                            <?php if(in_array("IL",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_13_125636"
                                                                                                            <?php if(in_array("IL",$destination_arr)){ echo "checked";} ?>>IL</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_14_145428"
                                                                                                            value="IN"
                                                                                                            <?php if(in_array("IN",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_14_145428">IN</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_15_199730"
                                                                                                            value="IA"
                                                                                                            <?php if(in_array("IA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_15_199730">IA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_16_109743"
                                                                                                            value="KS"
                                                                                                            <?php if(in_array("KS",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_16_109743">KS</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_17_144160"
                                                                                                            value="KY"
                                                                                                            <?php if(in_array("KY",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_17_144160">KY</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_18_120171"
                                                                                                            value="LA"
                                                                                                            <?php if(in_array("LA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_18_120171">LA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_19_125730"
                                                                                                            value="ME"
                                                                                                            <?php if(in_array("ME",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_19_125730">ME</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_20_152134"
                                                                                                            value="MD"
                                                                                                            <?php if(in_array("MD",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_20_152134">MD</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_21_115683"
                                                                                                            value="MA"
                                                                                                            <?php if(in_array("MA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_21_115683">MA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_22_144947"
                                                                                                            value="MI"
                                                                                                            <?php if(in_array("MI",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_22_144947">MI</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_23_141010"
                                                                                                            value="MN"
                                                                                                            <?php if(in_array("MN",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_23_141010">MN</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_24_153200"
                                                                                                            value="MS"
                                                                                                            <?php if(in_array("MS",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_24_153200">MS</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_25_175285"
                                                                                                            value="MO"
                                                                                                            <?php if(in_array("MO",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_25_175285">MO</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                            <div class="d-table-row">
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_26_127638"
                                                                                                            value="MT"
                                                                                                            <?php if(in_array("MT",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_26_127638">MT</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_27_133835"
                                                                                                            value="NE"
                                                                                                            <?php if(in_array("NE",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_27_133835">NE</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_28_122514"
                                                                                                            value="NV"
                                                                                                            <?php if(in_array("NV",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_28_122514">NV</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_29_180371"
                                                                                                            value="NH"
                                                                                                            <?php if(in_array("NH",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_29_180371">NH</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_30_134954"
                                                                                                            value="NJ"
                                                                                                            <?php if(in_array("NJ",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_30_134954">NJ</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_31_140462"
                                                                                                            value="NM"
                                                                                                            <?php if(in_array("NM",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_31_140462">NM</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_32_158477"
                                                                                                            value="NY"
                                                                                                            <?php if(in_array("NY",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_32_158477">NY</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_33_123614"
                                                                                                            value="NC"
                                                                                                            <?php if(in_array("NC",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_33_123614">NC</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_34_152863"
                                                                                                            value="ND"
                                                                                                            <?php if(in_array("ND",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_34_152863">ND</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_35_150964"
                                                                                                            value="OH"
                                                                                                            <?php if(in_array("OH",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_35_150964">OH</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_36_107881"
                                                                                                            value="OK"
                                                                                                            <?php if(in_array("OK",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_36_107881">OK</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_37_107279"
                                                                                                            value="OR"
                                                                                                            <?php if(in_array("OR",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_37_107279">OR</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_38_181268"
                                                                                                            value="PA"
                                                                                                            <?php if(in_array("PA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_38_181268">PA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                            <div class="d-table-row">
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_39_170878"
                                                                                                            value="RI"
                                                                                                            <?php if(in_array("RI",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_39_170878">RI</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_40_129512"
                                                                                                            value="SC"
                                                                                                            <?php if(in_array("SC",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_40_129512">SC</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_41_135899"
                                                                                                            value="SD"
                                                                                                            <?php if(in_array("HI",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_41_13580000099">SD</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_42_106780"
                                                                                                            value="TN"
                                                                                                            <?php if(in_array("TN",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_42_106780">TN</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_43_139768"
                                                                                                            value="TX"
                                                                                                            <?php if(in_array("TX",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_43_139768">TX</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_44_197564"
                                                                                                            value="UT"
                                                                                                            <?php if(in_array("UT",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_44_197564">UT</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_45_109858"
                                                                                                            value="VT"
                                                                                                            <?php if(in_array("VT",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_45_109858">VT</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_46_158434"
                                                                                                            value="VA"
                                                                                                            <?php if(in_array("VA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_46_158434">VA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_47_174308"
                                                                                                            value="WA"
                                                                                                            <?php if(in_array("WA",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_47_174308">WA</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_48_152125"
                                                                                                            value="WV"
                                                                                                            <?php if(in_array("WV",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_48_152125">WV</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_49_126357"
                                                                                                            value="WI"
                                                                                                            <?php if(in_array("WI",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_49_126357">WI</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_50_198242"
                                                                                                            value="WY"
                                                                                                            <?php if(in_array("WY",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_50_198242">WY</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_51_103679"
                                                                                                            value="ON"
                                                                                                            <?php if(in_array("ON",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_51_103679">ON</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                            <div class="d-table-row">
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_52_111894"
                                                                                                            value="AB"
                                                                                                            <?php if(in_array("AB",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_52_111894">AB</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_53_178208"
                                                                                                            value="BC"
                                                                                                            <?php if(in_array("BC",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_53_178208">BC</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_54_105679"
                                                                                                            value="QC"
                                                                                                            <?php if(in_array("QC",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_54_105679">QC</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                    <div
                                                                                                        class="form-check">
                                                                                                        <input
                                                                                                            type="checkbox"
                                                                                                            class="form-check-input"
                                                                                                            data-table="PUNIT"
                                                                                                            data-field="x_FINAL_DESTINATION"
                                                                                                            data-value-separator=", "
                                                                                                            name="x_FINAL_DESTINATION[]"
                                                                                                            id="x_FINAL_DESTINATION[]_55_173945"
                                                                                                            value="NS"
                                                                                                            <?php if(in_array("NS",$destination_arr)){ echo "checked";} ?>><label
                                                                                                            class="form-check-label"
                                                                                                            for="x_FINAL_DESTINATION[]_55_173945">NS</label>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div
                                                                                                    <?php if(in_array("HI",$destination_arr)){ echo "checked";} ?>>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div
                                                                                                    <?php if(in_array("HI",$destination_arr)){ echo "checked";} ?>>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div
                                                                                                    <?php if(in_array("HI",$destination_arr)){ echo "checked";} ?>>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div
                                                                                                    <?php if(in_array("HI",$destination_arr)){ echo "checked";} ?>>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div>
                                                                                                <div
                                                                                                    class="d-table-cell">
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </span>
                                                                        </div>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z9');"
                                                                            style="background: #DD9C00;">Z9</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z8');"
                                                                            style="background: #879335;">Z8</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z7');"
                                                                            style="background: #09F6AB;">Z7</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z6');"
                                                                            style="background: #FD2020;">Z6</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z5');"
                                                                            style="background: #DDD000;">Z5</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z4');"
                                                                            style="background: #E443DF;">Z4</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z3');"
                                                                            style="background: #E5FFFF;">Z3</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z2');"
                                                                            style="background: #00FFFF;">Z2</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z1');"
                                                                            style="background: #00FF00;">Z1</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="toggleZone('Z0');"
                                                                            style="background: pink;">Z0</button>
                                                                        <button type="button" class="map_value"
                                                                            onclick="UnSelectAll();"
                                                                            style="background: black;color:white">Clear
                                                                            All</button>
                                                                        <div id="map-container"
                                                                            style="width: 600px; height: 400px;"></div>
                                                                        <!-- dd -->


                                                                    </div>

                                                                    <div class="col-sm-12" style="display:none">
                                                                        <div class="mb-3">
                                                                            <?php
                                                                                            $destination_list = $truck->DESTINATIONS;
                                                                                            $destination_arr = explode(",",$destination_list);
                                                                                ?>
                                                                            <label for="destination"
                                                                                class="form-label">Destination</label>
                                                                            <select class="select2 form-control"
                                                                                id="destination" value=""
                                                                                name="destination[]" multiple>
                                                                                <option value="">Please select</option>
                                                                                <?php
                                                                                        foreach($states as $key=>$value){
                                                                                        ?>
                                                                                <option value="<?php echo $value;?>"
                                                                                    <?php if(in_array($value,$destination_arr)){ echo "selected" ;} ?>>
                                                                                    <?php echo $value;?>
                                                                                </option>
                                                                                <?php
                                                                                            }
                                                                                        ?>
                                                                            </select>
                                                                        </div>
                                                                    </div>

                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_6">
                                        <div class="w-100">
                                            <div class="">
                                                <h2 class="fw-bold text-gray-900">Photos</h2>
                                            </div>
                                            <hr>
                                            <div class="row mb-6">
                                                <label class="col-lg-4 col-form-label fw-semibold fs-6">Additional
                                                    Photo</label>
                                                <div class="col-lg-6">
                                                    <div class="image-input image-input-outline"
                                                        data-kt-image-input="true">
                                                        <div class="image-input-wrapper w-125px h-125px"
                                                            style="background-image: url({{ !empty($truck->PUNIT_BITMAP) ? asset('trucks/profiles/' . $truck->PUNIT_BITMAP) : asset('assets/media/svg/avatars/blank.svg') }})">
                                                        </div>
                                                        <label
                                                            class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow"
                                                            data-kt-image-input-action="change" data-bs-toggle="tooltip"
                                                            aria-label="Change avatar"
                                                            data-bs-original-title="Change avatar"
                                                            data-kt-initialized="1">
                                                            <i class="ki-outline ki-pencil fs-7"></i>
                                                            <input type="file" name="PUNIT_BITMAP" id="PUNIT_BITMAP"
                                                                accept=".png, .jpg, .jpeg">
                                                            <input class="form-control" type="hidden" name="OLD_PUNIT_BITMAP"
                                                                value="{{ $truck->PUNIT_BITMAP }}">
                                                        </label>
                                                    </div>
                                                    <div class="form-text">Allowed file types: png, jpg, jpeg.
                                                    </div>
                                                    @error('PUNIT_BITMAP')
                                                    <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row mb-6">
                                                <label class="col-lg-4 col-form-label fw-semibold fs-6"> Profile Photo
                                                </label>
                                                <div class="col-lg-6">
                                                    <div class="image-input image-input-outline"
                                                        data-kt-image-input="true">
                                                        <div class="image-input-wrapper w-125px h-125px"
                                                            style="background-image: url({{ !empty($truck->PHOTOS) ? asset('trucks/PHOTOS/' . $truck->PHOTOS) : asset('assets/media/svg/avatars/blank.svg') }})">
                                                        </div>
                                                        <label
                                                            class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow"
                                                            data-kt-image-input-action="change" data-bs-toggle="tooltip"
                                                            aria-label="Change avatar"
                                                            data-bs-original-title="Change avatar"
                                                            data-kt-initialized="1">
                                                            <i class="ki-outline ki-pencil fs-7"></i>
                                                            <input type="file" name="PHOTOS" id="PHOTOS"
                                                                accept=".png, .jpg, .jpeg">
                                                            <input class="form-control" type="hidden" name="OLD_PHOTOS"
                                                                value="{{ $truck->PHOTOS }}">
                                                        </label>
                                                    </div>
                                                    <div class="form-text">Allowed file types: png, jpg, jpeg.
                                                    </div>
                                                    @error('PHOTOS')
                                                    <p class="text-danger">{{ $message }}</p>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                        <!-- <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Documents</h2>
                                                </div>
                                                <hr>
                                                <div class="row mb-6">
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Upload
                                                        Multiple
                                                        Documents</label>
                                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                                        <input type="file" name="DOCUMENTS[]" id="chooseFile"
                                                            class="form-control" multiple>
                                                        <input class="form-control" type="hidden" name="multi_old_image"
                                                            value="{{ $truck->DOCUMENTS }}">
                                                        @php
                                                            $docs = !empty($truck->DOCUMENTS)
                                                                ? explode(',', $truck->DOCUMENTS)
                                                                : '';
                                                        @endphp
                                                        <div class="mt-2 col-md-12">
                                                            <div class="row">
                                                                @if (!empty($docs))
                                                                    @foreach ($docs as $doc)
                                                                        <div class="col-md-6"><a
                                                                                href="{{ asset('driver/documents/' . $doc) }}"
                                                                                download><i
                                                                                    class="fas fa-file"></i>{{ $doc }}</a>
                                                                            @if (!$loop->last)
                                                                                , <br>
                                                                            @endif
                                                                        </div>
                                                                    @endforeach
                                                                @endif
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div> -->
                                    </div>
                                    <!-- Repair start   -->
                                    <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_5">
                                        <div class="w-100">
                                            <div class="">
                                                <h2 class="fw-bold text-gray-900">Repair</h2>
                                            </div>
                                            <hr>
                                            <div class="card-body p-9">

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Amount</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="amount" id="amount"
                                                                    value="{{ !empty($trailer_issues->amount) ?  old('amount',$trailer_issues->amount) : '' }}"
                                                                    class="form-control ">
                                                                <input type="hidden" name="TRUCK_ID" id="TRUCK_ID"
                                                                    value="{{$truck->TRUCK_ID }}" class="form-control ">
                                                                <input type="hidden" name="MEM_ID" id="MEM_ID"
                                                                    value="{{$truck->mem_id}}" class="form-control ">
                                                                <input type="hidden" name="ISSUE_ID" id="ISSUE_ID"
                                                                    value="{{ !empty($trailer_issues->ISSUE_ID) ?  $trailer_issues->ISSUE_ID : '' }}"
                                                                    class="form-control ">
                                                              
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Location
                                                                on Trailer</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">

                                                                <input type="text" name="LOCATION" id="LOCATION"
                                                                    value="{{ !empty($trailer_issues->LOCATION) ?  old('LOCATION',$trailer_issues->LOCATION) : '' }}"
                                                                    class="form-control "
                                                                    {{ old('location', $truck->LEASEDPUR) }}>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>

                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Status</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <select class="form-select" data-control="select2"
                                                                    data-hide-search="true"
                                                                    data-placeholder="Select a status" id="RepairStatus" name="RepairStatus">
                                                                    <option value="Open"
                                                                        {{ !empty($trailer_issues->STATUS) && $trailer_issues->STATUS == "Open" ?  'selected' : '' }}>
                                                                        Open</option>
                                                                    <option value="Closed"
                                                                        {{ !empty($trailer_issues->STATUS) && $trailer_issues->STATUS == "Closed" ?  'selected' : '' }}>
                                                                        Closed</option>
                                                                    <option value="Estimate"
                                                                        {{ !empty($trailer_issues->STATUS) && $trailer_issues->STATUS == "Estimate" ?  'selected' : '' }}>
                                                                        Add New Repair</option>
                                                                </select>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Summary </label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" name="SUMMARY" id="SUMMARY"
                                                                    value="{{ !empty($trailer_issues->SUMMARY) ?  old('SUMMARY',$trailer_issues->SUMMARY) : '' }}"
                                                                    class="form-control "
                                                                    {{ old('summary', $truck->SOLD_TO) }}>
                                                               
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <div class="row mb-12">
                                                            <label
                                                                class="col-lg-2 col-form-label fw-semibold fs-6 pt-0">Service
                                                                Codes</label>
                                                            @php
                                                            $arr=[];
                                                            if(!empty($trailer_issues->SERVICE_CODES)){
                                                            $arr = explode(",",$trailer_issues->SERVICE_CODES);
                                                            }
                                                            @endphp
                                                            <div class="col-lg-10 fv-row fv-plugins-icon-container">
                                                                <select value="" class="form-select"
                                                                    data-control="select2" data-hide-search="true"                                                                    
                                                                    id="SERVICE_CODES" name="SERVICE_CODES[]"
                                                                    multiple="">
                                                                    <option value="">Please select</option>
                                                                    @foreach($serviceCode as $key => $serviceCodes){}
                                                                    <option value="{{$serviceCodes->SERVICEID }}"
                                                                        @if(in_array($serviceCodes->SERVICEID, $arr))
                                                                        selected @endif>{{$serviceCodes->Description}}
                                                                    </option>
                                                                    @endforeach

                                                                </select>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Odometer</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control"
                                                                    id="ODOMETER_iss" name="ODOMETER_iss"
                                                                    value="{{ !empty($trailer_issues->ODOMETER) ?  old('ODOMETER_iss',$trailer_issues->ODOMETER) : '' }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">WO#</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" class="form-control" id="PO_NUMBER"
                                                                    name="PO_NUMBER"
                                                                    value="{{ !empty($trailer_issues->PO_NUMBER) ?  old('PO_NUMBER',$trailer_issues->PO_NUMBER) : '' }}">
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 ">Photo(optional)</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <div class="image-input image-input-outline"
                                                                    data-kt-image-input="true">
                                                                    <div class="image-input-wrapper w-125px h-125px"
                                                                        style="background-image: url({{ !empty($trailer_issues->IMAGES) ? asset('trucks/profiles/' . $trailer_issues->IMAGES) : asset('assets/media/svg/avatars/blank.svg') }})">
                                                                    </div>
                                                                    <label
                                                                        class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow"
                                                                        data-kt-image-input-action="change"
                                                                        data-bs-toggle="tooltip"
                                                                        aria-label="Change avatar"
                                                                        data-bs-original-title="Change avatar"
                                                                        data-kt-initialized="1">
                                                                        <i class="ki-outline ki-pencil fs-7"></i>
                                                                        <input type="file" name="IMAGES" id="IMAGES"
                                                                            accept=".png, .jpg, .jpeg">

                                                                    </label>
                                                                    <input class="form-control" type="hidden"
                                                                        name="old_IMAGES"
                                                                        value="{{ !empty($trailer_issues->IMAGES) ?  $trailer_issues->IMAGES : '' }}">
                                                                </div>
                                                                <div class="form-text">Allowed file types: png, jpg,
                                                                    jpeg. </div>

                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Document(optional)</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <div class="image-input image-input-outline"
                                                                    data-kt-image-input="true">
                                                                    <div class="image-input-wrapper w-125px h-125px"
                                                                        style="background-image: url({{ !empty($trailer_issues->DOCUMENTS) ? asset('trucks/documents/repairsDocuments/' . $trailer_issues->DOCUMENTS) : asset('assets/media/svg/avatars/blank.svg') }})">
                                                                    </div>
                                                                    <label
                                                                        class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow"
                                                                        data-kt-image-input-action="change"
                                                                        data-bs-toggle="tooltip"
                                                                        aria-label="Change avatar"
                                                                        data-bs-original-title="Change avatar"
                                                                        data-kt-initialized="1">
                                                                        <i class="ki-outline ki-pencil fs-7"></i>
                                                                        <input type="file" name="DOCUMENTS"
                                                                            id="DOCUMENTS" accept=".png, .jpg, .jpeg">

                                                                    </label>
                                                                    <input class="form-control" type="hidden"
                                                                        name="old_DOCUMENTS"
                                                                        value="{{ !empty($trailer_issues->DOCUMENTS) ?  $trailer_issues->DOCUMENTS : '' }}">

                                                                        <div class="mt-2 col-md-12">
                                                                            <div class="row">                                                                
                                                                                <div class="col-md-12">
                                                                                    
                                                                                @php $trailer_issuesDOCUMENTS = !empty($trailer_issues->DOCUMENTS) ? $trailer_issues->DOCUMENTS : '';  @endphp
                                                                                
                                                                                @if(file_exists('trucks/documents/repairsDocuments/' . $trailer_issuesDOCUMENTS)  && !empty( $trailer_issuesDOCUMENTS))
                                                                                    <a href="{{ asset('trucks/documents/repairsDocuments/' . $trailer_issuesDOCUMENTS) }}" download><i class="fas fa-file"></i>{{ $trailer_issuesDOCUMENTS }}</a>
                                                                                @endif    
                                                                                </div>                                                                  
                                                                            </div>
                                                                         </div>
                                                                </div>
                                                                <div class="form-text">Allowed file types: png, jpg,jpeg,xlsx,csv,pdf. </div>

                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            </div>
                                            </div>
                                            <!-- Repair end   -->

                                            {{-- <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_7">
                                        </div> --}}

                                            <div class="col-lg-12 row p-5 ">
                                                <div class="col-lg-12 text-center">
                                                    <input type="hidden" name="activeTab" id="activeTab" value="">
                                                    <button type="submit"
                                                        class="tab-action btn btn-primary btn-lg me-3 mb-xxl-12">Update</button>
                                                    <a href="{{ route('assets.trucks.index') }}"
                                                        class="btn btn-secondary  btn-lg me-3 mb-xxl-12">Cancel</a>
                                                </div>
                                            </div>
                                </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="addDriverModal" tabindex="-1" aria-labelledby="addTruckModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="addDriverModalLabel">Add Driver</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form action="{{ route('assets.drivers.store') }}" method="POST">
                @csrf
                <input type="hidden" name="from" value="truckEdit">
                <input type="hidden" name="truckId" value="{{ $truck->TRUCK_ID }}">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="max_weg" class="form-label ">First Name</label>
                                <input type="text" class="form-control" id="FIRST_NAME" name="FIRST_NAME"
                                    value="{{ old('FIRST_NAME') }}">
                                @error('FIRST_NAME')
                                <p class="text-danger">{{ $message }}</p>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="max_weg" class="form-label ">Last Name</label>
                                <input type="text" class="form-control" id="LAST_NAME" name="LAST_NAME"
                                    value="{{ old('LAST_NAME') }}">
                                @error('LAST_NAME')
                                <p class="text-danger">{{ $message }}</p>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="EMAIL" class="form-label ">Email</label>
                                <input type="EMAIL" class="form-control" id="EMAIL" name="EMAIL"
                                    value="{{ old('EMAIL') }}">
                                @error('EMAIL')
                                <p class="text-danger">{{ $message }}</p>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="max_weg" class="form-label ">PHONE</label>
                                <input type="text" class="form-control PHONENO" id="PHONE" name="PHONE"
                                    value="{{ old('PHONE') }}">
                                @error('PHONE')
                                <p class="text-danger">{{ $message }}</p>
                                @enderror
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="max_weg" class="form-label ">License #</label>
                                <input type="number" class="form-control" id="LICENCE_NUMBER" name="LICENCE_NUMBER"
                                    value="{{ old('LICENCE_NUMBER') }}">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="mb-3">
                                <label for="max_weg" class="form-label ">Hire Date</label>
                                <input type="date" class="form-control" id="START_DATE" name="START_DATE"
                                    value="{{ old('START_DATE') }}">
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="mb-3">
                                <input type="hidden" class="form-control" id="STATUS" name="STATUS" value="ACTIVE">
                            </div>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"
                        aria-label="Close">Close</button>
                    <button type="submit" class="btn btn-primary">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="logModal" tabindex="-1" aria-labelledby="addTruckModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="logModalLabel">Truck Logs</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            
                <div class="modal-body">
                <table class="table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable no-footer nowrap">
                    <thead>
                        <tr class="thead-bg-color">
                        <th class="fs-7 text-gray-500 text-uppercase">#</th>
                        <th class="fs-7 text-gray-500 text-uppercase">Unit#</th>
                        <th class="fs-7 text-gray-500 text-uppercase">Assigned Driver</th>
                        <th class="fs-7 text-gray-500 text-uppercase">Created By</th>
                        <th class="fs-7 text-gray-500 text-uppercase">Created At</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php $i=1; @endphp
                        
                        @if(!empty($viewLogs))
                            @foreach($viewLogs as $viewLog)
                            <tr>
                                <th scope="row">{{$i}}</th>
                                <td>{{$viewLog['truckUnitId']}}</td>
                                <td>{{$viewLog['driverName']}}</td>
                                <td>{{$viewLog['userName']}}</td>                            
                                <td>{{$viewLog['createdAt']}}</td>
                            </tr>
                            @php $i++; @endphp
                            @endforeach 
                        @else
                        <tr>                          
                            <td colspan="5">{{'No Data Found'}}</td>
                        </tr>
                        @endif        
                    </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"
                        aria-label="Close">Close</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection()

@section('script')


<!-- <script src="{{ asset('http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js')}}"></script> -->
<!-- <script src="{{ asset('assets/jsnew/map_address.js')}}"></script> -->
<script src="{{ asset('assets/jsnew/raphael.min.js')}}"></script>
<script src="{{ asset('assets/jsnew/settings.js')}}"></script>
<script src="{{ asset('assets/jsnew/paths.js')}}"></script>
<script src="{{ asset('assets/jsnew/map.js')}}"></script>
<script src="{{ asset('assets/jsnew/design_destination.js?v=' . time()) }}"></script>
<script>
var quill = new Quill('#kt_ecommerce_add_category_meta_description');
$("#truckUpdate").on("submit", function() {
    $("#editorContent").val($("#kt_ecommerce_add_category_meta_description .ql-editor").html());
});
</script>

<script>
if (window.location.hash === '#kt_stats_widget_16_tab_1') {
    document.getElementById('kt_stats_widget_16_tab_link_1').click();
}
if (window.location.hash === '#kt_stats_widget_16_tab_2') {
    document.getElementById('kt_stats_widget_16_tab_link_2').click();
}
if (window.location.hash === '#kt_stats_widget_16_tab_3') {
    document.getElementById('kt_stats_widget_16_tab_link_3').click();
}
if (window.location.hash === '#kt_stats_widget_16_tab_4') {
    document.getElementById('kt_stats_widget_16_tab_link_4').click();
}
if (window.location.hash === '#kt_stats_widget_16_tab_5') {
    document.getElementById('kt_stats_widget_16_tab_link_5').click();
}
if (window.location.hash === '#kt_stats_widget_16_tab_6') {
    document.getElementById('kt_stats_widget_16_tab_link_6').click();
}
$("#nav-stepper .stepper-item").click(function() {
    var cntrl = $(this);
    $("#nav-stepper .stepper-item").removeClass("current");
    $(cntrl).addClass("current");
});

function activetab(id) {
    if (id != '') {
        $('#activeTab').val(id);
    }
    //map_usstate.reloadMap();
}


$(document).ready(function() {
    $('.PHONENO').inputmask('(999)-999-9999');
});
document.addEventListener("DOMContentLoaded", function() {
    var tabs = document.querySelectorAll('.nav-link');
    tabs.forEach(function(tab) {
        if (tab.classList.contains('active')) {
            var activeTabId = tab.getAttribute('href');
            $('#activeTab').val(activeTabId);
            document.querySelector('a[href="' + activeTabId + '"]').click();
        }
    });
});

$('.datetimepicker').daterangepicker({
    timePicker: false,
    singleDatePicker: true,
    startDate: moment(), // Set the default date to the current date using moment.js
    locale: {
        format: 'MM/DD/YYYY'
    }
});
</script>
<script>
let autocomplete;
let autocomplete2; // Declare autocomplete2 globally
let address1Field;
let address2Field;
let postalField;

function initAutocomplete() {
    var input = document.getElementById('current_address');
    autocomplete = new google.maps.places.Autocomplete(input);

    google.maps.event.addListener(autocomplete, 'place_changed', function() {
        var place = autocomplete.getPlace();
        if (!place.geometry) {
            return;
        }

        $('#current_address').val(place.formatted_address);
        $('#x_CITY').val(place.address_components[4].short_name).trigger('change');
        $('#x_STATE').val(place.address_components[3].long_name);
        $('#x_LAT').val(place.geometry.location.lat());
        $('#x_LNG').val(place.geometry.location.lng());

        for (let component of place.address_components) {
            if (component.types[0] === 'administrative_area_level_1') {
                province = component.short_name;
                break;
            }
        }
    });

    var input2 = document.getElementById('dispatch_address');
    autocomplete2 = new google.maps.places.Autocomplete(input2); // Remove the redeclaration of autocomplete2
    google.maps.event.addListener(autocomplete2, 'place_changed', function() {
        var place2 = autocomplete2.getPlace();
        if (!place2.geometry) {
            return;
        }
        $('#dispatch_address').val(place2.formatted_address);
        $('#dispatch_CITY').val(place2.address_components[4].short_name);
        $('#dispatch_STATE').val(place2.address_components[3].long_name);
        $('#dispatch_LAT').val(place2.geometry.location.lat());
        $('#dispatch_LNG').val(place2.geometry.location.lng());
    });
}
</script>
<script>
$(document).ready(function() {
    var driverType = $('.driverType:checked').val();
    driverTypes(driverType);
    $('.driverType').click(function() {
        var id = $(this).val();        
        driverTypes(id);
        if(id === 'SOLO'){
            $('#DRIVER_ID').val(null).trigger('change');
        }
    });
});

function driverTypes(driverType) {
    var lastAssignDId = $('#lastAssignDriver').val();  
    if (driverType === 'TEAM') {
        $('#DRIVER_ID').prop('multiple', true).select2();
        var lastAssignDId = $('#lastAssignDriver').val();
        const selectedOptions = lastAssignDId.split(',');
        $("#DRIVER_ID").val(selectedOptions).trigger('change');
        $(".drivernames").addClass('d-none');        
    } else {
       $('#DRIVER_ID').prop('multiple', false).select2();       
       var lastAssignDriverName = $('#lastAssignDriverName').val();
       var lADN = lastAssignDriverName.split(',');
        if(lADN.length>1){
            $("#DRIVER_ID").val(null).trigger('change');
            $(".drivernames").removeClass('d-none');  
            $(".drivernames").text("Last Assigned Drivers: " + $('#lastAssignDriverName').val());
        } else {            
            lastAssignDId = $('#lastAssignDriver').val();     
            setTimeout(function() {
                $("#DRIVER_ID").val(lastAssignDId).trigger('change');
            }, 200); 
        }
    }
}
</script>
@endsection
