@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Card Order <span class="text-muted">Add</span>
                    </h3>
                </div>
            </div>
            <div class="card card-flush">
                <div class="card-body">
                    <div class="tab-content" id="myTabContent">
                        <div class="tab-pane fade show active" id="kt_ecommerce_settings_edit" role="tabpanel">
                            <form class="form" action="{{ route('card_orders.store') }}"
                                method="POST">
                                @csrf
                                <input type="hidden" name="order_type" value="New card order">
                                <input type="hidden" name="card_style" value="1">
                                <input type="hidden" name="STATUS" value="Pending">
                                <input type="hidden" name="CARRIER_ID" value="{{ $dot->ID }}">
                                <input type="hidden" name="USER_ID" value="{{ trim($dot->SUBFLEET) }}">
                                <div class="row mb-7">
                                    <div class="col-md-3 text-md-end">
                                        <label class="fs-6 fw-semibold form-label mt-3">
                                            <span class="required">QTY</span>
                                        </label>
                                    </div>
                                    <div class="col-md-9">
                                        <input type="text" class="form-control form-control-solid mb-2" name="qty"
                                            id="qty" value="{{ old('qty') }}">
                                        @if ($errors->has('qty'))
                                            <span class="text-danger">{{ $errors->first('qty') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="row mb-7">
                                    <div class="col-md-3 text-md-end">
                                        <label class="fs-6 fw-semibold form-label mt-3">
                                            <span class="required">EMBOSSNAME (25 Char Max)</span>
                                        </label>
                                    </div>
                                    <div class="col-md-9">
                                        <input type="text" class="form-control form-control-solid mb-2" name="embossname"
                                            id="embossname" value="{{ old('embossname') }}">
                                        @if ($errors->has('embossname'))
                                            <span class="text-danger">{{ $errors->first('embossname') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="row mb-7">
                                    <div class="col-md-3 text-md-end">
                                        <label class="fs-6 fw-semibold form-label mt-3">
                                            <span class="required">SHIP METHOD</span>
                                        </label>
                                    </div>
                                    <div class="col-md-9">
                                        <div class="w-100">
                                            <select class="form-select form-select-solid mb-2" name="ship_method" id="ship_method"
                                                data-control="select2" data-hide-search="true"
                                                data-placeholder="Please Select">
                                                <option value="">Please Select</option>
                                                <option value="Standard - Free" {{ old('ship_method') == 'Standard - Free' ? 'selected' : '' }}>Standard - Free</option>
                                                <option value="Ground Shipping" {{ old('ship_method') == 'Ground Shipping' ? 'selected' : '' }}>Ground Shipping</option>
                                                <option value="Overnight - 25.00" {{ old('ship_method') == 'Overnight - 25.00' ? 'selected' : '' }}>Overnight - 25.00</option>
                                                <option value="Rush Overnight" {{ old('ship_method') == 'Overnight' ? 'selected' : '' }}>Rush Overnight Shipping</option>
                                            </select>
                                            @error('ship_method')
                                                <span class="text-danger">{{ $message }}</span>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row py-5">
                                    <div class="col-md-9 offset-md-3">
                                        <div class="d-flex">
                                            <a href="{{ route('card_orders.index') }}" class="btn btn-light me-2">Cancel</a>
                                            <button type="submit" data-kt-ecommerce-settings-type="submit"
                                                class="btn btn-primary" id="submit">
                                                <span class="indicator-label">Save</span>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                            <p class="text-danger fw-bold fs-1 text-center mt-10">Please allow up to 10-15 business days to process your order</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
