@extends('layouts.master')
@section('style')
<style>
    .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__placeholder{
        color: white !important;
    }
    .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__rendered{
        color: white !important;
    }
</style>
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Daily Pricing
                        </h3>
                    </div>
                </div>

                <form action="" method="GET">
                    <div class="card mb-7" data-select2-id="select2-data-144-uoh6">
                        <div class="card-body" data-select2-id="select2-data-143-nqr2">
                            <div class="d-flex align-items-center">
                                <div class="position-relative w-md-400px me-md-2">
                                    <i
                                        class="ki-outline ki-magnifier fs-3 text-gray-500 position-absolute top-50 translate-middle ms-6"></i>
                                    <input type="text" class="form-control form-control-solid ps-10" name="search"
                                        value="" id="search" placeholder="Search">
                                </div>
                                <div class="d-flex align-items-center">
                                    <button type="button" id="submit" class="btn btn-primary btn-sm me-5">Search</button>
                                    <button type="button" id="clear" class="btn btn-primary btn-sm me-5">Clear</button>
                                    <a href="javascript:void(0);" id="kt_horizontal_search_advanced_link"
                                        class="btn btn-primary btn-sm me-5" data-bs-toggle="collapse"
                                        data-bs-target="#kt_advanced_search_form">Advanced Search</a>
                                    <a href="{{ route('carrierPricing.newIndex') }}" class="btn btn-primary btn-sm me-5">Vertical Layout</a>
                                    <a href="https://app.tmdashboard.com/price-search.php" class="btn btn-primary btn-sm me-5" target="_blank">Mobile search</a>
                                    <a href="https://app.tmdashboard.com/email_pricelist.php?email={{ getAuthMemberInfo()->email }}" class="btn btn-primary btn-sm me-5" target="_blank">Email Alerts</a>
                                </div>
                            </div>

                            <div class="float-end mt-5">
                                <select name="downloadOptions" id="downloadOptions"class="form-select form-select-solid form-select-sm bg-primary" data-control="select2" data-hide-search="true" data-placeholder="Export">
                                    <option value="">Export</option>
                                    <option value="excel">Excel</option>
                                    <option value="csv">CSV</option>
                                    <option value="print">Print</option>
                                    <option value="reset">Reset</option>
                                    <option value="reload">Reload</option>
                                </select>
                            </div>

                            <div class="collapse" id="kt_advanced_search_form"
                                data-select2-id="select2-data-kt_advanced_search_form" style="">
                                <div class="separator separator-dashed mt-20 mb-6">

                                </div>
                                <div class="row g-12" data-select2-id="select2-data-142-0d2j">
                                    <div class="col-xxl-12">
                                        <div class="row g-12">
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">DATE</label>
                                                <div class="d-flex">
                                                    <input type="date"
                                                        class="form-control form-control form-control-solid me-2"
                                                        name="EDATE" id="EDATE" value="{{ date('Y-m-d') }}">
                                                </div>
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">STORE NUM</label>
                                                <input type="text" class="form-control form-control form-control-solid"
                                                    name="STORE_NUM" id="STORE_NUM" value="">
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">State</label>
                                                <select class="form-select form-select-solid" data-control="select2" data-hide-search="true" data-placeholder="Select a State" name="ST"
                                                    id="ST" multiple>
                                                    <option value="">Select State</option>
                                                    @php
                                                        $states = ['AL', 'AK', 'AZ', 'AR', 'CA', 'CO', 'CT', 'DE', 'FL', 'GA', 'HI', 'ID', 'IL', 'IN', 'IA', 'KS', 'KY', 'LA', 'ME', 'MD', 'MA', 'MI', 'MN', 'MS', 'MO', 'MT', 'NE', 'NV', 'NH', 'NJ', 'NM', 'NY', 'NC', 'ND', 'OH', 'OK', 'OR', 'PA', 'RI', 'SC', 'SD', 'TN', 'TX', 'UT', 'VT', 'VA', 'WA', 'WV', 'WI', 'WY'];
                                                    @endphp

                                                    @foreach ($states as $state)
                                                        <option value="{{ $state }}">{{ $state }}</option>
                                                    @endforeach()
                                                </select>
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">TYPE</label>
                                                <select class="form-select form-control form-control-solid" name="TYPE"
                                                    id="TYPE" data-control="select2"
                                                    data-hide-search="true" data-placeholder="Select a TYPE">
                                                    <option value="">Select TYPE</option>
                                                    <option value="TA">TA</option>
                                                    <option value="PILOT">PILOT</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <h3 class="text-danger mb-5" style="text-align: center">RETAIL FUEL PRICES SUBJECT TO CHANGE</h3>
                <div class="tab-content">
                    <div id="kt_project_users_table_pane" class="tab-pane fade show active">
                        <div class="card card-flush">
                            <div class="pt-0">
                                <div class="table-responsive p-5">
                                    {!! $dataTable->table() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    {!! $dataTable->scripts() !!}
    <script>
        const table = $('#carrierpricing-table');

        table.on('preXhr.dt', function(e, setting, data) {
            data.search = $('#search').val();
            data.EDATE = $('#EDATE').val();
            data.STORE_NUM = $('#STORE_NUM').val();
            data.ST = $('#ST').val();
            data.TYPE = $('#TYPE').val();
        });

        $('#submit').on('click', function() {
            table.DataTable().ajax.reload();
            return false;
        });

        $('#downloadOptions').on('change', function(){
            var downloadOptions = this.value;
            $(".buttons-"+downloadOptions).click();
        });

        $('#clear').on('click', function() {
            $('#search, #STORE_NUM, #TYPE')
                .val('');
            $('#ST').val([]).trigger('change');
            table.DataTable().ajax.reload();
        });
    </script>
@endsection()
