@extends('layouts.master')

@section('style')
    <style>
        .table-responsive{
            max-height: 500px;
        }
    </style>
@endsection()

@section('content')
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <div id="kt_content_container" class="container-xxl">
        <div class="row g-5 g-xl-10">
            <div class="col-xl-3">
                <a href="{{route('transactionsReport.index')}}" class="card card-xl-stretch mb-xl-8 theme-dark-bg-body" style="background-color: #F7D9E3">
                    <div class="card-body d-flex flex-column">
                        <div class="d-flex flex-column">
                            <div class="text-gray-900 fw-bold fs-3 mb-10">Available Credit
                            </div>
                        </div>

                        <div class="mb-5">
                            <span
                                class="fw-bold fs-3x me-2 lh-0 text-gray-900 creditAvailable">
                                @if($rowc1['CONTRACT_ID'] == "")
                                    {{ number_format($rowc['Total'],2) }}
                                @endif
                                @if($rowc1['CONTRACT_ID'] != "" && $rowc1['C411'] != "0006332001871")
                                    {{ "..." }}
                                @php
                                $callEsfAjax= true;
                                @endphp
                                @endif
                                @if($rowc1['CONTRACT_ID'] != "" && $rowc1['C411'] == "0006332001871" )
                                    {{ "0.00" }}
                                @endif
                            </span>
                        </div>
                        <span class="text-gray-900 fw-bold fs-1x lh-0 mt-7">EFS Customer #: {{ $rowc1['C411'] }}</span>
                    </div>
                </a>
            </div>

            <div class="col-xl-3">
                <a href="{{ route('fuelCards.index') }}" class="card card-xl-stretch mb-xl-8 theme-dark-bg-body" style="background-color: #CBF0F4">
                    <div class="card-body d-flex flex-column">
                        <div class="d-flex flex-column">
                            <div class="text-gray-900 fw-bold fs-3 mb-5">Active Fuel Cards
                            </div>
                        </div>

                        <div class="pt-5 mb-5">
                            <span
                                class="fw-bold fs-3x me-2 lh-0 text-gray-900">{{
                                    $rowf['Total'] }}</span>
                        </div>
                        <span class="text-gray-900 fw-bold fs-1x lh-0 mt-5">Add Fuel Card <i
                            class="fa fa-arrow-circle-right"></i></span>
                    </div>
                </a>
            </div>

            <div class="col-xl-3">
                <a href="{{ route('currentRebateReport.index') }}" class="card card-xl-stretch mb-xl-8 theme-dark-bg-body" style="background-color: #CBD4F4">
                    <div class="card-body d-flex flex-column">
                        <div class="d-flex flex-column">
                            <div class="text-gray-900 fw-bold fs-3 mb-5">Total Diesel Gallons {{
                                number_format($rowg['Total'],0) }}</div>
                        </div>

                        <div class="pt-5 mb-5">
                            <span
                                class="fw-bold fs-3x me-2 lh-0 text-gray-900">
                            @if($rowga['Total'])
                                {{ number_format($rowga['Total'],0) }}
                            @else
                                {{ "0.00" }}
                            @endif
                            </span>
                        </div>
                        <span class="text-gray-900 fw-bold fs-1x lh-0 mt-5">MTD Gallons <i
                            class="fa fa-arrow-circle-right"></i></span>
                    </div>
                </a>
            </div>

            <div class="col-xl-3">
                <a href="{{ route('currentRebateReport.index') }}" class="card card-xl-stretch mb-5 mb-xl-8 theme-dark-bg-body" style="background-color: #cef4cb">
                    <div class="card-body d-flex flex-column">
                        <div class="d-flex flex-column">
                            <div class="text-gray-900 fw-bold fs-3 mb-5">Rebates this Month</div>
                        </div>

                        <div class="pt-5 mb-5">
                            <span class="text-gray-900 fw-bold fs-2x lh-0">$</span>
                            <span
                                class="fw-bold fs-3x me-2 lh-0 text-gray-900">{{
                                    number_format($rowa['Total'],2) }}</span>
                        </div>
                        <span class="text-gray-900 fw-bold fs-1x lh-0 mt-7">Previous Month: $ {{
                            number_format($rowaP['Total'],2) }}</span>
                    </div>
                </a>
            </div>
        </div>
    </div>
</div>
<div class="content d-flex flex-column flex-column-fluid" id="kt_content">
    <div id="kt_content_container" class="container-xxl">
        <div class="row g-5 g-xl-10">
            <div class="col-xl-4 mb-xl-10">
                <div class="card card-flush h-xl-100">
                    <div class="card-header rounded bgi-no-repeat bgi-size-cover bgi-position-y-top bgi-position-x-center align-items-start h-250px"
                        style="background-image:url('assets/media/svg/shapes/top-green.png" data-bs-theme="light">
                        <h3 class="card-title align-items-start flex-column text-white pt-15">
                            <span class="fw-bold fs-2x mb-3">Welcome, {{ Auth::user()->name }}</span>
                        </h3>
                    </div>
                    <div class="card-body mt-n20">
                        <div class="mt-n20 position-relative">
                            <div class="row g-3 g-lg-6">
                                <div class="col-6">
                                    <div class="bg-gray-100 bg-opacity-70 rounded-2 px-6 py-5">
                                        <div class="symbol symbol-30px me-5 mb-8">
                                            <span class="symbol-label">
                                                <i class="fa-solid fa-dollar-sign" style="font-size: 30px; !important"></i>
                                            </span>
                                        </div>
                                        <div class="m-0">
                                            <span class="text-gray-700 fw-bolder d-block lh-1 ls-n1 mb-1 creditAvailable"
                                                style="font-size: 18px; !important">
                                                @if($rowc1['CONTRACT_ID'] == "")
                                                {{ number_format($rowc['Total'],2) }}
                                                @endif
                                                @if($rowc1['CONTRACT_ID'] != "" && $rowc1['C411'] != "0006332001871")
                                                {{ "..." }}
                                                @php
                                                $callEsfAjax= true;
                                                @endphp
                                                @endif
                                                @if($rowc1['CONTRACT_ID'] != "" && $rowc1['C411'] == "0006332001871" )
                                                {{ "0.00" }}
                                                @endif
                                            </span>
                                            <span class="text-gray-500 fw-semibold fs-6">Available Credit</span>
                                        </div>
                                        <hr>
                                        <a href="{{route('transactionsReport.index')}}" class="small-box-footer">EFS Customer #: {{ $rowc1['C411'] }} </a>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="bg-gray-100 bg-opacity-70 rounded-2 px-6 py-5">
                                        <div class="symbol symbol-30px me-5 mb-8">
                                            <span class="symbol-label">
                                                <i class="fa-regular fa-credit-card" style="font-size: 30px; !important"></i>
                                            </span>
                                        </div>
                                        <div class="m-0">
                                            <span class="text-gray-700 fw-bolder d-block lh-1 ls-n1 mb-1"
                                                style="font-size: 18px; !important">{{
                                                $rowf['Total'] }}</span>
                                            <span class="text-gray-500 fw-semibold fs-6">Active Fuel Cards</span>
                                        </div>
                                        <hr>
                                        <a href="{{ route('fuelCards.index') }}" class="small-box-footer">Add Fuel Card <i
                                                class="fa fa-arrow-circle-right"></i> </a>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="bg-gray-100 bg-opacity-70 rounded-2 px-6 py-5">
                                        <div class="symbol symbol-30px me-5 mb-8">
                                            <span class="symbol-label">
                                                <i class="fa-solid fa-gas-pump" style="font-size: 30px; !important"></i>
                                            </span>
                                        </div>
                                        <div class="m-0">
                                            <span class="text-gray-700 fw-bolder d-block lh-1 ls-n1 mb-1"
                                                style="font-size: 18px; !important">
                                                @if($rowga['Total'])
                                                {{ number_format($rowga['Total'],0) }}
                                                @else
                                                {{ "0.00" }}
                                                @endif
                                            </span>
                                            <span class="text-gray-500 fw-semibold fs-6">Total Diesel Gallons {{
                                                number_format($rowg['Total'],0) }}</span>
                                        </div>
                                        <hr>
                                        <a href="{{ route('currentRebateReport.index') }}" class="small-box-footer">MTD Gallons <i
                                                class="fa fa-arrow-circle-right"></i></a>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="bg-gray-100 bg-opacity-70 rounded-2 px-6 py-5">
                                        <div class="symbol symbol-30px me-5 mb-8">
                                            <span class="symbol-label">
                                                <i class="fa-solid fa-dollar-sign" style="font-size: 30px; !important"></i>
                                            </span>
                                        </div>
                                        <div class="m-0">
                                            <span class="text-gray-700 fw-bolder d-block lh-1 ls-n1 mb-1"
                                                style="font-size: 18px; !important">$ {{
                                                number_format($rowa['Total'],2) }}</span>
                                            <span class="text-gray-500 fw-semibold fs-6">Rebates this Month</span><br>
                                        </div>
                                        <hr>
                                        <a href="{{ route('currentRebateReport.index') }}" class="small-box-footer">Previous Month: $ {{
                                            number_format($rowaP['Total'],2) }}</a>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-xl-12 mt-6">
                            <div class="card card-xl-stretch mb-xl-8 bg-gray">
                                <div class="card-body d-flex align-items-center pt-3 pb-0">
                                    <div class="d-flex flex-column flex-grow-1 py-2 py-lg-13 me-2">
                                        <div class="fw-bold text-gray-900 fs-4 mb-2 text-hover-primary">Mobile App Fuel Search</div>
                                        <span class="fw-semibold text-muted fs-5"><a href="https://app.tmdashboard.com/price-search.php" target="_blank">Filter by State, Fuel Chain, Interstates and Highways.</a></span>
                                    </div>
                                    <img src="{{ asset('images/mobile-phone.gif') }}" alt="" class="align-self-end h-100px mb-15">
                                </div>
                            </div>
                        </div>

                        <div class="col-xl-12">
                            <div class="card card-xl-stretch mb-xl-8 bg-gray">
                                <div class="card-body d-flex align-items-center pt-3 pb-0">
                                    <div class="d-flex flex-column flex-grow-1 py-2 py-lg-13 me-2">
                                        <div class="fw-bold text-gray-900 fs-4 mb-2 text-hover-primary">Route Fuel Search</div>
                                        <span class="fw-semibold text-muted fs-5"><a href="{{ route('routeSearch') }}">Find the best fuel along any multi stop route.</a></span>
                                    </div>
                                    <img src="{{ asset('images/route.gif') }}" alt="" class="align-self-end h-100px mb-10">
                                </div>
                            </div>
                        </div>

                        <div class="col-xl-12">
                            <div class="card card-xl-stretch mb-xl-8 bg-gray">
                                <div class="card-body d-flex align-items-center pt-3 pb-0">
                                    <div class="d-flex flex-column flex-grow-1 py-2 py-lg-13 me-2">
                                        <div class="fw-bold text-gray-900 fs-4 mb-2 text-hover-primary">Download Our Fuel Finder App on the App Stores</div>
                                        <span class="fw-semibold text-muted fs-5">
                                            <a href="https://apps.apple.com/us/app/diesel-buddy/id1584473979" target="_blank">
                                            <img width="130" height="50" src="https://dieselbuddy.app/wp-content/uploads/2021/06/app-store.png" class="attachment-full size-full mt-2" alt="" loading="lazy"></a>
                                            <a href="https://play.google.com/store/apps/details?id=com.tmsfuelfinder.app" target="_blank">
                                                <img width="130" height="50" src="https://dieselbuddy.app/wp-content/uploads/2021/06/play-store.png" class="attachment-full size-full mt-2" alt="" loading="lazy"></a></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-8 mb-5 mb-xl-10">
                <div class="card card-flush h-md-100">

                    <div class="card-header pt-7">
                        <h3 class="card-title align-items-start flex-column">
                            <span class="card-label fw-bold text-gray-800">MTD Rebates By Unit #</span>
                        </h3>
                    </div>

                    <div class="card-body pt-6">
                        <div class="table-responsive">
                            <table class="table table-striped table-row-dashed align-middle gs-0 gy-3 my-0">
                                <thead class="thead-bg-color">
                                    <tr class="fs-7 fw-bold text-gray-500 border-bottom-0">
                                        <th class="fs-7 text-gray-500 text-uppercase">Unit #</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Driver</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Total Rebates</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Discount</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">In Network</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Out of Network Gallons</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">In Network</th>
                                    </tr>
                                </thead>

                                <tbody class="tbody-text">
                                    @if(!empty($data22))
                                    @foreach($data22 as $rowss)
                                    @php
                                    if($rowss->UNIT != "")
                                    {
                                    $sql223 = "SELECT sum(`QTY`) AS TotalGallons,`PRODUCT_CODE`
                                    FROM FUEL_PROCESS WHERE MONTH(TRANS_DATE) = MONTH(NOW()) and SUBFLEET
                                    ='".getAuthMemberId()."' AND `PRODUCT_CODE` = 'ULSD' AND `LocationID` NOT IN(1,3)
                                    AND
                                    `UNIT` = '".$rowss->UNIT."'";
                                    $rows2s = DB::select(DB::raw($sql223));
                                    $rows2s = $rows2s[0];
                                    }
                                    @endphp
                                    <tr>
                                        <td class="fs-6">
                                            {{ $rowss->UNIT }}
                                        </td>
                                        <td class="fs-6">
                                            {{ strtoupper($rowss->DRIVER) }}
                                        </td>
                                        <td class="fs-6">$
                                            {{ number_format($rowss->Total,2) }}
                                        </td>
                                        <td class="fs-6">$
                                            {{ number_format(($rowss->Total/($rowss->TotalGallons+$rows2s->TotalGallons)),2) }}
                                        </td>
                                        <td class="fs-6">
                                            {{ number_format($rowss->TotalGallons,2) }}
                                        </td>
                                        <td class="fs-6">
                                            {{ $rows2s->TotalGallons }}
                                        </td>
                                        <td class="fs-6">
                                            {{ number_format(100 *($rowss->TotalGallons /
                                            ($rows2s->TotalGallons+$rowss->TotalGallons)),0) }} %
                                        </td>
                                    </tr>
                                    @php
                                    $rows2s->TotalGallons = 0;
                                    @endphp
                                    @endforeach()
                                    @else
                                    <tr>
                                        <td colspan="7" align="center">
                                            No Data Found
                                        </td>
                                    </tr>
                                    @endif

                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="card-header pt-7">
                        <h3 class="card-title align-items-start flex-column">
                            <span class="card-label fw-bold text-gray-800">{{ (isset($_GET['month']) &&
                                !empty($_GET['month']) ? date("F", mktime(null, null, null, $previousMonth)) :
                                'Previous') }} Month Rebates By Unit #</span>
                        </h3>
                        <div class="d-flex align-items-center p-7">
                            <form action="" method="GET" class="d-flex">
                                <select name="year" id="year" class="form-control me-2">
                                    <option value="{{ date('Y') }}" {{ request()->get('year') == date('Y') ? 'selected' : '' }}>{{ date('Y') }}</option>
                                    <option value="{{ date("Y",strtotime("-1 year")) }}" {{ request()->get('year') == date("Y",strtotime("-1 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-1 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-2 year")) }}" {{ request()->get('year') == date("Y",strtotime("-2 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-2 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-3 year")) }}" {{ request()->get('year') == date("Y",strtotime("-3 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-3 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-4 year")) }}" {{ request()->get('year') == date("Y",strtotime("-4 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-4 year")) }}</option>
                                </select>
                                <select name="month" id="month" class="form-control me-2">
                                    <?php
                                    for ($m = 1; $m <= 12; $m++) {
                                        $month = date('F', mktime(0, 0, 0, $m, 01, date('Y')));
                                        $mdigit = ($m < 10) ? '0'.$m : $m;
                                        ?>
                                        <option <?php if (!isset($_GET['month']) && date('m', strtotime('-1 month')) == $mdigit || (isset($_GET['month']) && $_GET['month'] == $mdigit)) { echo 'selected'; } ?> value="<?php echo $mdigit; ?>"><?php echo $month ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>

                    <div class="card-body pt-6">
                        <div class="table-responsive">
                            <table class="table table-striped table-row-dashed align-middle gs-0 gy-3 my-0">
                                <thead class="thead-bg-color">
                                    <tr class="fs-7 fw-bold text-gray-500 border-bottom-0">
                                        <th class="fs-7 text-gray-500 text-uppercase">Unit #</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Driver</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Total Rebates</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Avg Rebate</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">In Network</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Out of Network Gallons</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">In Network</th>
                                    </tr>
                                </thead>

                                <tbody class="tbody-text">
                                    @if(!empty($data33))
                                    @foreach($data33 as $rowss)
                                    @php
                                    if($rowss->UNIT != "")
                                    {
                                    $sql223 = "SELECT sum(`QTY`) AS TotalGallons,`PRODUCT_CODE`
                                    FROM FUEL_PROCESS WHERE SUBFLEET ='".getAuthMemberId()."' AND `PRODUCT_CODE` =
                                    'ULSD' AND `LocationID` NOT IN(1,3) AND MONTH(TRANS_DATE) = MONTH(NOW()- INTERVAL 1
                                    MONTH) AND YEAR(TRANS_DATE) = YEAR(NOW()- INTERVAL 1 MONTH)AND `UNIT` =
                                    '".$rowss->UNIT."'";
                                    $rows2s = DB::select(DB::raw($sql223));
                                    $rows2s = $rows2s[0];
                                    }
                                    @endphp
                                    <tr>
                                        <td class="fs-6">
                                            {{ $rowss->UNIT }}
                                        </td>
                                        <td class="fs-6">
                                            {{ strtoupper($rowss->DRIVER) }}
                                        </td>
                                        <td class="fs-6">$
                                            {{ number_format($rowss->Total,2) }}
                                        </td>
                                        <td class="fs-6">$
                                            {{ number_format(($rowss->Total/($rowss->TotalGallons+$rows2s->TotalGallons)),2) }}
                                        </td>
                                        <td class="fs-6">
                                            {{ number_format($rowss->TotalGallons,2) }}
                                        </td>
                                        <td class="fs-6">
                                            {{ $rows2s->TotalGallons }}
                                        </td>
                                        <td class="fs-6">
                                            {{ number_format(100 *($rowss->TotalGallons /
                                            ($rows2s->TotalGallons+$rowss->TotalGallons)),0) }} %
                                        </td>
                                    </tr>
                                    @php
                                    $rows2s->TotalGallons = 0;
                                    @endphp
                                    @endforeach
                                    @else
                                    <tr>
                                        <td colspan="7" align="center">
                                            No Data Found
                                        </td>
                                    </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="card-header pt-7">
                        <h3 class="card-title align-items-start flex-column">
                            <span class="card-label fw-bold text-gray-800">Out of Network Gallons</span>
                        </h3>
                        <div class="d-flex align-items-center p-7">
                            <form action="" method="GET" class="d-flex">
                                <select name="year2" id="year2" class="form-control me-2">
                                    <option value="{{ date('Y') }}" {{ request()->get('year2') == date('Y') ? 'selected' : '' }}>{{ date('Y') }}</option>
                                    <option value="{{ date("Y",strtotime("-1 year")) }}" {{ request()->get('year2') == date("Y",strtotime("-1 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-1 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-2 year")) }}" {{ request()->get('year2') == date("Y",strtotime("-2 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-2 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-3 year")) }}" {{ request()->get('year2') == date("Y",strtotime("-3 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-3 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-4 year")) }}" {{ request()->get('year2') == date("Y",strtotime("-4 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-4 year")) }}</option>
                                </select>
                                <select name="month2" id="month2" class="form-control me-2">
                                    <?php
                                    for ($m = 1; $m <= 12; $m++) {
                                        $month = date('F', mktime(0, 0, 0, $m, 01, date('Y')));
                                        $mdigit = ($m < 10) ? '0'.$m : $m;
                                        ?>
                                        <option <?php if (!isset($_GET['month2']) && date('m') == $mdigit || (isset($_GET['month2']) && $_GET['month2'] == $mdigit)) { echo 'selected'; } ?> value="<?php echo $mdigit; ?>"><?php echo $month ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>

                    <div class="card-body pt-6">
                        <div class="table-responsive">
                            <table class="table table-responsive table-striped table-row-dashed align-middle gs-0 gy-3 my-0">
                                <thead class="thead-bg-color">
                                    <tr class="fs-7 fw-bold text-gray-500 border-bottom-0">
                                        <th class="fs-7 text-gray-500 text-uppercase">Date</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Unit</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Card #</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Location</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Item</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Retail</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Qty</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Amount</th>
                                    </tr>
                                </thead>

                                <tbody class="tbody-text">
                                        @forelse($out_of_network as $value)
                                            <tr style="color: red;">
                                                <td class="fs-6">
                                                    {{ date('m/d/Y', strtotime($value->{'Transaction Date'})) }}
                                                </td>
                                                <td class="fs-6">
                                                    {{ $value->{'Unit'} }}
                                                </td>
                                                <td class="fs-6">
                                                    {{ $value->{'Card Number'} }}
                                                </td>
                                                <td class="fs-6">
                                                    {!! '<a href="'.route('transactionsReport.priceListDistance',['StoreID'=>$value->{'Location ID'},'distance'=>'50','DAY'=>$value->{'Transaction Date'},'retail'=>number_format($value->{'Price Per Unit'}, 2),'cid'=>$value->{'Sub Fleet'}]).'">' . $value->{'Location Name'} . ' '. $value->{'Location City'} . ' ' .  $value->{"Location State/Province"}.'</a>' !!}
                                                </td>
                                                <td class="fs-6">
                                                    {{ $value->{'Product Code'} }}
                                                </td>
                                                <td class="fs-6">
                                                    {!! '<div style="white-space: nowrap;">$ ' . number_format($value->{'Price Per Unit'}, 2) . '</div>' !!}
                                                </td>
                                                <td class="fs-6">
                                                    {{ number_format($value->{'Quantity'}, 2) }}
                                                </td>
                                                <td class="fs-6">
                                                    {!! '<div style="white-space: nowrap;">$ ' . number_format($value->{'Amount'}, 2) . '</div>' !!}
                                                </td>
                                            </tr>
                                            @empty
                                            <tr>
                                                <td colspan="15" align="center">
                                                    No Data Found
                                                </td>
                                            </tr>
                                        @endforelse()
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="card-header pt-7">
                        <h3 class="card-title align-items-start flex-column">
                            <span class="card-label fw-bold text-gray-800">Gallons by Store</span>
                        </h3>
                        <div class="d-flex align-items-center p-7">
                            <form action="" method="GET" class="d-flex">
                                <select name="year3" id="year3" class="form-control me-2">
                                    <option value="{{ date('Y') }}" {{ request()->get('year3') == date('Y') ? 'selected' : '' }}>{{ date('Y') }}</option>
                                    <option value="{{ date("Y",strtotime("-1 year")) }}" {{ request()->get('year3') == date("Y",strtotime("-1 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-1 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-2 year")) }}" {{ request()->get('year3') == date("Y",strtotime("-2 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-2 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-3 year")) }}" {{ request()->get('year3') == date("Y",strtotime("-3 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-3 year")) }}</option>
                                    <option value="{{ date("Y",strtotime("-4 year")) }}" {{ request()->get('year3') == date("Y",strtotime("-4 year")) ? 'selected' : '' }}>{{ date("Y",strtotime("-4 year")) }}</option>
                                </select>
                                <select name="month3" id="month3" class="form-control me-2">
                                    <?php
                                    for ($m = 1; $m <= 12; $m++) {
                                        $month = date('F', mktime(0, 0, 0, $m, 01, date('Y')));
                                        $mdigit = ($m < 10) ? '0'.$m : $m;
                                        ?>
                                        <option <?php if (!isset($_GET['month3']) && date('m') == $mdigit || (isset($_GET['month3']) && $_GET['month3'] == $mdigit)) { echo 'selected'; } ?> value="<?php echo $mdigit; ?>"><?php echo $month ?></option>
                                    <?php
                                    }
                                    ?>
                                </select>
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>

                    <div class="card-body pt-6">
                        <div class="table-responsive">
                            <table class="table table-responsive table-striped table-row-dashed align-middle gs-0 gy-3 my-0">
                                <thead class="thead-bg-color">
                                    <tr class="fs-7 fw-bold text-gray-500 border-bottom-0">
                                        <th class="fs-7 text-gray-500 text-uppercase">Count</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">Location</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">QTY</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">AVG RATE</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">AVG REBATE</th>
                                        <th class="fs-7 text-gray-500 text-uppercase">ACTION</th>
                                    </tr>
                                </thead>

                                <tbody class="tbody-text">
                                        @forelse($gallons_by_store as $value)
                                            @php
                                                $checkEmailAlert = App\Models\EmailLocation::where('EMAIL', getAuthMemberInfo()->email)->where('LOCATION_ID', $value->{'LocationID'})->where('VENDOR_ID', $value->{'StoreID'})->first();
                                            @endphp
                                            <tr>
                                                <td class="fs-6">
                                                    {{ '('.$value->{'totalCount'}.')' }}
                                                </td>
                                                <td class="fs-6">
                                                    {{ $value->{'LOCATION'} }}
                                                </td>
                                                <td class="fs-6">
                                                    {{ number_format($value->{'QTY'}, 2) }}
                                                </td>
                                                <td class="fs-6">
                                                    {{ number_format($value->{'RATE'}, 3) }}
                                                </td>
                                                <td class="fs-6">
                                                    {{ number_format($value->{'REBATE'}, 3) }}
                                                </td>
                                                <td class="fs-6" id="setbuttons{{ $value->{'PROID'} }}">
                                                    @if($checkEmailAlert)
                                                        <button type="button" class="btn btn-dark btn-sm" onclick="removeEmailAlert('{{ $checkEmailAlert->EMAIL }}', '{{ $checkEmailAlert->LOCATION_ID }}', '{{ $checkEmailAlert->VENDOR_ID }}', '{{ $value->{'PROID'} }}');">Remove</button>
                                                    @else
                                                        <button type="button" onclick="addEmailAlert('{{ getAuthMemberInfo()->email }}', '{{ $value->{'StoreID'} }}', '{{ $value->{'LocationID'} }}', '{{ $value->{'PROID'} }}');" class="btn btn-primary btn-sm">Add</button>
                                                    @endif
                                                </td>
                                            </tr>
                                            @empty
                                            <tr>
                                                <td colspan="15" align="center">
                                                    No Data Found
                                                </td>
                                            </tr>
                                        @endforelse()
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="card-body pt-5">
                        <div class="card card-flush h-xl-100">
                            <div class="card-header mb-10">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold text-gray-800">Gallons by Month</span>
                                </h3>
                            </div>
                            <div class="chart">
                                <canvas id="gallons" width="400" height="200"></canvas>
                            </div>
                        </div>
                    </div>

                    <div class="card-body pt-5">
                        <div class="card card-flush h-xl-100">
                            <div class="card-header mb-10">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold text-gray-800">MTD Gallons by State</span>
                                </h3>
                            </div>
                            <div class="chart">
                                <canvas id="gallonsByState" width="400" height="200"></canvas>
                            </div>
                        </div>
                    </div>

                    <div class="card-body pt-5">
                        <div class="card card-flush h-xl-100">
                            <div class="card-header mb-10">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold text-gray-800">Previous Month Rebates</span>
                                </h3>
                            </div>
                            <div class="chart">
                                <canvas id="prebates" width="400" height="200"></canvas>
                            </div>
                        </div>
                    </div>

                    <div class="card-body pt-5">
                        <div class="card card-flush h-xl-100">
                            <div class="card-header mb-10">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold text-gray-800">MTD Gallons by Day</span>
                                </h3>
                            </div>
                            <div class="chart">
                                <canvas id="gallonsByDays" width="400" height="200"></canvas>
                            </div>
                        </div>
                    </div>

                    <div class="card-body pt-5">
                        <div class="card card-flush h-xl-100">
                            <div class="card-header mb-10">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold text-gray-800">MTD Gallons per Chain</span>
                                </h3>
                            </div>
                            <div class="chart">
                                <canvas id="gallonsByChain" width="400" height="200"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection()
@section('script')
<script>
    function addEmailAlert(email, locationId, vendorId, id)
    {
        var url = "{{ route('addEmailAlert') }}";
        $.ajax({
                url: url,
                method: 'POST',
                data: {
                    email: email,
                    locationId: locationId,
                    vendorId: vendorId,
                    id: id,
                    _token: "{{ csrf_token() }}"
                },
                success: function (res) {
                    toastr.success('Email Alert Added Successfully');
                    $('#setbuttons'+id).html(res);
                },
                error: function (error) {
                    toastr.error(error);
                }
            });
    }

    function removeEmailAlert(email, locationId, vendorId, id)
    {
        var url = "{{ route('removeEmailAlert') }}";
        $.ajax({
                url: url,
                method: 'GET',
                data: {
                    email: email,
                    locationId: locationId,
                    vendorId: vendorId,
                    id: id
                },
                success: function (res) {
                    toastr.success('Email Alert Removed Successfully');
                    $('#setbuttons'+id).html(res);
                },
                error: function (error) {
                    toastr.error(error);
                }
            });
    }
</script>
<script>
    @php if (!empty($callEsfAjax) && $callEsfAjax == true) {
        $getAuthMemberId = getAuthMemberId();
        @endphp
        $(document).ready(function () {
            var url = "{{ route('getCreditAvailable', '@') }}";
            var getAuthMemberId = "{{ $getAuthMemberId }}";
            url = url.replace('@', getAuthMemberId);
            $.ajax({
                url: url,
                success: function (res) {
                    returnedData = JSON.parse(res);
                    if (returnedData.refresh_page == 1) {
                        location.reload();
                    }
                    $(".creditAvailable").html("$ " + formatMoney(returnedData.creditAvailable, 2));
                },
                error: function (res) {
                    $(".creditAvailable").html("0.00");
                }
            });
            function formatMoney(number, decPlaces, decSep, thouSep) {
                decPlaces = isNaN(decPlaces = Math.abs(decPlaces)) ? 2 : decPlaces,
                    decSep = typeof decSep === "undefined" ? "." : decSep;
                thouSep = typeof thouSep === "undefined" ? "," : thouSep;
                var sign = number < 0 ? "-" : "";
                var i = String(parseInt(number = Math.abs(Number(number) || 0).toFixed(decPlaces)));
                var j = (j = i.length) > 3 ? j % 3 : 0;

                return sign +
                    (j ? i.substr(0, j) + thouSep : "") +
                    i.substr(j).replace(/(\decSep{3})(?=\decSep)/g, "$1" + thouSep) +
                    (decPlaces ? decSep + Math.abs(number - i).toFixed(decPlaces).slice(2) : "");
            }
        });
        @php } @endphp
</script>
<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/Chart.js/2.1.2/Chart.min.js"></script>
<script>
    var gallons = document.getElementById('gallons').getContext('2d');
    var myChart = new Chart(gallons, {
        type: 'bar',
        data: {
        @php
            if (!empty(request()->get('month')) && !empty(request()->get('year'))) {
        @endphp
        labels: ['{{ date("F", mktime(null, null, null, $currentMonth)) }}'],
            @php
    } else {
        @endphp
        labels: ['{{ date("F", mktime(null, null, null, $previousSecondMonth)) }}', '{{ date("F", mktime(null, null, null, $previousMonth)) }}', '{{ date("F", mktime(null, null, null, $currentMonth)) }}'],
            @php
    }
    @endphp
    datasets: [{
        label: 'Gallons (Diesel Only)',
            @php
                if (!empty(request()->get('month')) && !empty(request()->get('year'))) {
        @endphp
        data: ['{{ !empty($rowCurrentMonth) ? $rowCurrentMonth->Total : 0 }}'],
            @php
    } else {
        @endphp
        data: ['{{ !empty($rowPrevious2ndMonth) ? $rowPrevious2ndMonth->Total : 0 }}', '{{ !empty($rowPreviousMonth) ? $rowPreviousMonth->Total : 0 }}', '{{ !empty($rowCurrentMonth) ? $rowCurrentMonth->Total : 0 }}'],
            @php
    }
    @endphp
    backgroundColor: 'rgb(27, 132, 255)',
        borderWidth: 1
        }]
    },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        legend: {
            display: false
        },
    }
});
    var gallonsByState = document.getElementById('gallonsByState').getContext('2d');
    var myChart = new Chart(gallonsByState, {
        type: 'bar',
        data: {
            labels: <?= json_encode($states); ?>,
        datasets: [{
            label: 'Gallons by State',
            data: <?= json_encode($gallonsByState); ?>,
            backgroundColor: 'rgb(27, 132, 255)',
            borderWidth: 1
                }]
            },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        legend: {
            display: false
        },
    }
});

    var prebates = document.getElementById('prebates').getContext('2d');
    var myChart = new Chart(prebates, {
        type: 'bar',
        data: {
            labels: <?= json_encode($rebatesByMonthLabel); ?>,
        datasets: [{
            label: 'Rebates',
            data: <?= json_encode($rebatesByMonthData); ?>,
            backgroundColor: 'rgb(27, 132, 255)',
            borderWidth: 1
                }]
            },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        legend: {
            display: false
        },
    }
});

    var gallonsByDays = document.getElementById('gallonsByDays').getContext('2d');
    var myChart = new Chart(gallonsByDays, {
        type: 'line',
        data: {
            labels: <?= json_encode($gallonsDaysDates); ?>,
        datasets: [{
            label: 'Gallons per Day',
            data: <?= json_encode($gallonsDays); ?>,
            backgroundColor: '#0073b7',
            borderWidth: 3,
            fill: false
                }]
            },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        legend: {
            display: false
        }
    }
});

    var gallonsByChain = document.getElementById('gallonsByChain').getContext('2d');
    var myChart = new Chart(gallonsByChain, {
        type: 'pie',
        data: {
            labels: <?= json_encode($chains); ?>,
        datasets: [{
            label: 'Gallons per Chain',
            data: <?= json_encode($gallonsByChain); ?>,
            backgroundColor: <?= json_encode($colors); ?>,
        borderWidth: 3,
        fill: false
                }]
            },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero: true
                }
            }]
        },
        legend: {
            display: false
        }
    }
});
</script>
@endsection()
