@extends('layouts.master')
@section('style')
    <style>
        .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__placeholder {
            color: white !important;
        }

        .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__rendered {
            color: white !important;
        }

        .form-switch.form-check-solid .form-check-input:not(:checked) {
            background-color: #818181 !important;
        }
    </style>
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Fuel Cards
                        </h3>
                    </div>
                </div>
                <form action="" method="GET">
                    <div class="card mb-7" data-select2-id="select2-data-144-uoh6">
                        <div class="card-body" data-select2-id="select2-data-143-nqr2">
                            <div class="d-flex align-items-center">
                                <div class="position-relative w-md-400px me-md-2">
                                    <i
                                        class="ki-outline ki-magnifier fs-3 text-gray-500 position-absolute top-50 translate-middle ms-6"></i>
                                    <input type="text" class="form-control form-control-solid ps-10" name="search"
                                        value="" id="search" placeholder="Search">
                                </div>
                                <div class="d-flex align-items-center">
                                    <button type="button" id="submit" class="btn btn-primary me-5">Search</button>
                                    <button type="button" id="clear" class="btn btn-primary me-5">Clear</button>
                                    <a href="javascript:void(0);" id="kt_horizontal_search_advanced_link"
                                        class="btn btn-primary me-5" data-bs-toggle="collapse"
                                        data-bs-target="#kt_advanced_search_form">Advanced Search</a>
                                    <a href="{{ route('fuelCards.newIndex') }}"
                                        class="btn btn-primary">Vertical Layout</a>
                                </div>
                            </div>

                            <div class="float-end">
                                <select name="downloadOptions"
                                    id="downloadOptions"class="form-select bg-primary form-select-solid form-select-sm"
                                    data-control="select2" data-hide-search="true" data-placeholder="Export">
                                    <option value="">Export</option>
                                    <option value="excel">Excel</option>
                                    <option value="csv">CSV</option>
                                    <option value="print">Print</option>
                                    <option value="reset">Reset</option>
                                    <option value="reload">Reload</option>
                                </select>
                            </div>

                            <div class="collapse" id="kt_advanced_search_form"
                                data-select2-id="select2-data-kt_advanced_search_form" style="">
                                <div class="separator separator-dashed mt-20 mb-6">

                                </div>
                                <div class="row g-12" data-select2-id="select2-data-142-0d2j">
                                    <div class="col-xxl-12">
                                        <div class="row g-12">
                                            <div class="col-lg-2 mt-2">
                                                <label
                                                    class="form-check form-switch form-switch-sm form-check-custom form-check-solid flex-stack mb-5" style="display:block">
                                                    <div class="form-check-label ms-0 fw-bold fs-6 text-gray-900">
                                                        Card Status
                                                    </div><br>
                                                    <input class="form-check-input" id="CARD_STATUS" type="checkbox">
                                                </label>
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">Unit #</label>
                                                <input type="text" class="form-control form-control form-control-solid"
                                                    name="PUNIT_ID" id="PUNIT_ID" value="">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <div class="tab-content">
                    <div id="kt_project_users_table_pane" class="tab-pane fade show active">
                        <div class="card card-flush">
                            <div class="pt-0">
                                <div class="table-responsive p-5">
                                    {!! $dataTable->table() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    {!! $dataTable->scripts() !!}
    <script>
        const table = $('#fuelcard-table');
        let initialLoad = true;

table.on('preXhr.dt', function(e, settings, data) {
    data.search = $('#search').val();
    data.punit_id = $('#PUNIT_ID').val();

    if ($('#CARD_STATUS').prop('checked')) {
        // If "Active" checkbox is checked, set card_status to 'INACTIVE'
        data.card_status = 'ACTIVE';
    } else {
        // If "Active" checkbox is unchecked, set card_status to both 'ACTIVE' and 'INACTIVE'
        data.card_status = initialLoad ? '' : 'INACTIVE';
    }
});

// Listen for checkbox change event
$('#submit').on('click', function() {
    initialLoad = false;
    table.DataTable().ajax.reload();
});

        

        $('#submit').on('click', function() {
            table.DataTable().ajax.reload();
            return false;
        });

        $('#downloadOptions').on('change', function() {
            var downloadOptions = this.value;
            $(".buttons-" + downloadOptions).click();
        });

        $('#clear').on('click', function() {
            $('#search')
                .val('');
            $('#PUNIT_ID')
                .val('');
            $('#CARD_STATUS').prop('checked', true);
            table.DataTable().ajax.reload();
        });
    </script>
    <script>
        function showSpinner(cardId) {
            var editButton = document.getElementById('edit' + cardId);
            editButton.innerHTML = '<span class="spinner-border spinner-border-sm align-middle ms-2"></span>';
        }
    </script>
@endsection()
