@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Fuel Card <span class="text-muted">View</span>
                        </h3>
                    </div>
                </div>

                <div class="card card-flush h-md-100">
                    <div class="card-header pt-7">
                        <h3 class="card-title align-items-start flex-column">
                            <span class="card-label fw-bold text-gray-800">Real Time EFS Data</span>
                        </h3>
                    </div>

                    <div class="card-body pt-6">
                        <div class="table-responsive">
                            <table class="table table-striped table-row-dashed align-middle gs-0 gy-3 my-0">
                                @if (!empty($live_efs_data))
                                    @php
                                        $live_efs_data = $live_efs_data['ns5getCardResponse']['result'];
                                    @endphp
                                    @if (!empty($live_efs_data))
                                        @php
                                            $cardNumber = $live_efs_data['cardNumber'];
                                            $status = $live_efs_data['header']['status'];
                                            $infos = $live_efs_data['infos'];
                                            $driver_name = '';
                                            $unit_no = '';
                                            $driver_id = '';
                                            $trlr = '';
                                            $trip = '';
                                            $ppin = '';
                                            if (!empty($infos)) {
                                                foreach ($infos as $row => $val) {
                                                    if (isset($val['infoId']) && $val['infoId'] != '') {
                                                        if ($val['infoId'] == 'DRID') {
                                                            if (!is_array($val['reportValue'])) {
                                                                $driver_id = $val['reportValue'];
                                                            }
                                                            if (!is_array($val['matchValue'])) {
                                                                $driver_id = $val['matchValue'];
                                                            }
                                                        }
                                                        if ($val['infoId'] == 'NAME') {
                                                            if (!is_array($val['reportValue'])) {
                                                                $driver_name = $val['reportValue'];
                                                            }
                                                            if (!is_array($val['matchValue'])) {
                                                                $driver_name = $val['matchValue'];
                                                            }
                                                        }
                                                        if ($val['infoId'] == 'UNIT') {
                                                            if (!is_array($val['reportValue'])) {
                                                                $unit_no = $val['reportValue'];
                                                            }
                                                            if (!is_array($val['matchValue'])) {
                                                                $unit_no = $val['matchValue'];
                                                            }
                                                        }
                                                        if ($val['infoId'] == 'TRLR') {
                                                            if (!is_array($val['reportValue'])) {
                                                                $trlr = $val['reportValue'];
                                                            }
                                                            if (!is_array($val['matchValue'])) {
                                                                $trlr = $val['matchValue'];
                                                            }
                                                        }
                                                        if ($val['infoId'] == 'TRIP') {
                                                            if (!is_array($val['reportValue'])) {
                                                                $trip = $val['reportValue'];
                                                            }
                                                            if (!is_array($val['matchValue'])) {
                                                                $trip = $val['matchValue'];
                                                            }
                                                        }
                                                        if ($val['infoId'] == 'CNTN') {
                                                            if (!is_array($val['reportValue'])) {
                                                                $ppin = $val['reportValue'];
                                                            }
                                                            if (!is_array($val['matchValue'])) {
                                                                $ppin = $val['matchValue'];
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        @endphp
                                        <tbody class="tbody-text">
                                            <tr>
                                                <th>CARD NO</th>
                                                <td>{{ $cardNumber }}</td>
                                            </tr>
                                            <tr>
                                                <th>CARD STATUS</th>
                                                <td>{{ $status }}</td>
                                            </tr>
                                            <tr>
                                                <th>DRIVER NAME</th>
                                                <td>{{ $driver_name }}</td>
                                            </tr>
                                            <tr>
                                                <th>DRIVER ID</th>
                                                <td>{{ $driver_id }}</td>
                                            </tr>
                                            <tr>
                                                <th>Trip#</th>
                                                <td>{{ $trip }}</td>
                                            </tr>
                                            <tr>
                                                <th>UNIT#</th>
                                                <td>{{ $unit_no }}</td>
                                            </tr>
                                            <tr>
                                                <th>Trailer#</th>
                                                <td>{{ $ppin }}</td>
                                            </tr>
                                        </tbody>
                                    @else
                                        <tbody class="tbody-text">
                                            <tr>
                                                <th colspan="2">No Record Found.</th>
                                            </tr>
                                        </tbody>
                                    @endif
                                @else
                                    <tbody class="tbody-text">
                                        <tr>
                                            <th colspan="2">No Record Found.</th>
                                        </tr>
                                    </tbody>
                                @endif
                            </table>
                        </div>
                    </div>
                </div>

                <div class="card card-flush h-md-100">
                    <div class="card-header pt-7">
                        <h3 class="card-title align-items-start flex-column">
                            <span class="card-label fw-bold text-gray-800">EFS Rejected Transactions of Last 60 days</span>
                        </h3>
                    </div>
                    <div class="card-body pt-6">
                        <div class="table-responsive">
                            <table class="table table-striped table-row-dashed align-middle gs-0 gy-3 my-0">
                                <thead class="thead-bg-color">
                                    <tr class="fs-7 fw-bold border-bottom-0" style="color:white;">
                                        <th>Transaction Date</th>
                                        <th>Card Number</th>
                                        <th>Invoice</th>
                                        <th>Loc Name</th>
                                        <th>Loc City</th>
                                        <th>Loc State</th>
                                        <th>Error Desc</th>
                                        <th>Unit</th>
                                    </tr>
                                </thead>
                                <tbody class="tbody-text">
                                    @if (!empty($last_60_days_data))
                                        @php
                                            $last_60_days_data = $last_60_days_data['value'];
                                        @endphp
                                        @if (!empty($last_60_days_data))
                                            @if (is_array($last_60_days_data[0]))
                                                @foreach ($last_60_days_data as $key => $val)
                                                    <tr>
                                                        <td>{{ trim($val['tranDate']) }}</td>
                                                        <td>{{ trim($val['cardNum']) }}</td>
                                                        <td>{{ trim($val['invoice']) }}</td>
                                                        <td>{{ trim($val['locName']) }}</td>
                                                        <td>{{ trim($val['locCity']) }}</td>
                                                        <td>{{ trim($val['locState']) }}</td>
                                                        <td>{{ trim($val['errorDesc']) }}</td>
                                                        <td>{{ trim($val['unit']) }}</td>
                                                    </tr>
                                                @endforeach()
                                            @else
                                                <tr>
                                                    <td>{{ trim($last_60_days_data['tranDate']) }}</td>
                                                    <td>{{ trim($last_60_days_data['cardNum']) }}</td>
                                                    <td>{{ trim($last_60_days_data['invoice']) }}</td>
                                                    <td>{{ trim($last_60_days_data['locName']) }}</td>
                                                    <td>{{ trim($last_60_days_data['locCity']) }}</td>
                                                    <td>{{ trim($last_60_days_data['locState']) }}</td>
                                                    <td>{{ trim($last_60_days_data['errorDesc']) }}</td>
                                                    <td>{{ trim($last_60_days_data['unit']) }}</td>
                                                </tr>
                                            @endif
                                        @else
                                            <tr>
                                                <td colspan="8">No Record Found.</td>
                                            </tr>
                                        @endif
                                    @else
                                        <tr>
                                            <td colspan="8">No Record Found.</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

                <div class="card card-flush h-md-100">
                    <div class="card-header pt-7">
                        <h3 class="card-title align-items-start flex-column">
                            <span class="card-label fw-bold text-gray-800">EFS Payroll Card History of Last 60 days</span>
                        </h3>
                    </div>
                    <div class="card-body pt-6">
                        <div class="table-responsive">
                            <table class="table table-striped table-row-dashed align-middle gs-0 gy-3 my-0">
                                <thead class="thead-bg-color">
                                    <tr class="fs-7 fw-bold border-bottom-0" style="color:white;">
                                        <th>Amount</th>
                                        <th>Card Number</th>
                                        <th>CashID</th>
                                        <th>Date</th>
                                    </tr>
                                </thead>
                                <tbody class="tbody-text">
                                    @if (!empty($last_60_days_card_history))
                                        @php
                                            $last_60_days_card_history = $last_60_days_card_history['value'];
                                        @endphp
                                        @if (!empty($last_60_days_card_history))
                                            @foreach ($last_60_days_card_history as $key => $row)
                                                <tr>
                                                    <td>{{ trim($row['amount']) }}</td>
                                                    <td>{{ trim($row['cardNumber']) }}</td>
                                                    <td>{{ trim($row['cashId']) }}</td>
                                                    <td>{{ trim($row['date']) }}</td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="4">No Record Found.</td>
                                            </tr>
                                        @endif
                                    @else
                                        <tr>
                                            <td colspan="4">No Record Found.</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
