@extends('layouts.master')
@section('style')
<style>
    .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__placeholder{
        color: white !important;
    }
    .select2-container--bootstrap5 .select2-selection--single.form-select-solid .select2-selection__rendered{
        color: white !important;
    }
</style>
@endsection
@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Invoices
                        </h3>
                    </div>
                </div>

                <form action="" method="GET">
                    <div class="card mb-7" data-select2-id="select2-data-144-uoh6">
                        <div class="card-body" data-select2-id="select2-data-143-nqr2">
                            <div class="d-flex align-items-center">
                                <div class="row g-12" data-select2-id="select2-data-142-0d2j">
                                    <div class="col-xxl-12">
                                        <div class="row g-12">
                                            <div class="col-lg-3 mt-2">
                                                <div class="d-flex">
                                                    <input type="text"
                                                        class="form-control form-control form-control-solid me-2 mt-7"
                                                        name="inv_no" id="inv_no" placeholder="Invoice No">
                                                </div>
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">Billed Date</label>
                                                <div class="d-flex">
                                                    <input type="date" class="form-control sm" name="bill_date"
                                                        id="bill_date">
                                                </div>
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">Range</label>
                                                <div class="d-flex">
                                                    <div id="range"
                                                        style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                                                        <i class="fa fa-calendar"></i>&nbsp;
                                                        <span></span> <i class="fa fa-caret-down"></i>
                                                    </div>
                                                    <input type="hidden" class="form-control sm" name="start_date"
                                                        id="start_date" value="">
                                                    <input type="hidden" class="form-control sm" name="end_date"
                                                        id="end_date" value="">
                                                </div>
                                            </div>

                                            <div class="col-lg-3">
                                                <div class="d-flex">
                                                    <button type="button" id="submit"
                                                        class="btn btn-primary me-5 mt-5">Search</button>
                                                    <button type="button" id="clear"
                                                        class="btn btn-primary me-5 mt-5">Clear</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="float-end">
                                <select name="downloadOptions"
                                    id="downloadOptions"class="form-select form-select-solid form-select-sm bg-primary"
                                    data-control="select2" data-hide-search="true" data-placeholder="Export">
                                    <option value="">Export</option>
                                    <option value="excel">Excel</option>
                                    <option value="csv">CSV</option>
                                    <option value="print">Print</option>
                                    <option value="reset">Reset</option>
                                    <option value="reload">Reload</option>
                                </select>
                            </div>
                            <a href="{{ route('invoices.newIndex') }}" class="btn btn-primary btn-sm float-end me-5">Vertical Layout</a>
                        </div>
                    </div>
                </form>
                <div class="tab-content">
                    <div id="kt_project_users_table_pane" class="tab-pane fade show active">
                        <div class="card card-flush">
                            <div class="pt-0">
                                <div class="table-responsive p-5">
                                    {!! $dataTable->table() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    <script type="text/javascript">
        $(function() {
            var start = moment().subtract(29, 'days');
            var end = moment();

            function cb(start, end) {
                $('#range span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
                $("#start_date").val(start.format('YYYY-MM-DD'));
                $("#end_date").val(end.format('YYYY-MM-DD'));
            }

            $('#range').daterangepicker({
                defaultDate: '',
                ranges: {
                    'Today': [moment(), moment()],
                    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                    'This Month': [moment().startOf('month'), moment().endOf('month')],
                    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1,
                        'month').endOf('month')]
                }
            }, cb);

            const table = $('#invoice-table');

            table.on('preXhr.dt', function(e, setting, data) {
                data.inv_no = $('#inv_no').val();
                data.bill_date = $('#bill_date').val();
                data.start_date = $('#start_date').val();
                data.end_date = $('#end_date').val();
            });

            $('#submit').on('click', function() {
                table.DataTable().ajax.reload();
                return false;
            });

            $('#downloadOptions').on('change', function() {
                var downloadOptions = this.value;
                $(".buttons-" + downloadOptions).click();
            });

            $('#clear').on('click', function() {
                $('#inv_no').val('');
                $('#bill_date').val('');
                $('input[name="start_date"]').val('');
                $('input[name="end_date"]').val('');
                $('#range span').html('');
                table.DataTable().ajax.reload();
            });
        });
    </script>
    {!! $dataTable->scripts() !!}
@endsection()
