@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">My Wallet
                        </h3>
                    </div>
                </div>

                <div class="row g-5 g-xl-8">
                    <div class="col-xl-4 {{ !empty($bankDetail) ? '' : 'd-none' }}">
                        <div class="card hoverable card-xl-stretch mb-xl-8" style="background-color: #CBF0F4">
                            <div class="p-5">
                                <i class="fa fa-bank fs-2x ms-n1"></i>
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                    {{ $bankDetail->account_name ?? '' }}
                                </div>
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                    Balance :  <span class="{{ !empty($bankDetail->balance) && $bankDetail->balance < 0 ? 'text-danger' : 'text-primary' }}">{{ !empty($bankDetail->balance) ? number_format($bankDetail->balance, 2) : '' }}</span>
                                </div>
                                @if(!empty($bankDetail))
                                    <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                        <a href="{{ route('myWallet.removePlaid', $bankDetail->id) }}" id="removeBtn" class="btn btn-primary btn-sm" onclick="return showSpinner();">Remove Plaid</a>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4 {{ !empty($bankDetail) ? 'd-none' : '' }}">
                        <div class="card hoverable card-xl-stretch mb-xl-8" style="background-color: #F7D9E3">
                            <div class="p-5">
                                <img src="{{ asset('images/plaid.png') }}" width="40px;" alt="">
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">

                                </div>
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                    Add Your Bank
                                </div>

                                <a href="javascript:void(0);" id="link-button"
                                    class="fw-bold text-white btn btn-primary btn-sm">
                                    Click to Connect</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="card hoverable card-xl-stretch mb-xl-8" style="background-color: #CBD4F4">
                            <div class="p-5">
                                <i class="fa-regular fa-credit-card fs-2x ms-n1"></i>
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                    Primary Card
                                </div>
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                    @if (!empty($card_data))
                                    {{ $card_data['card']['brand'] }} #{{ $card_data['card']['last4'] }}
                                    @endif
                                </div>
                                <a href="javascript:void(0);" id=""
                                    class="fw-bold text-white small-box-footer btn btn-primary btn-sm"
                                    onclick="$('#CCDCModalLong').modal('show');">
                                    Add More Cards</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="card hoverable card-xl-stretch mb-5 mb-xl-8" style="background-color: #cef4cb">
                            <div class="p-5">
                                <i class="fa-solid fa-file-invoice fs-2x ms-n1"></i>
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                    Invoices
                                </div>
                                <div class="text-gray-900 fw-bold fs-2 mb-2 mt-5">
                                    $ {{ number_format($totalInvoices, 2) }}
                                </div>
                                <a href="{{ route('invoices.index') }}"
                                    class="fw-bold text-white btn btn-primary btn-sm">
                                    View All</a>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row g-5 g-xl-8">
                    <div class="col-xl-6">
                        <div class="card card-xl-stretch mb-xl-8">
                            <div class="card-header border-0 pt-5">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold fs-3 mb-1">Credit Cards</span>
                                </h3>
                            </div>

                            <div class="p-5">
                                <table
                                    class="table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable no-footer">
                                    <thead class="thead-bg-color">
                                        <tr>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Brand</th>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Last 4</th>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Expiration</th>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody class="tbody-text" id="cardsList">

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-6">
                        <div class="card card-xl-stretch mb-xl-8">
                            <div class="card-header border-0 pt-5">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold fs-3">Last 10 Invoices</span>
                                </h3>
                                <a href="{{ route('invoices.index') }}"
                                    class="float-end btn btn-primary btn-sm fs-6 pt-3"
                                    style="height: 40px !important;">View All</a>
                            </div>
                            <div class="p-5">
                                <table
                                    class="table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable no-footer">
                                    <thead class="thead-bg-color">
                                        <tr class="fs-6 fw-bold text-gray-500 border-bottom-0">
                                            <th class="fs-6 text-gray-500" style="text-align: center;">INV #</th>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Billed Date
                                            </th>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Amount</th>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Paid</th>
                                            <th class="fs-6 text-gray-500" style="text-align: center;">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody class="tbody-text">
                                        @forelse ($invoices as $invoice)
                                            @php
                                                $totalAmount = $invoice->amount;
                                                if (empty($totalAmount)) {
                                                    $sql2 = DB::select(DB::raw("SELECT SUM((DailyTrans.`Transaction Fee` + DailyTrans.Amount)) as total FROM DailyTrans LEFT JOIN `CARRIER_PROFILE` ON CARRIER_PROFILE.`SUBFLEET` =DailyTrans.`Sub Fleet` WHERE `Transaction Date` BETWEEN '" . date('Y-m-d', strtotime($invoice->start_date)) . "'  AND '" . date('Y-m-d', strtotime($invoice->end_date)) . "' AND DailyTrans.`Sub Fleet`='" . getAuthMemberId() . "'"));
                                                    $totalAmount = $sql2[0]->total;

                                                    Invoice::where('id', $invoice->id)->update([
                                                        'amount' => $totalAmount,
                                                    ]);
                                                }
                                                $color = 'black';
                                                if ($invoice->is_paid == 'N') {
                                                    $color = 'red';
                                                }
                                                if (!empty($invoice->total_paid_amount) && floatval($invoice->total_paid_amount) < $invoice->amount) {
                                                    $color = 'blue';
                                                }
                                            @endphp
                                            <tr style="color: {{ $color }};">
                                                <td class="fs-6">{{ sprintf('%04d', $invoice->inv_no) }}</td>
                                                <td class="fs-6">
                                                    {{ !empty($invoice->bill_date) ? date('m/d/Y', strtotime($invoice->bill_date)) : '' }}
                                                </td>
                                                <td class="fs-6" style="white-space: nowrap;">
                                                    {{ '$ ' . number_format($totalAmount, 2) }}</td>
                                                <td class="fs-6">{{ $invoice->is_paid == 'Y' ? 'Paid' : 'Unpaid' }}
                                                </td>
                                                <td>
                                                    <div class="btn-group">
                                                        <a href="{{ route('invoices.download', $invoice->id) }}"
                                                            class="btn btn-primary btn-sm me-2">Download
                                                            Transactions</a>
                                                        <a href="{{ route('invoices.view', $invoice->id) }}"
                                                            class="btn {{ $invoice->is_paid == 'Y' ? 'btn-dark' : 'btn-success' }} btn-sm">{{ $invoice->is_paid == 'Y' ? 'View' : 'Pay' }}
                                                            Invoice</a>
                                                    </div>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td class="fs-8" colspan='6' align="center">No Records Found
                                                </td>
                                            </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    @if (!empty($bankDetail))
                        <div class="col-xl-6">
                            <div class="card card-xl-stretch mb-xl-8">
                                <div class="card-header border-0 pt-5">
                                    <h3 class="card-title align-items-start flex-column">
                                        <div class="d-flex justify-content-space-between">
                                            <span class="card-label fw-bold fs-3 me-20 mt-2">Banking History</span>
                                            <div class="">
                                                <label class="form-label me-2">Balance : <span
                                                        id="getLiveBalance" class="{{ !empty($bankDetail->balance) && $bankDetail->balance < 0 ? 'text-danger' : 'text-success' }}">$ {{ number_format($bankDetail->balance, 2) ?? '' }}</span></label>
                                                <button type="button" class="btn btn-primary btn-sm" id="liveBalanceButton"
                                                    onclick="fetchPlaidLive('{{ $bankDetail->id }}');">Live Balance</button>
                                            </div>
                                        </div>
                                    </h3>
                                </div>
                                <div class="p-5">
                                    <table
                                        class="table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable no-footer">
                                        <thead class="thead-bg-color">
                                            <tr class="fs-6 fw-bold text-gray-500 border-bottom-0">
                                                <th class="fs-6 text-gray-500" style="text-align: center;">Acc #</th>
                                                <th class="fs-6 text-gray-500" style="text-align: center;">Balance</th>
                                                <th class="fs-6 text-gray-500" style="text-align: center;">Date
                                                </th>
                                            </tr>
                                        </thead>

                                        <tbody class="tbody-text">
                                            @forelse ($getPlaidBalHistory as $record)
                                                <tr>
                                                    <td class="fs-6">{{ $record->account_number }}</td>
                                                    <td class="fs-6 {{ $record->balance < 0 ? 'text-danger' : 'text-success' }}">$ {{ number_format($record->balance, 2) }}
                                                    </td>
                                                    <td class="fs-6">
                                                        {{ date('m/d/y h:i A', strtotime($record->created_at)) }}
                                                    </td>
                                                </tr>
                                            @empty
                                                <tr>
                                                    <td class="fs-6" colspan='3'>No Data Found</td>
                                                </tr>
                                            @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    @endif
                </div>

                <div class="row g-5 g-xl-8">
                    <div class="col-xl-12">
                        <div class="card">
                            <div class="card-header border-0 pt-5">
                                <h3 class="card-title align-items-start flex-column">
                                    <span class="card-label fw-bold fs-3 mb-1">EFS Wire Instruction</span>
                                </h3>
                            </div>
                            <div class="card-body">
                                Electronic Funds Source LLC (EFS) Payment Instructions – U.S. Customers <br>
                                Instructions for Customer-Initiated Wires and ACH Payments <br><br>

                                <p class="text-danger">
                                    <b>
                                        ***Fifth Third Bank has two different routing numbers, please make sure to use the appropriate
                                        routing number
                                        depending on payment type (Wire vs. ACH). If the incorrect routing number is used, the payment will
                                        be rejected
                                        by the bank.
                                    </b>
                                </p>

                                <b class="bg-warning">
                                    Wire Instructions:
                                </b> <br><br>

                                <p>
                                    Bank Name: Fifth Third Bank <br>
                                    Bank Address: 38 Fountain Square, Cincinnati, OH 45263 <br>
                                    Account Name: WEX Bank <br>
                                    Account Address: 1104 Country Hills Drive, Ogden, Utah 84403 <br>
                                    Account Number: 7361767473 <br>
                                    Wire Routing Number: 042000314 <br>
                                    Please make sure to include Company Number (AR #) and Invoice Number (if desired) in the payment
                                    remittance
                                    information (“OBI Fields”). We cannot apply your payment without this information. Please follow the
                                    example
                                    illustrated below: <br><br>
                                </p>

                                OBI Line 1: AR # <span class="bg-warning">0003913000075</span><br><br>

                                OBI Line 2: <br><br>
                                <hr>

                                <b style="background: #fcf8e3">
                                    ACH Instructions:
                                </b> <br><br>

                                <p>
                                    Bank Name: Fifth Third Bank <br>
                                    Bank Address: 38 Fountain Square,Cincinnati, OH 45263 <br>
                                    Account Name: WEX BANK <br>
                                    Account Address: 1104 Country Hills Drive, Ogden, Utah 84403 <br>
                                    Account Number: 7361767473 <br>
                                    ACH Routing Number: 064103833 <br>
                                    To the extent available with your banking provider, please include Company Number AND Statement
                                    Number in the
                                    ACH payment remittance information
                                </p> <br>

                                <b style="background: #fcf8e3">
                                    Payment via Western Union:
                                </b> <br><br>

                                <p>
                                    Quick Collect Instructions: <br>
                                    Code City: ELECFS UT <br>
                                    Company Name: WEX BANK <br>
                                    Make sure to include your EFS Customer Number (typically 13 digits)
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="CCDCModalLong" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Add Credit/Debit Cards</h5>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <div class="stripe-payment-data" id="stripe-payment-data">
                            <fieldset id="strcs-cc-form" class="fieldsetcls" style="background:transparent;">
                            </fieldset>
                            <div id="card-element" class="MyCardElement"></div>
                            <div id="card-errors" role="alert"></div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"
                        onclick="$('#CCDCModalLong').modal('hide');">Close</button>
                    <button type="button" onclick="AddCards()" id="cardAddBtn" class="btn btn-primary">Add</button>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.1.2/Chart.min.js"></script>
    <script src="https://js.stripe.com/v3/"></script>
    <script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
    <script>
        if (location.protocol !== 'https:') {
            location.replace(`https:${location.href.substring(location.protocol.length)}`);
        }
        var link_token = '{{ $link_token }}';
        var linkHandler;

        function initPlaid(link_token) {
            const configs = {
                token: link_token,
                onLoad: function() {},
                onSuccess: function(public_token, metadata) {
                    sendDataToBackendServer({
                        public_token: public_token,
                        account_id: metadata.accounts[0].id,
                        amount: '',
                        link_token: link_token,
                        email: '{{ $email }}'
                    });
                    switch (metadata.accounts.length) {
                        case 0:
                            break;
                        case 1:
                            console.log('Customer-selected account ID: ' + metadata.accounts[0].id);
                            break;
                        default:
                    }
                },
                onExit: async function(err, metadata) {
                    if (err != null) {}
                },
            };
            linkHandler = Plaid.create(configs);
        };

        document.getElementById('link-button').onclick = function() {
            linkHandler.open();
        };
        initPlaid(link_token);

        function sendDataToBackendServer(data) {
            $.ajax({
                url: "{{ route('myWallet.plaid_success') }}",
                data: data,
                success: function(data) {
                    var res = JSON.parse(data);
                    if (res.status) {
                        $.ajax({
                            url: "{{ route('myWallet.addbankach') }}",
                            type: 'POST',
                            data: {
                                "_token": "{{ csrf_token() }}",
                                'stripeBankToken': res.data.token.stripe_bank_account_token,
                                'account_id': res.data.account_id,
                                'balance': res.data.balance,
                                'mask': res.data.mask,
                                'account_name': res.data.account_name,
                                'public_token': res.data.public_token
                            },
                            success: function(result) {
                                if(result.status == true){
                                    toastr.success(result.message);
                                    window.location.reload();
                                }else{
                                    toastr.error('OOPS! Something Went Wrong');
                                }
                            }
                        });
                    } else {
                        toastr.error(res.error);
                    }
                }
            });
        }

        var stripe_key = "{{ config('custom_key')['STRIPE_PUBLISH'] }}"
        var stripe = Stripe(stripe_key);

        var elements = stripe.elements();
        var style = {
            base: {
                color: "#32325d",
                fontFamily: '"Helvetica Neue", Helvetica, sans-serif',
                fontSmoothing: "antialiased",
                fontSize: "16px",
                "::placeholder": {
                    color: "#aab7c4"
                }
            },
            invalid: {
                color: "#fa755a",
                iconColor: "#fa755a"
            }
        };

        var cardElement = elements.create("card", {
            style: style
        });
        cardElement.mount("#card-element");

        cardElement.addEventListener('change', function(event) {
            var displayError = document.getElementById('card-errors');
            if (event.error) {
                document.getElementsByClassName('loading')[0].style.display = 'none';

                displayError.textContent = event.error.message;
            } else {
                displayError.textContent = '';

            }
        });

        $(document).ready(function() {
            if(window.location.hash === '#CCDCModalLong') {
                $('#CCDCModalLong').modal('show');
            }
            fetchCards();
        });

        function fetchCards() {
            $.ajax({
                method: "GET",
                url: "{{ route('myWallet.getStripeCards') }}",
                beforeSend: function() {
                    $('#cardsList').html(
                        '<tr><td colspan="6" align="center"><span class="spinner-border spinner-border-sm align-middle ms-2"></span></td>'
                    );
                },
                success: function(data) {
                    $('#cardsList').html(data);
                },
                error: function(error) {
                    toastr.error('OOPS! Something Went Wrong When Fetching Cards.');
                    $('#cardsList').html(
                        '<tr><td colspan="6" align="center">No Records Found</td>'
                    );
                }
            });
        }

        function fetchPlaidLive(id) {
            $.ajax({
                url: "{{ route('myWallet.fetchPlaidBalance') }}",
                type: 'GET',
                data: {
                    id: id
                },
                beforeSend: function() {
                    $("#getLiveBalance").html(
                        '<span class="spinner-border spinner-border-sm align-middle ms-2"></span>');
                },
                success: function(res) {
                    $("#getLiveBalance").html(res);
                },
                error: function(err) {
                    alert("OOPS! Something went wrong!");
                }
            });
        }

        function delete_card(id) {
            var url = "{{ route('myWallet.delete_card', '@') }}";
            url = url.replace('@', id);
            $.ajax({
                url: url,
                type: 'GET',
                beforeSend: function() {
                    $("#deleteBtn" + id).html(
                        '<span class="spinner-border spinner-border-sm align-middle ms-2"></span>');
                },
                success: function(res) {
                    if (res.status == true) {
                        toastr.success(res.message);
                        fetchCards();
                    } else {
                        $('#deleteBtn' + id).html('Delete');
                        toastr.error(res.message);
                    }
                },
                error: function(err) {
                    $('#deleteBtn' + id).html('Delete');
                    toastr.error(err);
                }
            });
        }

        function make_primary(id) {
            var url = "{{ route('myWallet.make_primary', '@') }}";
            url = url.replace('@', id);
            $.ajax({
                url: url,
                type: 'GET',
                beforeSend: function() {
                    $("#makePrimaryBtn" + id).html(
                        '<span class="spinner-border spinner-border-sm align-middle ms-2"></span>');
                },
                success: function(res) {
                    if (res.status == true) {
                        toastr.success(res.message);
                        fetchCards();
                    } else {
                        $('#makePrimaryBtn' + id).html('Make Primary');
                        toastr.error(res.message);
                    }
                },
                error: function(err) {
                    $('#makePrimaryBtn' + id).html('Make Primary');
                    toastr.error(err);
                }
            });
        }

        function AddCards() {
            $card = $('input[name="cardnumber"]').className;
            if (cardElement._empty) {
                toastr.error('Card Number can not be empty');
            } else if (cardElement._invalid) {
                toastr.error('Card Number is invalid');
            } else {
                stripe.createToken(cardElement).then(function(result) {
                    if (result.error) {
                        var errorElement = document.getElementById('card-errors');
                        errorElement.textContent = result.error.message;
                        alert(result.error.message);
                        return false;
                    } else {
                        stripeTokenHandler(result.token);
                    }
                });
            }
        }

        function stripeTokenHandler(token) {
            $.ajax({
                url: '{{ route('myWallet.addcardsccdc') }}',
                type: 'POST',
                data: {
                    "_token": "{{ csrf_token() }}",
                    'stripeToken': token.id
                },
                beforeSend: function() {
                    $("#cardAddBtn").html(
                        '<span class="spinner-border spinner-border-sm align-middle ms-2"></span>');
                },
                success: function(data) {
                    $("#cardAddBtn").html('Add');
                    if (data.status == true) {
                        $("#CCDCModalLong").modal("hide");
                        toastr.success(data.message);
                        fetchCards();
                    } else {
                        toastr.error(data.message);
                    }
                },
                error: function(error) {
                    toastr.error(error);
                }
            });
        }
    </script>
    <script>
        function showSpinner() {
            if(confirm('Are You Sure You Want to Remove ?')){
                var editButton = document.getElementById('removeBtn');
                editButton.innerHTML = '<span class="spinner-border spinner-border-sm align-middle ms-2"></span>';
                return true;
            }else{
                return false;
            }

        }
    </script>
@endsection
