@extends('layouts.master')

@section('content')
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Previous Rebate Report
                        </h3>
                    </div>
                </div>
                <form action="" method="GET">
                    <div class="card mb-7" data-select2-id="select2-data-144-uoh6">
                        <div class="card-body" data-select2-id="select2-data-143-nqr2">
                            <div class="d-flex align-items-center">
                                <div class="position-relative w-md-400px me-md-2">
                                    <i
                                        class="ki-outline ki-magnifier fs-3 text-gray-500 position-absolute top-50 translate-middle ms-6"></i>
                                    <input type="text" class="form-control form-control-solid ps-10" name="search"
                                        value="" id="search" placeholder="Search">
                                </div>
                                <div class="d-flex align-items-center">
                                    <button type="button" id="submit" class="btn btn-primary me-5">Search</button>
                                    <button type="button" id="clear" class="btn btn-primary me-5">Clear</button>
                                    <a href="javascript:void(0);" id="kt_horizontal_search_advanced_link"
                                        class="btn btn-link" data-bs-toggle="collapse"
                                        data-bs-target="#kt_advanced_search_form">Advanced Search</a>
                                </div>
                            </div>

                            <div class="collapse" id="kt_advanced_search_form"
                                data-select2-id="select2-data-kt_advanced_search_form" style="">
                                <div class="separator separator-dashed mt-9 mb-6">

                                </div>
                                <div class="row g-12" data-select2-id="select2-data-142-0d2j">
                                    <div class="col-xxl-12">
                                        <div class="row g-12">
                                            <div class="col-lg-6 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">Date</label>
                                                <div class="d-flex">
                                                    <input type="date"
                                                        class="form-control form-control form-control-solid me-2"
                                                        name="start_date" id="start_date"
                                                        value="{{ date('Y-m-01', strtotime('-1 month')) }}">
                                                    <input type="date"
                                                        class="form-control form-control form-control-solid" name="end_date"
                                                        id="end_date" value="{{ date('Y-m-t', strtotime('-1 month')) }}">
                                                </div>
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">Unit</label>
                                                <input type="text" class="form-control form-control form-control-solid"
                                                    name="Unit" placeholder="Unit" id="Unit"
                                                    value="">
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">Chain ID</label>
                                                <input type="text" class="form-control form-control form-control-solid"
                                                    name="ChainID" placeholder="Chain ID" id="ChainID"
                                                    value="">
                                            </div>
                                            <div class="col-lg-3 mt-2">
                                                <label class="fs-6 form-label fw-bold text-gray-900">State</label>
                                                <input type="text" class="form-control form-control form-control-solid"
                                                    name="Location_State/Province" placeholder="State"
                                                    id="Location_State_Province"
                                                    value="">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
                <h3 class="text-danger mb-5" style="text-align: center">Rebates are paid on the week of the 19th of each month.
                </h3>
                <div class="tab-content">
                    <div id="kt_project_users_table_pane" class="tab-pane fade show active">
                        <div class="card card-flush">
                            <div class="card-body pt-0">
                                <div class="table-responsive p-5">
                                    {!! $dataTable->table() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection()
@section('script')
    {!! $dataTable->scripts() !!}
    <script>
        const table = $('#rebatereport-table');

        table.on('preXhr.dt', function(e, setting, data) {
            data.search = $('#search').val();
            data.start_date = $('#start_date').val();
            data.end_date = $('#end_date').val();
            data.Unit = $('#Unit').val();
            data.ChainID = $('#ChainID').val();
            data.Location_State_Province = $('#Location_State_Province').val();

        });

        $('#submit').on('click', function() {
            table.DataTable().ajax.reload();
            return false;
        });

        $('#clear').on('click', function() {
            $('#search, #Unit, #ChainID, #Location_State_Province')
                .val('');
            table.DataTable().ajax.reload();
        });
    </script>
@endsection()
