
<?php
    $PayType = config('custom.PayType');
    $states = config('custom.states');
    $driverType = config('custom.driverType');
    $bad_zone = config('custom.bad_zone');
    asort($bad_zone);
?>

<?php $__env->startSection('style'); ?>
    <style>
        .circle {
            border: 1px solid #aaa;
            width: 22px;
            height: 22px;
            border-radius: 100%;
            position: relative;
            margin: 4px;
            display: inline-block;
            vertical-align: middle;
        }

        .circle:hover {
            background: #6363634f;
        }

        .circle:active {
            background: radial-gradient(#aaa, #fff);
        }

        .circle:before,
        .circle:after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
        }

        .circle.plus:before,
        .circle.plus:after {
            background: green;
        }

        .circle.plus:before {
            width: 2px;
            margin: 3px auto;
        }

        .circle.plus:after {
            margin: auto 3px;
            height: 2px;
        }

        .circle.minus:before {
            background: #cc0000;
            margin: auto 3px;
            height: 2px;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <?php
        $validate = [];
        $activeTab1 = '';
        $activeTab2 = '';
        $currentTab1 = '';
        $currentTab2 = '';
    ?>

    <?php if($errors->any()): ?>
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
                $validate[] = $error;
            ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>

    <?php if(
        $errors->has('STATUS') ||
            $errors->has('FIRST_NAME') ||
            $errors->has('LAST_NAME') ||
            $errors->has('EXPIRY_DATE') ||
            $errors->has('DL_STATE_PROV') ||
            $errors->has('ENDORSEMENTS') ||
            $errors->has('CODE')): ?>
        <?php
            $currentTab1 = 'current';
            $activeTab1 = 'active';
        ?>
    <?php elseif(
        $errors->has('PHONE') ||
            $errors->has('EMAIL') ||
            $errors->has('CELL_PHONE') ||
            $errors->has('EMERGENCY_PHONE') ||
            $errors->has('SECONDARY_CONTRACT') ||
            $errors->has('NOSMS')): ?>
        <?php
            $currentTab2 = 'current';
            $activeTab2 = 'active';
        ?>
    <?php else: ?>
        <?php
            $currentTab1 = 'current';
            $activeTab1 = 'active';
        ?>
    <?php endif; ?>

    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="d-flex flex-wrap flex-stack pb-7">
                <div class="d-flex flex-wrap align-items-center my-1">
                    <h3 class="fw-bold me-5 my-1">Driver <span class="text-muted">Edit</span>
                    </h3>
                    <h3 class="fw-bold me-5 my-1"></h3>
                    <div class="card-body">
                        <div class="float-end">
                            <a href="<?php echo e(route('assets.drivers.index')); ?>" class="btn btn-primary btn-sm me-2"><i
                                    class="fa fa-arrow-left" aria-hidden="true"></i>Back</a>
                            <a href="<?php echo e(route('assets.drivers.delete', $driver->DRIVER_ID)); ?>"
                                onclick="return confirm('Are You Sure You Want to Delete ?')"
                                class="btn btn-dark btn-sm">Delete</a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="pb-lg-12">
                <div class="container">
                    <div class="content d-flex flex-column flex-column-fluid">
                        <form action="<?php echo e(route('assets.drivers.update')); ?>" method="POST" enctype="multipart/form-data"
                            id="driverUpdate">
                            <div class="col-lg-12  d-flex flex-column flex-xl-row flex-row-fluid gap-10">
                                <div
                                    class="col-lg-3 card d-flex justify-content-center justify-content-xl-start flex-row-auto w-100 w-xl-300px w-xxl-400px">
                                    <div class="card-body px-6 px-lg-10 px-xxl-15">
                                        <ul id="nav-stepper"
                                            class="nav nav-stretch nav-line-tabs nav-line-tabs-2x border-transparent fs-5 fw-bold stepper stepper-pills stepper-column stepper-nav"
                                            style="display: block;">
                                            <div class="stepper-item <?php echo e($currentTab1); ?>" data-kt-stepper-element="nav"
                                                id="cl1">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">1</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5 <?php echo e($activeTab1); ?> "
                                                        id="kt_stats_widget_16_tab_link_1" data-bs-toggle="pill"
                                                        href="#kt_stats_widget_16_tab_1" aria-selected="false"
                                                        role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_1')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">General Information</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item <?php echo e($currentTab2); ?>" data-kt-stepper-element="nav"
                                                id="cl2">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">2</span>
                                                    </div>

                                                    <a class="nav-link ms-0 me-10 py-5 <?php echo e($activeTab2); ?>"
                                                        id="kt_stats_widget_16_tab_link_2" data-bs-toggle="pill"
                                                        href="#kt_stats_widget_16_tab_2" aria-selected="false"
                                                        role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_2')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Contact</h3>

                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">3</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_3"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_3"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_3')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Safety / Reminders</h3>

                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">4</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_4"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_4"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_4')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Driver Pay</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">5</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_5"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_5"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_5')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Dispatch</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <div class="stepper-line h-20px"></div>
                                            </div>

                                            <div class="stepper-item mark-completed" data-kt-stepper-element="nav">
                                                <div class="stepper-wrapper">
                                                    <div class="stepper-icon w-40px h-40px">
                                                        <i class="ki-outline ki-check fs-2 stepper-check"></i>
                                                        <span class="stepper-number">6</span>
                                                    </div>
                                                    <a class="nav-link ms-0 me-10 py-5" id="kt_stats_widget_16_tab_link_6"
                                                        data-bs-toggle="pill" href="#kt_stats_widget_16_tab_6"
                                                        aria-selected="false" role="tab" tabindex="-1"
                                                        onclick="activetab('#kt_stats_widget_16_tab_6')">
                                                        <div class="stepper-label">
                                                            <h3 class="stepper-title">Photo and Documents</h3>
                                                        </div>
                                                    </a>
                                                </div>
                                                <!-- <div class="stepper-line h-20px"></div> -->
                                            </div>

                                            
                                        </ul>
                                        <button type="submit"
                                            class="tab-action btn btn-primary btn-lg mt-12 me-3 mb-xxl-12 w-100">Update</button>
                                    </div>
                                </div>
                                <div class="col-lg-8">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="DRIVER_ID" value="<?php echo e($driver->DRIVER_ID); ?>">
                                    <div class="card mb-12 mb-xxl-12 tab-content">
                                        <div class="card-body pb-0 tab-pane fade show  <?php echo e($activeTab1); ?>"
                                            id="kt_stats_widget_16_tab_1">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">General Information</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Status
                                                                    <span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" name="STATUS"
                                                                                id="STATUS" type="radio"
                                                                                value="ACTIVE"
                                                                                <?php echo e('ACTIVE' == $driver->STATUS ? 'checked' : ''); ?>>
                                                                            <input type="hidden" name="MODIFIED_DATE"
                                                                                id="MODIFIED_DATE" class="form-control"
                                                                                value="<?php echo date('Y-m-d'); ?>">
                                                                            <input type="hidden" name="MODIFIED_BY"
                                                                                id="MODIFIED_BY" class="form-control"
                                                                                value="<?php echo getAuthMemberId(); ?>">
                                                                            <span
                                                                                class="fw-semibold ps-2 fs-6">Active</span>
                                                                        </label>
                                                                        <label
                                                                            class="form-check form-check-custom form-check-inline form-check-solid">
                                                                            <input class="form-check-input" name="STATUS"
                                                                                type="radio" value="INACTIVE"
                                                                                <?php echo e('INACTIVE' == $driver->STATUS ? 'checked' : ''); ?>>
                                                                            <span
                                                                                class="fw-semibold ps-2 fs-6">Inactive</span>
                                                                        </label>

                                                                        <?php $__errorArgs = ['ACTIVE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger ">
                                                                                <?php echo e($message); ?></p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    </div>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Social
                                                                    #</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="SIN_NUMBER" name="SIN_NUMBER"
                                                                        value="<?php echo e(old('SIN_NUMBER', $driver->SIN_NUMBER)); ?>">
                                                                    <?php $__errorArgs = ['SIN_NUMBER'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">First
                                                                    Name <span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="FIRST_NAME" name="FIRST_NAME"
                                                                        value="<?php echo e(old('FIRST_NAME', $driver->FIRST_NAME)); ?>">
                                                                    <?php $__errorArgs = ['FIRST_NAME'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                    Name <span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="LAST_NAME" name="LAST_NAME"
                                                                        value="<?php echo e(old('LAST_NAME', $driver->LAST_NAME)); ?>">
                                                                    <?php $__errorArgs = ['LAST_NAME'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    #*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="LICENCE_NUMBER" name="LICENCE_NUMBER"
                                                                        value="<?php echo e(old('LICENCE_NUMBER', $driver->LICENCE_NUMBER)); ?>">
                                                                    <?php $__errorArgs = ['LICENCE_NUMBER'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    Expires<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <?php $expDate = !empty($driver->EXPIRY_DATE) ? date('Y-m-d', strtotime($driver->EXPIRY_DATE)) : ''; ?>
                                                                    <input type="date" class="form-control"
                                                                        id="EXPIRY_DATE" name="EXPIRY_DATE"
                                                                        value="<?php echo e(old('EXPIRY_DATE', $expDate)); ?>">
                                                                    <?php $__errorArgs = ['EXPIRY_DATE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    State<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" data-control="select2"
                                                                        data-hide-search="true"
                                                                        data-placeholder="Select a License State"
                                                                        id="DL_STATE_PROV" name="DL_STATE_PROV">
                                                                        <option value="">Please select
                                                                        </option>
                                                                        <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <option value="<?php echo e($state); ?>"
                                                                                <?php echo e(old('DL_STATE_PROV', $driver->DL_STATE_PROV) == $state ? 'selected' : ''); ?>>
                                                                                <?php echo e($state); ?></option>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                    </select>
                                                                    <?php $__errorArgs = ['DL_STATE_PROV'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">License
                                                                    Endorsements</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" id="ENDORSEMENTS"
                                                                        name="ENDORSEMENTS[]" data-control="select2"
                                                                        data-hide-search="true"
                                                                        data-placeholder="Select a License
                                                                    Endorsements"
                                                                        multiple>
                                                                        <option value="A"
                                                                            <?php echo e(in_array('A', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            A</option>
                                                                        <option value="H"
                                                                            <?php echo e(in_array('H', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            H</option>
                                                                        <option value="K"
                                                                            <?php echo e(in_array('K', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            K</option>
                                                                        <option value="L"
                                                                            <?php echo e(in_array('L', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            L</option>
                                                                        <option value="N"
                                                                            <?php echo e(in_array('N', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            N</option>
                                                                        <option value="P"
                                                                            <?php echo e(in_array('P', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            P</option>
                                                                        <option value="S"
                                                                            <?php echo e(in_array('S', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            S</option>
                                                                        <option value="T"
                                                                            <?php echo e(in_array('T', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            T</option>
                                                                        <option value="W"
                                                                            <?php echo e(in_array('W', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            W</option>
                                                                        <option value="X"
                                                                            <?php echo e(in_array('X', old('ENDORSEMENTS', $ENDORSEMENTS)) ? 'selected' : ''); ?>>
                                                                            X</option>
                                                                    </select>
                                                                    <?php $__errorArgs = ['ENDORSEMENTS'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">License
                                                                    Class<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" class="form-select"
                                                                        data-control="select2" data-hide-search="true"
                                                                        data-placeholder="Select a License Class"
                                                                        id="CODE" name="CODE">
                                                                        <option value="">Please select
                                                                        </option>
                                                                        <option value="A"
                                                                            <?php echo e(old('CODE', $driver->CODE) == 'A' ? 'selected' : ''); ?>>
                                                                            A
                                                                        </option>
                                                                        <option value="C"
                                                                            <?php echo e(old('CODE', $driver->CODE) == 'C' ? 'selected' : ''); ?>>
                                                                            C
                                                                        </option>
                                                                    </select>
                                                                    <?php $__errorArgs = ['CODE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Employee
                                                                    #</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="EMPLOYEE_CODE" name="EMPLOYEE_CODE"
                                                                        value="<?php echo e(old('EMPLOYEE_CODE', $driver->EMPLOYEE_CODE)); ?>">
                                                                    <?php $__errorArgs = ['EMPLOYEE_CODE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Birth
                                                                    Date<span style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" class="form-control"
                                                                        id="BIRTH_DATE" name="BIRTH_DATE"
                                                                        value="<?php echo e(old('BIRTH_DATE', $driver->BIRTH_DATE)); ?>">
                                                                    <?php $__errorArgs = ['BIRTH_DATE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Hire
                                                                    Date</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" class="form-control"
                                                                        id="START_DATE" name="START_DATE"
                                                                        value="<?php echo e(old('START_DATE', $driver->START_DATE)); ?>">
                                                                    <?php $__errorArgs = ['START_DATE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6 Termination">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Termination
                                                                    Date</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="date" class="form-control"
                                                                        id="TERMINATION_DATE" name="TERMINATION_DATE"
                                                                        value="<?php echo e(old('TERMINATION_DATE', $driver->TERMINATION_DATE)); ?>">
                                                                    <?php $__errorArgs = ['TERMINATION_DATE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show <?php echo e($activeTab2); ?>"
                                            id="kt_stats_widget_16_tab_2">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Contact</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    <div class="row">
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control PHONENO"
                                                                        id="PHONE" name="PHONE"
                                                                        value="<?php echo e(old('PHONE', $driver->PHONE)); ?>">
                                                                    <?php $__errorArgs = ['PHONE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Email<span
                                                                        style="color:red">*</span></label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="EMAIL" class="form-control"
                                                                        id="EMAIL" name="EMAIL"
                                                                        value="<?php echo e(old('EMAIL', $driver->EMAIL)); ?>">
                                                                    <?php $__errorArgs = ['EMAIL'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Cell
                                                                    Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control PHONENO"
                                                                        id="CELL_PHONE" name="CELL_PHONE"
                                                                        value="<?php echo e(old('CELL_PHONE', $driver->CELL_PHONE)); ?>">
                                                                    <?php $__errorArgs = ['CELL_PHONE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Allow
                                                                    Text Messages</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" name="NOSMS"
                                                                                type="checkbox" value="YES"
                                                                                <?php echo e('YES' == $driver->NOSMS ? 'checked' : ''); ?>>
                                                                            <span class="fw-semibold ps-2 fs-6">YES</span>
                                                                        </label>
                                                                        <?php $__errorArgs = ['NOSMS'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    </div>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Emergency
                                                                    Contact</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="EMERGENCY_CONTACT"
                                                                        id="EMERGENCY_CONTACT"
                                                                        class="form-control PHONENO"
                                                                        value="<?php echo e(old('EMERGENCY_CONTACT', $driver->EMERGENCY_CONTACT)); ?>">
                                                                    <?php $__errorArgs = ['EMERGENCY_CONTACT'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Emergency
                                                                    Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="EMERGENCY_PHONE"
                                                                        id="EMERGENCY_PHONE" class="form-control PHONENO"
                                                                        value="<?php echo e(old('EMERGENCY_PHONE', $driver->EMERGENCY_PHONE)); ?>">
                                                                    <?php $__errorArgs = ['EMERGENCY_PHONE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Secondary
                                                                    Contact </label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="SECONDARY_CONTRACT"
                                                                        id="SECONDARY_CONTRACT"
                                                                        class="form-control PHONENO"
                                                                        value="<?php echo e(old('SECONDARY_CONTRACT', $driver->CELL_PHONE)); ?>">
                                                                    <?php $__errorArgs = ['CELL_PHONE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Secondary
                                                                    Phone</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" name="OTHER_CONTACT_2"
                                                                        id="OTHER_CONTACT_2" class="form-control PHONENO"
                                                                        value="<?php echo e(old('OTHER_CONTACT_2', $driver->OTHER_CONTACT_2)); ?>">
                                                                    <?php $__errorArgs = ['OTHER_CONTACT_2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="mb-4 border-bottom pb-2">
                                                            <h2 class="fw-bold text-gray-900">Address</h2>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Address</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="ADDRESS_1" name="ADDRESS_1"
                                                                        value="<?php echo e(old('ADDRESS_1', $driver->ADDRESS_1)); ?>">
                                                                    <?php $__errorArgs = ['ADDRESS_1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">City</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="CITY" name="CITY"
                                                                        value="<?php echo e(old('CITY', $driver->CITY)); ?>">
                                                                    <?php $__errorArgs = ['CITY'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Address2</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="ADDRESS_2" name="ADDRESS_2"
                                                                        value="<?php echo e(old('ADDRESS_2', $driver->ADDRESS_2)); ?>">
                                                                    <?php $__errorArgs = ['ADDRESS_2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">State</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <select class="form-select" data-control="select2"
                                                                        data-hide-search="true"
                                                                        data-placeholder="Select a State" id="PROVINCE"
                                                                        name="PROVINCE">
                                                                        <option value="">Please select
                                                                        </option>
                                                                        <?php $__currentLoopData = $states; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $state): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <option value="<?php echo e($state); ?>"
                                                                                <?php echo e(old('PROVINCE', $driver->PROVINCE) == $state ? 'selected' : ''); ?>>
                                                                                <?php echo e($state); ?></option>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                    </select>
                                                                    <?php $__errorArgs = ['PROVINCE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6">Zip</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control "
                                                                        id="POSTAL_CODE" name="POSTAL_CODE"
                                                                        value="<?php echo e(old('POSTAL_CODE', $driver->POSTAL_CODE)); ?>">
                                                                    <?php $__errorArgs = ['POSTAL_CODE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?></p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                    <div
                                                                        class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_3">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Safety / Reminders</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    <div class="row mb-0">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Medical
                                                                        Card Expires</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <?php $mcd = !empty($driver->Medical_Card_Expiry) ? date('Y-m-d', strtotime($driver->Medical_Card_Expiry)) : ''; ?>
                                                                        <input type="date" class="form-control "
                                                                            id="Medical_Card_Expiry"
                                                                            name="Medical_Card_Expiry"
                                                                            value="<?php echo e(old('Medical_Card_Expiry', $mcd)); ?>">
                                                                        <?php $__errorArgs = ['Medical_Card_Expiry'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Fit
                                                                        Test Expires</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <?php $ftd = !empty($driver->Fit_Test_Exp) ? date('Y-m-d', strtotime($driver->Fit_Test_Exp)) : ''; ?>
                                                                        <input type="date" size="9"
                                                                            name="Fit_Test_Exp" id="Fit_Test_Exp"
                                                                            class="form-control "
                                                                            value="<?php echo e(old('Fit_Test_Exp', $ftd)); ?>">
                                                                        <?php $__errorArgs = ['Fit_Test_Exp'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">TWIC
                                                                        CARD</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="text" name="WCB_NUMBER"
                                                                            id="WCB_NUMBER" class="form-control "
                                                                            value="<?php echo e(old('WCB_NUMBER', $driver->WCB_NUMBER)); ?>">
                                                                        <?php $__errorArgs = ['WCB_NUMBER'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">TWIC
                                                                        Expires</label>
                                                                    <?php $TWICD = !empty($driver->WCB_EXPIRY_DATE) ? date('Y-m-d', strtotime($driver->WCB_EXPIRY_DATE)) : ''; ?>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="WCB_EXPIRY_DATE"
                                                                            id="WCB_EXPIRY_DATE" class="form-control "
                                                                            value="<?php echo e(old('WCB_EXPIRY_DATE', $TWICD)); ?>">
                                                                        <?php $__errorArgs = ['WCB_EXPIRY_DATE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Hazmat</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="text" name="hazmat_num"
                                                                            id="hazmat_num" class="form-control "
                                                                            value="<?php echo e(old('WCB_NUMBER', $driver->WCB_NUMBER)); ?>">
                                                                        <?php $__errorArgs = ['WCB_NUMBER'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Hazmat
                                                                        Expires</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="hazmat_exp"
                                                                            id="hazmat_exp" size="9"
                                                                            class="form-control "
                                                                            value="<?php echo e(old('hazmat_exp', $driver->hazmat_exp)); ?>">
                                                                        <?php $__errorArgs = ['hazmat_exp'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                        Road Test</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="ROAD_TEST"
                                                                            id="ROAD_TEST" size="9"
                                                                            class="form-control "
                                                                            value="<?php echo e(old('ROAD_TEST', $driver->ROAD_TEST)); ?>">
                                                                        <?php $__errorArgs = ['ROAD_TEST'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">Last
                                                                        Drug Test</label>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="DRUG_TEST"
                                                                            id="DRUG_TEST" size="9"
                                                                            class="form-control "
                                                                            value="<?php echo e(old('DRUG_TEST', $driver->DRUG_TEST)); ?>">
                                                                        <?php $__errorArgs = ['DRUG_TEST'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="row mb-6">
                                                                    <label
                                                                        class="col-lg-4 col-form-label fw-semibold fs-6">PEC
                                                                        Card Expires</label>
                                                                    <?php $PECCD = !empty($driver->PEC_Card_Exp) ? date('Y-m-d', strtotime($driver->PEC_Card_Exp)) : ''; ?>
                                                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                        <input type="date" name="PEC_Card_Exp"
                                                                            id="PEC_Card_Exp" size="9"
                                                                            class="form-control "
                                                                            value="<?php echo e(old('PEC_Card_Exp', $PECCD)); ?>">
                                                                        <?php $__errorArgs = ['PEC_Card_Exp'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                            <p class="text-danger"><?php echo e($message); ?>

                                                                            </p>
                                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                        <div
                                                                            class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_4">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Driver Pay</h2>
                                                </div>
                                                <hr>
                                                <div class="row">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Pay
                                                                Type
                                                            </label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <select class="form-select" data-control="select2"
                                                                    data-hide-search="true"
                                                                    data-placeholder="Please Select" id="PAY_TYPE"
                                                                    name="PAY_TYPE">
                                                                    <option value="">Please select</option>
                                                                    <?php $__currentLoopData = $PayType; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $optionValue => $optionLabel): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($optionValue); ?>"
                                                                            <?php echo e($driver->PAY_TYPE == $optionValue ? 'selected' : ''); ?>>
                                                                            <?php echo e($optionLabel); ?>

                                                                        </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                                <?php $__errorArgs = ['PAY_TYPE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Per
                                                                Hour
                                                                Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="PER_HOUR"
                                                                    id="PER_HOUR" class="form-control "
                                                                    value="<?php echo e(old('PER_HOUR', $driver->PER_HOUR)); ?>">
                                                                <?php $__errorArgs = ['PER_HOUR'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">%
                                                                of
                                                                Load Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10"
                                                                    name="TRIP_REVENUE_SHARE" id="TRIP_REVENUE_SHARE"
                                                                    class="form-control "
                                                                    value="<?php echo e(old('TRIP_REVENUE_SHARE', $driver->TRIP_REVENUE_SHARE)); ?>">
                                                                <?php $__errorArgs = ['TRIP_REVENUE_SHARE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Per
                                                                Loaded Mile</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10"
                                                                    name="PER_LOADED_MILE" id="PER_LOADED_MILE"
                                                                    class="form-control "
                                                                    value="<?php echo e(old('PER_LOADED_MILE', $driver->PER_LOADED_MILE)); ?>">
                                                                <?php $__errorArgs = ['PER_LOADED_MILE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Rate
                                                                Per Empty Mile</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10"
                                                                    name="PER_EMPTY_MILE" id="PER_EMPTY_MILE"
                                                                    class="form-control "
                                                                    value="<?php echo e(old('PER_EMPTY_MILE', $driver->PER_EMPTY_MILE)); ?>">
                                                                <?php $__errorArgs = ['PER_EMPTY_MILE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Stop
                                                                Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="STOP_RATE"
                                                                    id="STOP_RATE" class="form-control "
                                                                    value="<?php echo e(old('STOP_RATE', $driver->STOP_RATE)); ?>">
                                                                <?php $__errorArgs = ['STOP_RATE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Layover
                                                                Rate</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="LAYOVER_RATE"
                                                                    id="LAYOVER_RATE" class="form-control "
                                                                    value="<?php echo e(old('LAYOVER_RATE', $driver->LAYOVER_RATE)); ?>">
                                                                <?php $__errorArgs = ['LAYOVER_RATE'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="mb-4 border-bottom pb-2">
                                                    <h2 class="fw-bold text-gray-900">Deductions</h2>
                                                </div>
                                                <div class="row pb-9">
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">

                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Name
                                                                on
                                                                check</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="CHEQUE_NAME"
                                                                    id="CHEQUE_NAME" class="form-control "
                                                                    value="<?php echo e(old('CHEQUE_NAME', $driver->CHEQUE_NAME)); ?>">
                                                                <?php $__errorArgs = ['CHEQUE_NAME'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">FORM
                                                                1099</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <div class="d-flex align-items-center mt-3">
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                        <input class="form-check-input" name="FORM1099"
                                                                            type="checkbox" value="1"
                                                                            <?php echo e('1' == $driver->FORM1099 ? 'checked' : ''); ?>>

                                                                        <span class="fw-semibold ps-2 fs-6">YES</span>
                                                                    </label>


                                                                    <?php $__errorArgs = ['FORM1099'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                        <p class="text-danger"><?php echo e($message); ?>

                                                                        </p>
                                                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                </div>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Direct
                                                                Deposit</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <div class="d-flex align-items-center mt-3">
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid me-5">
                                                                        <input class="form-check-input"
                                                                            name="DIRECT_DEPOSIT" type="radio"
                                                                            value="True"
                                                                            <?php echo e('True' == $driver->DIRECT_DEPOSIT ? 'checked' : ''); ?>>
                                                                        <span class="fw-semibold ps-2 fs-6">YES</span>
                                                                    </label>
                                                                    <label
                                                                        class="form-check form-check-custom form-check-inline form-check-solid">
                                                                        <input class="form-check-input"
                                                                            name="DIRECT_DEPOSIT" type="radio"
                                                                            value="False"
                                                                            <?php echo e('False' == $driver->DIRECT_DEPOSIT ? 'checked' : ''); ?>>
                                                                        <span class="fw-semibold ps-2 fs-6">NO</span>
                                                                    </label>
                                                                </div>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-md-6">
                                                        <div class="row mb-6">
                                                            <label class="col-lg-4 col-form-label fw-semibold fs-6">Bank
                                                                Name</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="DD_BANK"
                                                                    id="DD_BANK" class="form-control "
                                                                    value="<?php echo e(old('DD_BANK', $driver->DD_BANK)); ?>">
                                                                <?php $__errorArgs = ['DD_BANK'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Account#</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="DD_ACCOUNT"
                                                                    id="DD_ACCOUNT" class="form-control "
                                                                    value="<?php echo e(old('DD_ACCOUNT', $driver->DD_ACCOUNT)); ?>">
                                                                <?php $__errorArgs = ['DD_ACCOUNT'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row mb-6">
                                                            <label
                                                                class="col-lg-4 col-form-label fw-semibold fs-6">Routing#</label>
                                                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                <input type="text" size="10" name="DD_TRANSIT"
                                                                    id="DD_TRANSIT" class="form-control "
                                                                    value="<?php echo e(old('DD_TRANSIT', $driver->DD_TRANSIT)); ?>">
                                                                <?php $__errorArgs = ['DD_TRANSIT'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                    <p class="text-danger"><?php echo e($message); ?></p>
                                                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                                <div
                                                                    class="fv-plugins-message-container fv-plugins-message-container--enabled invalid-feedback">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_5">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Dispatch</h2>
                                                </div>
                                                <hr>
                                                <div class="card-body p-9">
                                                    
                                                        <?php if(!empty($driver->TRUCK_ID)): ?>
                                                            <div class="row">
                                                                <div class="col-md-8">
                                                                    <div class="row mb-6">
                                                                        <label for="badareas"
                                                                            class="col-lg-4 col-form-label fw-semibold fs-6">Assigned Truck</label>
                                                                            <label for="badareas"
                                                                            class="col-lg-8 col-form-label fw-semibold fs-6">                                                                    
                                                                            <?php echo e($trucks->firstWhere('TRUCK_ID', $driver->TRUCK_ID) ? $trucks->firstWhere('TRUCK_ID', $driver->TRUCK_ID)->UNIT_ID : '-'); ?>                                                                
                                                                        </label>
                                                                    </div>
                                                                </div>                                                        
                                                            </div>
                                                        <?php endif; ?>
                                                    
                                                    <div class="row">
                                                        
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Drive
                                                                    Touch Freight</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="driver_touch" value="YES"
                                                                                <?php echo e('YES' == $driver->driver_touch ? 'checked' : ''); ?>>
                                                                            YES
                                                                        </label>
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="driver_touch" value="NO"
                                                                                <?php echo e('NO' == $driver->driver_touch ? 'checked' : ''); ?>>
                                                                            NO
                                                                        </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 pt-0">Are
                                                                    Multi Picks/Drop Ok?</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="mulistop" id="multiyes"
                                                                                value="YES"
                                                                                <?php echo e('YES' == $driver->DROPS_OK ? 'checked' : ''); ?>>
                                                                            YES
                                                                        </label>
                                                                        <label
                                                                            class="form-check form-check-custom fs-6 fw-semibold form-check-inline form-check-solid me-5">
                                                                            <input class="form-check-input" type="radio"
                                                                                name="mulistop" id="multino"
                                                                                value="NO"
                                                                                <?php echo e('NO' == $driver->DROPS_OK ? 'checked' : ''); ?>>
                                                                            NO
                                                                        </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Max
                                                                    Pickup</label>
                                                                <?php $driver_max_picks = !empty($driver->max_picks) ? $driver->max_picks : 0; ?>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <input type="button" value="-"
                                                                            class="circle minus bg-primary"
                                                                            data-quantity="minus" data-field="max_picks">
                                                                        <input type="number" step="1"
                                                                            min="0" max="10"
                                                                            value="<?php echo e(old('max_picks', $driver_max_picks)); ?>"
                                                                            name="max_picks"
                                                                            class="quantity-field border-0 text-center w-25 input-group-field"
                                                                            id="">
                                                                        <input type="button" value="+"
                                                                            class="circle plus bg-primary"
                                                                            data-quantity="plus" data-field="max_picks">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Max
                                                                    Drops</label>
                                                                <?php $driver_max_drops = !empty($driver->max_drops) ? $driver->max_drops : 0; ?>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <input type="button" value="-"
                                                                            class="circle minus bg-primary"
                                                                            data-quantity="minus" data-field="max_drops">
                                                                        <input type="number" step="1"
                                                                            min="0" max="10"
                                                                            value="<?php echo e(old('max_drops', $driver_max_drops)); ?>"
                                                                            name="max_drops"
                                                                            class="quantity-field border-0 text-center w-25 input-group-field">
                                                                        <input type="button" value="+"
                                                                            class="circle plus bg-primary"
                                                                            data-quantity="plus" data-field="max_drops">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label class="col-lg-4 col-form-label fw-semibold fs-6">Max
                                                                    Weight</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <input type="text" class="form-control"
                                                                        id="max_weg" name="max_weg" pattern="^\d+$"
                                                                        value="<?php echo e(old('MAX_WEIGHT', $driver->MAX_WEIGHT)); ?>">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-6">
                                                            <div class="row mb-6">
                                                                <label
                                                                    class="col-lg-4 col-form-label fw-semibold fs-6 ">Max
                                                                    miles per day</label>
                                                                <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                                                    <div class="d-flex align-items-center mt-3">
                                                                        <input type="text" class="form-control"
                                                                            id="maxmiles" name="maxmiles"
                                                                            pattern="^\d+$"
                                                                            value="<?php echo e(old('MILES_PER_DAY', $driver->MILES_PER_DAY)); ?>">
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">                                                        
                                                        <div class="col-md-12">
                                                            <div class="row mb-6">
                                                                <label for="badareas"
                                                                    class="col-sm-2 col-form-label fw-semibold fs-6">Bad
                                                                    Zones</label>
                                                                <div class="col-sm-10 fv-row fv-plugins-icon-container">
                                                                <?php foreach($bad_zone as $key => $bad_zon): ?>
                                                                    <div class="form-check form-check-inline mb-2 mt-3" style="margin-right: 5px !important;">
                                                                        <input class="form-check-input " type="checkbox" 
                                                                            id="<?php echo 'bad_area_' . $key; ?>" 
                                                                            name="badareas[]" 
                                                                            value="<?php echo $bad_zon; ?>"
                                                                            <?php echo in_array($bad_zon, old('badareas', $badareas)) ? 'checked' : ''; ?>>
                                                                        <label class="form-check-label text-gray-900" for="<?php echo 'bad_area_' . $key; ?>">
                                                                            <?php echo $bad_zon; ?>
                                                                        </label>
                                                                    </div>
                                                                <?php endforeach; ?>                                                                    
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <div class="row mb-10">
                                                                <label
                                                                    class="col-lg-2 col-form-label fw-semibold fs-6 ">Notes</label>
                                                                <div class="col-lg-10 fv-row fv-plugins-icon-container">
                                                                    <div id="kt_ecommerce_add_category_meta_description"
                                                                        name="kt_ecommerce_add_category_meta_description"
                                                                        class="min-h-100px mb-2">
                                                                        <?php echo htmlspecialchars_decode($driver->DRIVER_NOTES); ?>

                                                                    </div>
                                                                    <input type="hidden" name="editorContent"
                                                                        id="editorContent"
                                                                        value="<?php echo e(htmlspecialchars_decode($driver->DRIVER_NOTES)); ?>">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="card-body pb-0 tab-pane fade show" id="kt_stats_widget_16_tab_6">
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Profile Photo</h2>
                                                </div>
                                                <hr>
                                                <div class="row mb-6">
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Upload
                                                        Profile Photo</label>
                                                    <div class="col-lg-6">
                                                        <div class="image-input image-input-outline"
                                                            data-kt-image-input="true">
                                                            <div class="image-input-wrapper w-125px h-125px"
                                                                style="background-image: url(<?php echo e(!empty($driver->DRIVER_BITMAP) ? asset('driver/profiles/' . $driver->DRIVER_BITMAP) : asset('assets/media/svg/avatars/blank.svg')); ?>)">
                                                            </div>
                                                            <label
                                                                class="btn btn-icon btn-circle btn-active-color-primary w-25px h-25px bg-body shadow"
                                                                data-kt-image-input-action="change"
                                                                data-bs-toggle="tooltip" aria-label="Change avatar"
                                                                data-bs-original-title="Change avatar"
                                                                data-kt-initialized="1">
                                                                <i class="ki-outline ki-pencil fs-7"></i>
                                                                <input type="file" name="DRIVER_BITMAP"
                                                                    id="DRIVER_BITMAP" accept=".png, .jpg, .jpeg">
                                                                <input class="form-control" type="hidden"
                                                                    name="old_image"
                                                                    value="<?php echo e($driver->DRIVER_BITMAP); ?>">
                                                            </label>
                                                        </div>
                                                        <div class="form-text">Allowed file types: png, jpg, jpeg.
                                                        </div>
                                                        <?php $__errorArgs = ['DRIVER_BITMAP'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                            <p class="text-danger"><?php echo e($message); ?></p>
                                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="w-100">
                                                <div class="">
                                                    <h2 class="fw-bold text-gray-900">Documents</h2>
                                                </div>
                                                <hr>
                                                <div class="row mb-6">
                                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Upload
                                                        Multiple
                                                        Documents</label>
                                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                                        <input type="file" name="DOCUMENTS[]" id="chooseFile"
                                                            class="form-control" multiple>
                                                        <input class="form-control" type="hidden" name="multi_old_image"
                                                            value="<?php echo e($driver->DOCUMENTS); ?>">
                                                        <?php
                                                            $docs = !empty($driver->DOCUMENTS)
                                                                ? explode(',', $driver->DOCUMENTS)
                                                                : '';
                                                        ?>
                                                        <div class="mt-2 col-md-12">
                                                            <div class="row">
                                                                <?php if(!empty($docs)): ?>
                                                                    <?php $__currentLoopData = $docs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $doc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <div class="col-md-6">
                                                                        <?php if(file_exists('driver/documents/'. $doc) && !empty($doc)): ?>
                                                                            <a
                                                                                href="<?php echo e(asset('driver/documents/'. $doc)); ?>"
                                                                                download><i
                                                                                    class="fas fa-file"></i><?php echo e($doc); ?></a>
                                                                         <?php endif; ?>          
                                                                            <?php if(!$loop->last): ?>
                                                                                , <br>
                                                                            <?php endif; ?>
                                                                        </div>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                <?php endif; ?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        

                                        <div class="col-lg-12 row p-5 ">
                                            <div class="col-lg-12 text-center">
                                                <input type="hidden" name="activeTab" id="activeTab" value="">
                                                <button type="submit"
                                                    class="tab-action btn btn-primary btn-lg me-3 mb-xxl-12">Update</button>
                                                <a href="<?php echo e(route('assets.drivers.index')); ?>"
                                                    class="btn btn-secondary  btn-lg me-3 mb-xxl-12">Cancel</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="addTruckModal" tabindex="-1" aria-labelledby="addTruckModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="addTruckModalLabel">Add Truck</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form action="<?php echo e(route('assets.trucks.store')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="from" value="driverEdit">
                    <input type="hidden" name="driverId" value="<?php echo e($driver->DRIVER_ID); ?>">
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="mb-3">
                                <input type="hidden" name="STATUS" value = "AVAILABLE" id="STATUS">
                                    <label for="max_weg" class="form-label required">Unit # </label>
                                    <input type="text" name="UNIT_ID" id="UNIT_ID" size="10"
                                        maxlength="10" value="<?php echo e(old('UNIT_ID')); ?>" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Make</label>
                                    <input type="text" name="MAKE" id="MAKE" size="25"
                                        maxlength="20" value="<?php echo e(old('MAKE')); ?>" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Model</label>
                                    <input type="text" name="MODEL" id="MODEL" size="30"
                                        maxlength="30" value="<?php echo e(old('MODEL')); ?>" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Year</label>
                                    <input type="number" name="YEAR" id="YEAR" size="5"
                                        class="form-control" value="<?php echo e(old('YEAR')); ?>" required>
                                </div>
                            </div>

                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Plate #</label>
                                    <input type="text" name="PLATE" id="PLATE" size="30"
                                        maxlength="20" value="<?php echo e(old('PLATE')); ?>" class="form-control" required>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="max_weg" class="form-label required">Plate Expires</label>
                                    <input type="text" name="LIC_1_EXP_DATE" id="LIC_1_EXP_DATE" size="9"
                                        value="<?php echo e(old('LIC_1_EXP_DATE')); ?>" class="form-control datetimepicker"
                                        required>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="modal-footer">
                    
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"
                            aria-label="Close">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script src="https://cdn.quilljs.com/1.3.6/quill.js"></script>
    <script>
        var quill = new Quill('#kt_ecommerce_add_category_meta_description');
        $("#driverUpdate").on("submit", function() {
            $("#editorContent").val($("#kt_ecommerce_add_category_meta_description .ql-editor").html());
        });
    </script>
    <script>
        if (window.location.hash === '#kt_stats_widget_16_tab_1') {
            document.getElementById('kt_stats_widget_16_tab_link_1').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_2') {
            document.getElementById('kt_stats_widget_16_tab_link_2').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_3') {
            document.getElementById('kt_stats_widget_16_tab_link_3').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_4') {
            document.getElementById('kt_stats_widget_16_tab_link_4').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_5') {
            document.getElementById('kt_stats_widget_16_tab_link_5').click();
        }
        if (window.location.hash === '#kt_stats_widget_16_tab_6') {
            document.getElementById('kt_stats_widget_16_tab_link_6').click();
        }
    </script>
    <script>
        $("#nav-stepper .stepper-item").click(function() {
            var cntrl = $(this);
            $("#nav-stepper .stepper-item").removeClass("current");
            $(cntrl).addClass("current");
        });

        function activetab(id) {
            $('#activeTab').val(id);
        }


        $(document).ready(function() {
            $('.PHONENO').inputmask('(999)-999-9999');
           
        });
    </script>
    <script>
         
        let autocomplete;
        let address1Field;
        let address2Field;
        let postalField;

        function initAutocomplete() {
            var input = document.getElementById('ADDRESS_1');
            var autocomplete = new google.maps.places.Autocomplete(input);

            google.maps.event.addListener(autocomplete, 'place_changed', function() {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                console.log(place);
                $('#ADDRESS_1').val(place.formatted_address);
                $('#PROVINCE').val(place.address_components[4].short_name).trigger('change');
                $('#CITY').val(place.address_components[3].long_name);
                $('#POSTAL_CODE').val(place.address_components[6].long_name);

                for (let component of place.address_components) {
                    if (component.types[0] === 'administrative_area_level_1') {
                        province = component.short_name;
                        break;
                    }
                }
            });

            var input2 = document.getElementById('ADDRESS_2');
            var autocomplete2 = new google.maps.places.Autocomplete(input2);
            google.maps.event.addListener(autocomplete2, 'place_changed', function() {
                var place2 = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                $('#ADDRESS_2').val(place2.formatted_address);
            });

        }
        $(document).ready(function() {
            jQuery(document).ready(function() {
                $('[data-quantity="plus"]').click(function(e) {
                    e.preventDefault();
                    fieldName = $(this).attr('data-field');
                    var currentVal = parseInt($('input[name=' + fieldName + ']').val());
                    if (!isNaN(currentVal)) {
                        $('input[name=' + fieldName + ']').val(currentVal + 1);
                    } else {
                        $('input[name=' + fieldName + ']').val(0);
                    }
                });

                $('[data-quantity="minus"]').click(function(e) {
                    e.preventDefault();
                    fieldName = $(this).attr('data-field');
                    var currentVal = parseInt($('input[name=' + fieldName + ']').val());
                    if (!isNaN(currentVal) && currentVal > 0) {
                        $('input[name=' + fieldName + ']').val(currentVal - 1);
                    } else {
                        $('input[name=' + fieldName + ']').val(0);
                    }
                });
            });

            $('.Termination').hide();
            $('input[name="STATUS"]').change(function() {
                var status = $('input[name="STATUS"]:checked').val();
                if (status == 'ACTIVE') {
                    $('.Termination').hide();
                } else {
                    $('.Termination').show();
                }
            });

        });
        document.addEventListener("DOMContentLoaded", function() {
            var tabs = document.querySelectorAll('.nav-link');
            tabs.forEach(function(tab) {
                if (tab.classList.contains('active')) {
                    var activeTabId = tab.getAttribute('href');
                    $('#activeTab').val(activeTabId);
                    document.querySelector('a[href="' + activeTabId + '"]').click();
                }
            });
        });
    </script>
    <script>
        $('.datetimepicker').daterangepicker({
            timePicker: false,
            singleDatePicker: true,
            startDate: moment(), // Set the default date to the current date using moment.js
            locale: {
                format: 'MM/DD/YYYY'
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tmstmdashboard/fuel.tmdashboard.com/resources/views/assets/drivers/edit.blade.php ENDPATH**/ ?>