<?php $__env->startSection('style'); ?>
    <style>
        @media  print {
            #kt_header {
                display: none;
            }

            #kt_footer {
                display: none;
            }

            #printBtn,
            #saveReportBtn,
            #downloadPDF {
                display: none;
            }
        }
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
                <div class="mb-20">
                    <?php if($showButtons): ?>
                        <button type="button" id="printBtn" class="float-end btn btn-primary btn-sm"
                            onclick="window.print()">Print
                            Report</button>
                        <a href="<?php echo e(route('ifta.generateIFTA.downloadPDF', [$data['year'], $data['quarter'], $data['carrier'], $data['unitValues']])); ?>"
                            id="downloadPDF" class="btn btn-primary float-end btn-sm me-2">Download PDF</a>
                            
                        <form class="float-end me-2" action="<?php echo e(route('ifta.generateIFTA.saveReport')); ?>" method="GET">
                            <input type="hidden" name="carrier" value="<?php echo e(request()->route('carrier')); ?>">
                            <input type="hidden" name="QUARTER" value="<?php echo e($data['quarter']); ?>">
                            <input type="hidden" name="YEAR" value="<?php echo e($data['year']); ?>">
                            <input type="hidden" name="UNIT" value="<?php echo e($data['unitValues']); ?>">
                            <button type="submit" class="btn btn-primary btn-sm" style="margin-bottom: 10px;"
                                id="saveReportBtn">Save
                                Report</button>
                        </form>
                    <?php endif; ?>
                </div>
            <div class="flex-lg-row-fluid">
                <div class="contentToPrint">
                    <div align="center">
                        <h2 style="margin-bottom: 20px;">International Fuel Tax Agreement (IFTA) - Q<?php echo e($data['quarter']); ?> <?php echo e($data['year']); ?> <br><br> <?php echo e(getAuthCompanyName()); ?>

                        </h2>
                        <table width="990" border="0" cellspacing="0" cellpadding="6">
                            <tbody>
                                <tr>
                                    <td>
                                        <div
                                            style="border: solid 1px #A3A0A0; padding:5px; text-align:center; font-family:Gotham, 'Helvetica Neue', Helvetica, Arial, sans-serif;">
                                            <h2>Total Miles: <?php echo e(number_format($data['total_miles_start'], 2)); ?></h2>
                                        </div>
                                    </td>
                                    <td>
                                        <div
                                            style="border: solid 1px #A3A0A0; padding:5px; text-align:center; font-family:Gotham, 'Helvetica Neue', Helvetica, Arial, sans-serif;">
                                            <h2>Total Gallons: <?php echo e(number_format($data['total_gal_start'], 2)); ?></h2>
                                        </div>
                                    </td>
                                    <td>
                                        <div
                                            style="border: solid 1px #A3A0A0; padding:5px; text-align:center; font-family:Gotham, 'Helvetica Neue', Helvetica, Arial, sans-serif;">
                                            <h2>Average MPG: <?php echo e(number_format($data['mpg'], 2)); ?></h2>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>

                    <table width="990" border="1" cellspacing="0" cellpadding="6" align="center"
                        style="font-size:14px">
                        <thead>
                            <tr style="font-weight:bold; background-color:#7FB8B2">
                                <th>JURISDICTION</th>
                                <th>TOTAL MILES</th>
                                <th>TAX MILES</th>
                                <th>TAX PAID <br>GALLONS</th>
                                <th>TAXABLE<br>GALLONS</th>
                                <th>NET TAXABLE<br>GALLONS</th>
                                <th>FUEL TAX<br>RATE</th>
                                <th>TAX DUE /<br>(REFUND)</th>
                                <th>INTEREST<br>DUE</th>
                                <th>TOTAL DUE</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $AMT_DUE = 0;
                                $interest_total = 0;
                                $TAX_DUE = 0;
                                $totalMiles = 0;
                                $totalGallon = 0;
                            ?>
                            <?php $__currentLoopData = $rowData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php
                                    $TAX_GAL =
                                        $row2->totalMiles != 0 && $data['mpg'] != 0
                                            ? round($row2->totalMiles / $data['mpg'])
                                            : 0;
                                    $NET_TAX_GAL = round($TAX_GAL - $row2->totalGallons);
                                    $NET_TAX_GALpr = $NET_TAX_GAL < 0 ? '(' . abs($NET_TAX_GAL) . ')' : $NET_TAX_GAL;
                                    $TAX_AMT = round($row2->RATE_US * $NET_TAX_GAL, 2);
                                    $AMT_DUE += $TAX_AMT;
                                ?>

                                <tr
                                    style="font-family: Segoe, 'Segoe UI', 'DejaVu Sans', 'Trebuchet MS', Verdana, sans-serif;">
                                    <td><?php echo e($row2->STATE); ?></td>
                                    <td><?php echo e(number_format($row2->totalMiles)); ?></td>
                                    <td><?php echo e(number_format($row2->totalMiles)); ?></td>
                                    <td><?php echo e(number_format($row2->totalGallons)); ?></td>
                                    <td><?php echo e($TAX_GAL); ?></td>
                                    <td><?php echo e($NET_TAX_GALpr); ?></td>
                                    <td>
                                        <center><?php echo e($row2->RATE_US); ?></center>
                                    </td>
                                    <td><?php echo e($TAX_AMT < 0 ? '(' . abs($TAX_AMT) . ')' : $TAX_AMT); ?></td>
                                    <td>
                                        <?php
                                            $interest = !empty($data['ifta_tax_rate_interest'])
                                                ? $data['ifta_tax_rate_interest']->A2
                                                : 0.0;
                                            $interest_months = $data['interest_months'];
                                            $interest = str_replace('%', '', $interest);
                                            $interest_due = ($interest / 100 / 12) * $interest_months * $TAX_AMT;
                                            $total_due = $TAX_AMT + $interest_due;
                                            $interest_total += $interest_due;
                                            $TAX_DUE += $TAX_AMT;
                                            $abs = abs($interest_due);
                                            echo $interest_due < 0
                                                ? '(' . number_format($abs, 2) . ')'
                                                : number_format($interest_due, 2);
                                        ?>
                                    </td>
                                    <td><?php echo e($total_due < 0 ? '(' . number_format(abs($total_due), 2) . ')' : number_format($total_due, 2)); ?>

                                    </td>

                                </tr>

                                <?php if(in_array($row2->STATE, ['KY', 'VA', 'IN'])): ?>
                                    <?php
                                        $stateSurcharge = '';
                                        $quarter = $data['quarter'];
                                        $year = $data['year'];
                                        switch ($row2->STATE) {
                                            case 'KY':
                                                $stateSurcharge = 'KENTUCKY SurChg';
                                                break;
                                            case 'IN':
                                                $stateSurcharge = 'INDIANA SurChg';
                                                break;
                                            case 'VA':
                                                $stateSurcharge = 'VIRGINIA SurChg';
                                                break;
                                        }

                                        $fsc = DB::table('ifta_rates_new')
                                            ->where('Quarter', $quarter)
                                            ->where('Year', $year)
                                            ->where('State', $row2->STATE)
                                            ->first();
                                        $TAX_AMT_SRC = !empty($fsc->Surcharge_Rate)
                                            ? round($fsc->Surcharge_Rate * $TAX_GAL, 2)
                                            : 0;
                                    ?>
                                    <?php
                                        $interest = !empty($data['ifta_tax_rate_interest'])
                                            ? $data['ifta_tax_rate_interest']->A2
                                            : 0.0;
                                        $interest_months = $data['interest_months'];
                                        $interest = str_replace('%', '', $interest);
                                        $interest_due = ($interest / 100 / 12) * $interest_months * $TAX_AMT_SRC;
                                        $total_due = $TAX_AMT_SRC + $interest_due;
                                        $interest_total += $interest_due;
                                        $TAX_DUE += $TAX_AMT_SRC;
                                    ?>

                                    <tr
                                        style="font-family: Segoe, 'Segoe UI', 'DejaVu Sans', 'Trebuchet MS', Verdana, sans-serif;">
                                        <td><?php echo e($row2->STATE); ?> <i>surcharge</i></td>
                                        <td><?php echo e(number_format($row2->totalMiles)); ?> mi</td>
                                        <td>&nbsp;</td>
                                        <td>0</td>
                                        <td><?php echo e($TAX_GAL); ?></td>
                                        <td><?php echo e($NET_TAX_GALpr); ?> gal</td>
                                        <td>
                                            <center><?php echo e(!empty($fsc->Surcharge_Rate) ? $fsc->Surcharge_Rate : ''); ?></center>
                                        </td>
                                        <td><?php echo e($TAX_AMT_SRC < 0 ? '(' . abs($TAX_AMT_SRC) . ')' : $TAX_AMT_SRC); ?></td>
                                        <td><?php echo e(number_format($interest_due, 2)); ?></td>
                                        <td><?php echo e($total_due < 0 ? '(' . number_format(abs($total_due), 2) . ')' : number_format($total_due, 2)); ?>

                                        </td>

                                    </tr>

                                    <?php
                                        $AMT_DUE += $total_due;
                                    ?>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <tr
                                style="background-color:#E1DDB6; font-family:Segoe, 'Segoe UI', 'DejaVu Sans', 'Trebuchet MS', Verdana, sans-serif; font-weight:bold">
                                <td>TOTALS</td>
                                <td><?php echo e(number_format($data['total_miles_start'], 2)); ?></td>
                                <td>&nbsp;</td>
                                <td><?php echo e(number_format($data['total_gal_start'], 2)); ?></td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td><?php echo e(number_format($TAX_DUE, 2)); ?></td>
                                <td><?php echo e(number_format($interest_total, 2)); ?></td>
                                <td>&nbsp;</td>
                            </tr>
                        </tbody>
                    </table>
                    <table width="990" border="0" cellspacing="0" cellpadding="6" align="center"
                        style="font-weight: bold">
                        <tbody>
                            <tr>
                                <td width="409">
                                    <br>Return Information
                                    <div
                                        style="border: solid 1px #A3A0A0; padding:6px; font-family:Gotham, 'Helvetica Neue', Helvetica, Arial, sans-serif;">
                                        <?php
                                            $penalty_amt = ($TAX_DUE + $interest_total) * 0.1;
                                            $penalty_amt = $penalty_amt < 50 ? 50 : $penalty_amt;
                                            $GRAND_TOTAL = $TAX_DUE + $penalty_amt + $interest_total;
                                        ?>

                                        <table width="100%" border="0" cellspacing="0" cellpadding="5">
                                            <tbody>
                                                <tr>
                                                    <td>Total Tax</td>
                                                    <td align="right">$ <?php echo e(number_format($TAX_DUE, 2)); ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Total Interest</td>
                                                    <td align="right">$ <?php echo e(number_format($interest_total, 2)); ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Total Penalties</td>
                                                    <td align="right">$ <?php echo e(number_format($penalty_amt, 2)); ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Total Adjustments</td>
                                                    <td align="right">&nbsp;</td>
                                                </tr>
                                                <tr>
                                                    <td>Total Other</td>
                                                    <td align="right"></td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <hr>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Total Due</td>
                                                    <td align="right"><b>$ <?php echo e(number_format($GRAND_TOTAL, 2)); ?></b></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </td>
                                <td width="236"></td>
                                <td width="279">
                                    <div
                                        style="width: 400px; text-align:center; border: solid 1px #A3A0A0; padding:6px; font-family:Gotham, 'Helvetica Neue', Helvetica, Arial, sans-serif;">
                                        <h2>Total Tax Due: $ <?php echo e(number_format($GRAND_TOTAL, 2)); ?></h2>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <p style="font-size: 11px">*Interest Charges: For periods on or after
                                        <?php echo e($data['due_date']); ?>,
                                        interest shall
                                        be
                                        set
                                        at an annual rate of
                                        <?php echo e(!empty($data['ifta_tax_rate_interest']) ? $data['ifta_tax_rate_interest']->A2 : '0.00'); ?>

                                        above the underpayment rate established under <a
                                            href="https://www.dol.gov/agencies/ebsa/employers-and-advisers/plan-administration-and-compliance/correction-programs/vfcp/table-of-underpayment-rates"
                                            target="_blank">Section
                                            6621(a)(2)</a> of the Internal Revenue Code. Unlike penalty charges, interest is
                                        computed on
                                        the
                                        tax due to each member jurisdiction, rather than the net total due with your report.
                                    </p>
                                    <p style="font-size: 11px">*IFTA Penalties: IFTA legislation states that a penalty of
                                        $50.00 or 10%
                                        of
                                        the taxes owed (whichever is greater) will be calculated on late-filed reports,
                                        failure to file
                                        or
                                        for underpayment of tax due. If the net tax liability is zero or a credit, you will
                                        owe the late
                                        filing penalty.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div
                        style="margin-top:195px; padding:9px; font-family:Gotham, 'Helvetica Neue', Helvetica, Arial, sans-serif; width:980px; align-content:center; margin:auto;">

                        Signature: _______________________________<br><br>

                        Name:__________________________________<br>

                        Title:<br>

                        Date: <?php echo e(date('m/d/Y')); ?><br>
                    </div>
                    <div id="loom-companion-mv3" ext-id="liecbddmkiiihnedobmlmillhodjkdmb">
                        <section id="shadow-host-companion"></section>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tmstmdashboard/fuel.tmdashboard.com/resources/views/IFTA/generateIFTA/checkReport.blade.php ENDPATH**/ ?>