<?php $__env->startSection('content'); ?>
    <?php
        $currentDate = \Carbon\Carbon::now();
        $quarter = ceil($currentDate->month / 3);
        $year = date('Y');
    ?>

    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Generate Report
                        </h3>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <form action="" method="GET">
                            <input type="hidden" name="carrier" value="<?php echo e(getAuthMemberId()); ?>">
                            <div class="row">
                                <div class="col-md-2">
                                    <label for="QUARTER" class="fs-6 form-label fw-bold text-gray-900">Quarter</label>
                                    <select name="QUARTER" id="QUARTER" class="form-select form-select-solid"
                                        data-control="select2" data-hide-search="true" data-placeholder="Select a Quarter">
                                        <option value="">Select Quarter</option>
                                        <option value="1" <?php echo e(request()->input('QUARTER') == '1' ? 'selected' : ''); ?>>
                                            Q1</option>
                                        <option value="2" <?php echo e(request()->input('QUARTER') == '2' ? 'selected' : ''); ?>>
                                            Q2</option>
                                        <option value="3" <?php echo e(request()->input('QUARTER') == '3' ? 'selected' : ''); ?>>
                                            Q3</option>
                                        <option value="4" <?php echo e(request()->input('QUARTER') == '4' ? 'selected' : ''); ?>>
                                            Q4</option>
                                    </select>
                                </div>
                                <div class="col-md-2">
                                    <label for="form-label" class="fs-6 form-label fw-bold text-gray-900">Year</label><br>
                                    <?php
                                        $startYear = 2014;
                                        $currentYear = date('Y');
                                        $yearRange = range($startYear, $currentYear + 1);
                                        $yearRange = array_reverse($yearRange);
                                    ?>
                                    <select name="YEAR" id="YEAR" class="form-select form-select-solid"
                                        data-control="select2" data-hide-search="true" data-placeholder="Select a Year">
                                        <option value="">Select Year</option>
                                        <?php $__currentLoopData = $yearRange; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $year1): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($year1); ?>"
                                                <?php echo e(request()->input('YEAR') == $year1 ? 'selected' : ''); ?>>
                                                <?php echo e($year1); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="col-md-2">
                                    <label for="UNIT" class="fs-6 form-label fw-bold text-gray-900">Unit</label>
                                    <select name="UNIT" id="UNIT" class="form-select form-select-solid"
                                        data-control="select2" data-hide-search="true" data-placeholder="Select a Unit"
                                        multiple>
                                        <option value="">Select Unit</option>
                                        <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($unit); ?>">
                                                <?php echo e($unit); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="col-md-4 mt-5">
                                    <button type="button" id="submit" onclick="viewReport()"
                                        class="btn btn-primary btn-sm me-5">Generate
                                        IFTA Report</button>
                                    <button type="button" id="clear" class="btn btn-primary btn-sm me-5">Clear</button>
                                    
                                </div>

                                
                            </div>
                        </form>

                        
                    </div>
                </div>
                <div class="card mt-10">
                    <div class="card-body">
                        <div class="card card-flush">
                            <div class="pt-0">
                                <h3 class="fw-bold me-5 my-1 mb-10">Save Report History
                                </h3>
                                <div class="table-responsive p-5">
                                    
                                    <table id="checkreporthistory-table"
                                        class="table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable">
                                        <thead class="thead-bg-color">
                                            <tr>
                                                <th class="fs-7 text-gray-500 text-uppercase">Quarter</th>
                                                <th class="fs-7 text-gray-500 text-uppercase">Year</th>
                                                <th class="fs-7 text-gray-500 text-uppercase">Created Date</th>
                                                <th class="fs-7 text-gray-500 text-uppercase">Report</th>
                                                <th class="fs-7 text-gray-500 text-uppercase">Action</th>
                                            </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <?php echo $dataTable->scripts(); ?>

    <script>
        function viewReport() {
            var year = $('#YEAR').val() || '<?php echo e($year); ?>';
            var quarter = $('#QUARTER').val() || '<?php echo e($quarter); ?>';
            var unit = $('#UNIT').val();
            var carrier = '<?php echo e(getAuthMemberId()); ?>';

            var url = "<?php echo e(route('ifta.generateIFTA.checkReport')); ?>" + "/" + year + "/" + quarter + "/" + carrier + "/" +
                unit;
            window.open(url, '_blank');
        }
    </script>
    <script>
        const table = $('#generatereport-table');
        const table1 = $('#checkreporthistory-table');

        table.on('preXhr.dt', function(e, setting, data) {
            data.QUARTER = $('#QUARTER').val();
            data.YEAR = $('#YEAR').val();
        });

        $('#submit').on('click', function() {
            $('#quarter').val($('#QUARTER').val());
            $('#year').val($('#YEAR').val());
            table.DataTable().ajax.reload();
            return false;
        });

        $('#clear').on('click', function() {
            $('#QUARTER').val('').trigger('change');
            $('#YEAR').val('').trigger('change');
            table.DataTable().ajax.reload();
        });

        $('#downloadOptions').on('change', function() {
            var downloadOptions = this.value;
            $(".buttons-" + downloadOptions).click();
        });

        $(document).ready(function() {
            var siteUrl = "<?php echo URL::to('/'); ?>";

            $('#checkreporthistory-table').DataTable({
                dom: 'rtip',
                buttons: ['csv', 'excel', 'print', 'reset', 'reload'],
                processing: true,
                serverSide: true,
                ajax: '<?php echo route('ifta.generateIFTA.checkReportIndex'); ?>',
                data: {
                    formName: 'afscpMcn',
                    action: 'search',
                },
                pageLength: 30,
                order: [
                    [0, 'desc']
                ],
                columns: [{
                        data: 'quarter',
                        name: 'quarter'
                    },
                    {
                        data: 'year',
                        name: 'year'
                    },
                    {
                        data: 'created_at',
                        name: 'created_at'
                    },
                    {
                        data: 'document',
                        name: 'document'
                    },
                    {
                        data: 'Action',
                        orderable: false,
                        searchable: false,
                        render: function(data, type, row) {
                            var btn = '<a href="' + siteUrl + '/ifta/generateIFTA/delete/' + row
                                .id +
                                '" class="me-2 text-danger" onclick="return confirm(\'Are You Sure You Want to Delete ?\');">Delete</a>';
                            return btn;
                        }
                    },
                ],
                "createdRow": function(row, data, dataIndex) {
                    $(row).addClass("fs-6");
                },
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tmstmdashboard/fuel.tmdashboard.com/resources/views/IFTA/generateIFTA/index.blade.php ENDPATH**/ ?>