<?php $__env->startSection('content'); ?>
    <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
        <div id="kt_content_container" class="container-xxl">
            <div class="flex-lg-row-fluid">
                <div class="d-flex flex-wrap flex-stack pb-7">
                    <div class="d-flex flex-wrap align-items-center my-1">
                        <h3 class="fw-bold me-5 my-1">Miles Calculator
                        </h3>
                    </div>
                </div>
                
                <div class="card">
                    <div class="card-body">
                        <form action="<?php echo e(route('ifta.calculate_miles.calculate')); ?>" method="POST"
                            id="maile_calculate_form" class="mb-10">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" name="P_CITY" value="" id="P_CITY">
                            <input type="hidden" name="P_STATE" value="" id="P_STATE">
                            <input type="hidden" name="P_POSTAL" value="" id="P_POSTAL">
                            <input type="hidden" name="D_CITY" value="" id="D_CITY">
                            <input type="hidden" name="D_STATE" value="" id="D_STATE">
                            <input type="hidden" name="D_POSTAL" value="" id="D_POSTAL">
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="col-form-label ew-label" for="P_ADDRESS">PICKUP ADDRESS <span
                                            class="text-danger">*</span></label>
                                    <input type="text" data-table="LOCATIONS" data-field="P_ADDRESS" name="P_ADDRESS"
                                        id="P_ADDRESS" value="<?php echo e(old('P_ADDRESS')); ?>" class="form-control pac-target-input"
                                        placeholder="Enter a location" autocomplete="off" required>
                                </div>
                            </div>
                            <?php for($i = 1; $i <= 5; $i++): ?>
                                <div class="row">
                                    <div class="col-md-6 d-none" id="stop<?php echo e($i); ?>">
                                        <label class="col-form-label ew-label" for="S<?php echo e($i); ?>_ADDRESS">STOP
                                            <?php echo e($i); ?>

                                            <a href="javascript:void(0);" onclick="removeStop('<?php echo e($i); ?>')"><i
                                                    class="ki-outline ki-trash-square fs-2x text-danger"></i></a>
                                        </label>
                                        <input type="text" data-table="LOCATIONS"
                                            data-field="S<?php echo e($i); ?>_ADDRESS" name="S<?php echo e($i); ?>_ADDRESS"
                                            id="S<?php echo e($i); ?>_ADDRESS" value="<?php echo e(old('S' . $i . '_ADDRESS')); ?>"
                                            class="form-control pac-target-input stop-address"
                                            placeholder="Enter a location" autocomplete="off">
                                        <input type="hidden" name="S<?php echo e($i); ?>_CITY" value=""
                                            id="S<?php echo e($i); ?>_CITY">
                                        <input type="hidden" name="S<?php echo e($i); ?>_STATE" value=""
                                            id="S<?php echo e($i); ?>_STATE">
                                        <input type="hidden" name="S<?php echo e($i); ?>_POSTAL" value=""
                                            id="S<?php echo e($i); ?>_POSTAL">
                                    </div>
                                </div>
                            <?php endfor; ?>
                            <div class="row">
                                <div class="col-md-6">
                                    <label class="col-form-label ew-label" for="D_ADDRESS">DELIVERY ADDRESS <span
                                            class="text-danger">*</span></label>
                                    <input type="text" data-table="LOCATIONS" data-field="D_ADDRESS" name="D_ADDRESS"
                                        id="D_ADDRESS" value="<?php echo e(old('D_ADDRESS')); ?>" class="form-control pac-target-input"
                                        placeholder="Enter a location" autocomplete="off" required>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2 mt-10">
                                    <button type="button" class="btn btn-primary btn-sm me-2" id="calculatebtn"
                                        onclick="this.innerHTML = '<span class=\'spinner-border spinner-border-sm align-middle ms-2\'></span>';">Calculate</button>
                                    <button type="button" class="btn btn-primary btn-sm" onclick="addStop();">Add
                                        Stop</button>
                                </div>
                            </div>
                        </form>
                        <table
                            class="table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable">
                            <thead class="thead-bg-color">
                                <tr>
                                    <th class="fs-7 text-gray-500 text-uppercase">State</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Total Miles</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Toll Miles</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">NonToll Miles</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Date</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $miles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td class="fs-6"><?php echo e($value->state); ?></td>
                                        <td class="fs-6"><?php echo e($value->totalmiles); ?></td>
                                        <td class="fs-6"><?php echo e($value->tollmiles); ?></td>
                                        <td class="fs-6"><?php echo e($value->nontollmiles); ?></td>
                                        <td class="fs-6"><?php echo e(date('m/d/Y', strtotime($value->currentdate))); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="fs-6" colspan="5" align="center">No Data Found</td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>

                        <?php if(isset($loadId) && !empty($loadId) && isset($memId) && !empty($memId)): ?>
                            <form action="<?php echo e(route('ifta.calculate_miles.import')); ?>" method="POST" class="mt-10">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="load_number" value="<?php echo e($loadId); ?>">
                                <input type="hidden" name="mem_id" value="<?php echo e($memId); ?>">
                                <div class="row">
                                    <div class="col-md-2">
                                        <label for="QUARTER">Select Quarter <span style="color: red;">*</span></label>
                                        <select name="QUARTER" id="QUARTER" class="form-select form-select-solid"
                                            data-control="select2" data-hide-search="true"
                                            data-placeholder="Select a Quarter" required>
                                            <option value="">Select Quarter</option>
                                            <option value="1" <?php echo e(old('QUARTER') == '1' ? 'selected' : ''); ?>>Q1
                                            </option>
                                            <option value="2" <?php echo e(old('QUARTER') == '2' ? 'selected' : ''); ?>>Q2
                                            </option>
                                            <option value="3" <?php echo e(old('QUARTER') == '3' ? 'selected' : ''); ?>>Q3
                                            </option>
                                            <option value="4" <?php echo e(old('QUARTER') == '4' ? 'selected' : ''); ?>>Q4
                                            </option>
                                        </select>
                                    </div>
                                    <div class="col-md-2">
                                        <label for="form-label">Select Year <span style="color: red;">*</span></label><br>
                                        <?php
                                            $startYear = 2014;
                                            $currentYear = date('Y');
                                            $yearRange = range($startYear, $currentYear + 1);
                                            $yearRange = array_reverse($yearRange);
                                        ?>

                                        <select name="YEAR" id="YEAR" class="form-select form-select-solid"
                                            data-control="select2" data-hide-search="true"
                                            data-placeholder="Select a Year" required>
                                            <option value="">Select Year</option>
                                            <?php $__currentLoopData = $yearRange; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $year): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($year); ?>"
                                                    <?php echo e(old('YEAR') == $year ? 'selected' : ''); ?>>
                                                    <?php echo e($year); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                    <div class="col-md-2">
                                        <label for="UNIT">Select Unit</label>
                                        <select name="UNIT" id="UNIT" class="form-select form-select-solid"
                                            data-control="select2" data-hide-search="true"
                                            data-placeholder="Select a Unit">
                                            <option value="">Select UNIT</option>
                                            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($unit); ?>" <?php echo e(old('UNIT') == $unit); ?>>
                                                    <?php echo e($unit); ?>

                                                </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                    <div class="col-md-2 mt-4">
                                        <button type="submit" class="btn btn-primary btn-sm" id="calculatebtn">Import
                                            Miles</button>
                                    </div>
                                </div>
                            </form>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="card">
                    <div class="card-body">
                        <div class="page-title-box d-flex align-items-center">
                            <h4 class="mb-10">Recent Searches</h4>
                        </div>
                        <table
                            class="table table-striped table-row-bordered table-row-dashed gy-4 align-middle fw-bold dataTable">
                            <thead class="thead-bg-color">
                                <tr>
                                    <th class="fs-7 text-gray-500 text-uppercase">Pickup</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Delivery</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Created Date</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Last Imported</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Check Mile</th>
                                    <th class="fs-7 text-gray-500 text-uppercase">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $routes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td class="fs-6"><?php echo e($value->p_address); ?></td>
                                        <td class="fs-6"><?php echo e($value->d_address); ?></td>
                                        <td class="fs-6">
                                            <?php echo e(!empty($value->created_at) ? date('m/d/Y', strtotime($value->created_at)) : ''); ?>

                                        </td>
                                        <td class="fs-6">
                                            <?php echo e(!empty($value->last_imported) ? date('m/d/Y', strtotime($value->last_imported)) : ''); ?>

                                        </td>
                                        <td class="fs-6"><a
                                                href="<?php echo e(route('ifta.calculate_miles.index', [$value->id, getAuthMemberId()])); ?>">Check
                                                Mile</a>
                                        </td>
                                        <td class="fs-6"><a
                                                href="<?php echo e(route('ifta.calculate_miles.delete', $value->id)); ?>"
                                                onclick="return confirm('Are You Sure You Want to Delete ?');"
                                                class="text-danger">Delete</a></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="fs-6" colspan="6" align="center">No Data Found</td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="logo-container text-center mt-10">
                    <img style="height: 150px;" src="<?php echo e(asset('images/LOGO ProMiles w Tag logo_4C BLUE.png')); ?>"
                        alt="ProMiles Logo" class="img-fluid" width="40%">
                </div>
                
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyD5BQa0hFcyKzBa_dA2cbKt3QvdiWhxOvY&libraries&callback=initAutocomplete&libraries=places&v=weekly"
        defer></script>
    <script>
        let autocomplete;
        let pAddressField;
        let dAddressField;
        let ppostalField;
        let dpostalField;


        function initAutocomplete() {
            pAddressField = document.querySelector("#P_ADDRESS");
            dAddressField = document.querySelector("#D_ADDRESS");
            ppostalField = document.querySelector("#P_POSTAL");
            dpostalField = document.querySelector("#D_POSTAL");
            autocompletepAddressField = new google.maps.places.Autocomplete(pAddressField, {
                componentRestrictions: {
                    country: ["us"]
                },
                fields: ["address_components", "geometry"],
                types: ["address"],
            });
            autocompletedAddressField = new google.maps.places.Autocomplete(dAddressField, {
                componentRestrictions: {
                    country: ["us"]
                },
                fields: ["address_components", "geometry"],
                types: ["address"],
            });
            pAddressField.focus();
            dAddressField.focus();
            autocompletepAddressField.addListener("place_changed", fillInAddress);
            autocompletedAddressField.addListener("place_changed", fillInAddress);

            let stopAutocompleteFields = document.querySelectorAll(".stop-address");
            stopAutocompleteFields.forEach(function(stopField) {

                let autocomplete;
                let stopCityField = stopField.nextElementSibling;
                let stopStateField = stopCityField.nextElementSibling;
                let stopPostalField = stopStateField.nextElementSibling;

                autocomplete = new google.maps.places.Autocomplete(stopField, {
                    componentRestrictions: {
                        country: ["us"]
                    },
                    fields: ["address_components", "geometry"],
                    types: ["address"],
                });

                autocomplete.addListener("place_changed", function() {
                    const place = autocomplete.getPlace();
                    let address = "";
                    let postcode = "";

                    for (const component of place.address_components) {
                        const componentType = component.types[0];
                        switch (componentType) {
                            case "street_number":
                                address += `${component.long_name} `;
                                break;
                            case "route":
                                address += component.short_name;
                                break;
                            case "postal_code":
                                postcode = `${component.long_name}${postcode}`;
                                break;
                            case "postal_code_suffix":
                                postcode = `${postcode}-${component.long_name}`;
                                break;
                            case "locality":
                                stopCityField.value = component.long_name;
                                break;
                            case "administrative_area_level_1":
                                stopStateField.value = component.short_name;
                                break;
                        }
                    }

                    stopPostalField.value = postcode;
                });
            });

        }

        function fillInAddress() {
            const p_place = autocompletepAddressField.getPlace();
            const d_place = autocompletedAddressField.getPlace();
            let address1 = "";
            let address2 = "";
            let ppostcode = "";
            let dpostcode = "";


            for (const component of p_place.address_components) {
                const componentType = component.types[0];
                switch (componentType) {
                    case "street_number": {
                        address1 += `${component.long_name} ${address1}`;
                        break;
                    }

                    case "route": {
                        address1 += component.short_name;
                        break;
                    }

                    case "postal_code": {
                        ppostcode = `${component.long_name}${ppostcode}`;
                        break;
                    }

                    case "postal_code_suffix": {
                        ppostcode = `${ppostcode}-${component.long_name}`;
                        break;
                    }
                    case "locality":
                        document.querySelector("#P_CITY").value = component.long_name;
                        break;
                    case "administrative_area_level_1": {
                        document.querySelector("#P_STATE").value = component.short_name;
                        break;
                    }
                    case "POSTAL":
                        document.querySelector("#P_POSTAL").value = component.ppostcode;
                        break;
                }
            }
            for (const component of d_place.address_components) {
                const componentType = component.types[0];
                switch (componentType) {
                    case "street_number": {
                        address2 += `${component.long_name} ${address2}`;
                        break;
                    }

                    case "route": {
                        address2 += component.short_name;
                        break;
                    }

                    case "postal_code": {
                        dpostcode = `${component.long_name}${dpostcode}`;
                        break;
                    }

                    case "postal_code_suffix": {
                        dpostcode = `${dpostcode}-${component.long_name}`;
                        break;
                    }
                    case "locality":
                        document.querySelector("#D_CITY").value = component.long_name;
                        break;
                    case "administrative_area_level_1": {
                        document.querySelector("#D_STATE").value = component.short_name;
                        break;
                    }
                    case "POSTAL":
                        document.querySelector("#D_POSTAL").value = component.dpostcode;
                        break;
                }
            }

            ppostalField.value = ppostcode;
            dpostalField.value = dpostcode;
        }

        window.initAutocomplete = initAutocomplete;
    </script>
    <script>
        $("#calculatebtn").click(function() {
            if ($('#P_ADDRESS').val() == '' || $('#D_ADDRESS').val() == '') {
                alert('please fill required fields.');
            } else {
                $("#maile_calculate_form").submit();
            }
        })

        function calculateMiles() {
            var p_address = $('#P_ADDRESS').val();
            var d_address = $('#D_ADDRESS').val();
            var p_city = $('#P_CITY').val();
            var p_state = $('#P_STATE').val();
            var p_postal = $('#P_POSTAL').val();
            var d_city = $('#D_CITY').val();
            var d_state = $('#D_STATE').val();
            var d_postal = $('#D_POSTAL').val();

            var userId = '<?php echo e(getAuthMemberId()); ?>';
            $.ajax({
                url: "<?php echo e(route('ifta.calculate_miles.calculate')); ?>",
                type: 'GET',
                data: {
                    userId: userId,
                    p_address: p_address,
                    d_address: d_address,
                    p_city: p_city,
                    p_state: p_state,
                    p_postal: p_postal,
                    d_city: d_city,
                    d_state: d_state,
                    d_postal: d_postal,
                },
                beforeSend: function() {
                    $("#calculatebtn").html(
                        '<i class="fas fa-spinner fa-spin"></i>');
                },
                success: function(data) {
                    if (data.status == true) {
                        var loadId = data.data.loadId;
                        var memId = data.data.memId;
                        var redirectUrl =
                            "<?php echo e(route('ifta.calculate_miles.index', ['loadId' => ':loadId', 'memId' => ':memId'])); ?>";
                        redirectUrl = redirectUrl.replace(':loadId', loadId);
                        redirectUrl = redirectUrl.replace(':memId', memId);
                        window.location.href = redirectUrl;
                    } else {
                        $('#calculatebtn').html('Calculate');
                        alert('OOPS! Something went wrong!');
                    }
                },
                error: function(err) {
                    $('#calculatebtn').html('Calculate');
                    alert("OOPS! Something went wrong!");
                }
            });
        }
    </script>
    <script>
        function addStop() {
            for (let i = 1; i <= 5; i++) {
                let stopField = document.getElementById('stop' + i);
                if (stopField.classList.contains('d-none')) {
                    stopField.classList.remove('d-none');
                    return;
                }
            }
        }

        function removeStop(id) {
            $('#stop' + id).addClass('d-none');
            $('#S' + id + '_ADDRESS').val('');
            $('#S' + id + '_CITY').val('');
            $('#S' + id + '_STATE').val('');
            $('#S' + id + '_POSTAL').val('');
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/tmstmdashboard/fuel.tmdashboard.com/resources/views/IFTA/miles_calculator/index.blade.php ENDPATH**/ ?>